VARIABLE M15_P0_ANY
{
          // Parameter 0

          LABEL  M15_P0_ANY_LABEL;
          HELP  M15_P0_ANY_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P0_ANY_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CEC);
               }
          }
}


VARIABLE M15_P1_ANY
{
          // Solutions module identification code

          LABEL  M15_P1_ANY_LABEL;
          HELP  M15_P1_ANY_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  599;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P1_ANY_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CED);
               }
          }
}


VARIABLE M15_P2_PROFIBUS
{
          // Solutions Module main software version
          // Option Module Type: PROFIBUS

          LABEL  M15_P2_PROFIBUS_LABEL;
          HELP  M15_P2_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  9999;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P2_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CEE);
               }
          }
}


VARIABLE M15_P3_PROFIBUS
{
          // Fieldbus Node Address
          // Option Module Type: PROFIBUS

          LABEL  M15_P3_PROFIBUS_LABEL;
          HELP  M15_P3_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  126;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P3_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CEF);
               }
          }
}


VARIABLE M15_P4_PROFIBUS
{
          // Fieldbus Baud Rate
          // Option Module Type: PROFIBUS

          LABEL  M15_P4_PROFIBUS_LABEL;
          HELP  M15_P4_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER
          {
               MIN_VALUE  -9;
               MAX_VALUE  9;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P4_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CF0);
               }
          }
}


VARIABLE M15_P5_PROFIBUS
{
          // Mode
          // Option Module Type: PROFIBUS

          LABEL  M15_P5_PROFIBUS_LABEL;
          HELP  M15_P5_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  228;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P5_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CF1);
               }
          }
}


VARIABLE M15_P6_PROFIBUS
{
          // Fieldbus diagnostic
          // Option Module Type: PROFIBUS

          LABEL  M15_P6_PROFIBUS_LABEL;
          HELP  M15_P6_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -9999;
               MAX_VALUE  9999;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P6_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CF2);
               }
          }
}


VARIABLE M15_P7_PROFIBUS
{
          // Trip delay time
          // Option Module Type: PROFIBUS

          LABEL  M15_P7_PROFIBUS_LABEL;
          HELP  M15_P7_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  3000;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P7_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CF3);
               }
          }
}


VARIABLE M15_P8_PROFIBUS
{
          // Little endianism select
          // Option Module Type: PROFIBUS

          LABEL  M15_P8_PROFIBUS_LABEL;
          HELP  M15_P8_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
                    {0, ENUMID118_VAL0_MNEMONIC},
                    {1, ENUMID118_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P8_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CF4);
               }
          }
}


VARIABLE M15_P9_PROFIBUS
{
          // Register control
          // Option Module Type: PROFIBUS

          LABEL  M15_P9_PROFIBUS_LABEL;
          HELP  M15_P9_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
                    {0, ENUMID118_VAL0_MNEMONIC},
                    {1, ENUMID118_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P9_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CF5);
               }
          }
}


VARIABLE M15_P10_PROFIBUS
{
          // 'I' data register 0
          // Option Module Type: PROFIBUS

          LABEL  M15_P10_PROFIBUS_LABEL;
          HELP  M15_P10_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P10_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CF6);
               }
          }
}


VARIABLE M15_P11_PROFIBUS
{
          // 'I' data register 1
          // Option Module Type: PROFIBUS

          LABEL  M15_P11_PROFIBUS_LABEL;
          HELP  M15_P11_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P11_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CF7);
               }
          }
}


VARIABLE M15_P12_PROFIBUS
{
          // 'I' data register 2
          // Option Module Type: PROFIBUS

          LABEL  M15_P12_PROFIBUS_LABEL;
          HELP  M15_P12_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P12_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CF8);
               }
          }
}


VARIABLE M15_P13_PROFIBUS
{
          // 'I' data register 3
          // Option Module Type: PROFIBUS

          LABEL  M15_P13_PROFIBUS_LABEL;
          HELP  M15_P13_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P13_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CF9);
               }
          }
}


VARIABLE M15_P14_PROFIBUS
{
          // 'I' data register 4
          // Option Module Type: PROFIBUS

          LABEL  M15_P14_PROFIBUS_LABEL;
          HELP  M15_P14_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P14_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CFA);
               }
          }
}


VARIABLE M15_P15_PROFIBUS
{
          // 'I' data register 5
          // Option Module Type: PROFIBUS

          LABEL  M15_P15_PROFIBUS_LABEL;
          HELP  M15_P15_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P15_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CFB);
               }
          }
}


VARIABLE M15_P16_PROFIBUS
{
          // 'I' data register 6
          // Option Module Type: PROFIBUS

          LABEL  M15_P16_PROFIBUS_LABEL;
          HELP  M15_P16_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P16_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CFC);
               }
          }
}


VARIABLE M15_P17_PROFIBUS
{
          // 'I' data register 7
          // Option Module Type: PROFIBUS

          LABEL  M15_P17_PROFIBUS_LABEL;
          HELP  M15_P17_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P17_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CFD);
               }
          }
}


VARIABLE M15_P18_PROFIBUS
{
          // 'I' data register 8
          // Option Module Type: PROFIBUS

          LABEL  M15_P18_PROFIBUS_LABEL;
          HELP  M15_P18_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P18_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CFE);
               }
          }
}


VARIABLE M15_P19_PROFIBUS
{
          // 'I' data register 9
          // Option Module Type: PROFIBUS

          LABEL  M15_P19_PROFIBUS_LABEL;
          HELP  M15_P19_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P19_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2CFF);
               }
          }
}


VARIABLE M15_P20_PROFIBUS
{
          // 'O' data register 0
          // Option Module Type: PROFIBUS

          LABEL  M15_P20_PROFIBUS_LABEL;
          HELP  M15_P20_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P20_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D00);
               }
          }
}


VARIABLE M15_P21_PROFIBUS
{
          // 'O' data register 1
          // Option Module Type: PROFIBUS

          LABEL  M15_P21_PROFIBUS_LABEL;
          HELP  M15_P21_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P21_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D01);
               }
          }
}


VARIABLE M15_P22_PROFIBUS
{
          // 'O' data register 2
          // Option Module Type: PROFIBUS

          LABEL  M15_P22_PROFIBUS_LABEL;
          HELP  M15_P22_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P22_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D02);
               }
          }
}


VARIABLE M15_P23_PROFIBUS
{
          // 'O' data register 3
          // Option Module Type: PROFIBUS

          LABEL  M15_P23_PROFIBUS_LABEL;
          HELP  M15_P23_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P23_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D03);
               }
          }
}


VARIABLE M15_P24_PROFIBUS
{
          // 'O' data register 4
          // Option Module Type: PROFIBUS

          LABEL  M15_P24_PROFIBUS_LABEL;
          HELP  M15_P24_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P24_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D04);
               }
          }
}


VARIABLE M15_P25_PROFIBUS
{
          // 'O' data register 5
          // Option Module Type: PROFIBUS

          LABEL  M15_P25_PROFIBUS_LABEL;
          HELP  M15_P25_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P25_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D05);
               }
          }
}


VARIABLE M15_P26_PROFIBUS
{
          // 'O' data register 6
          // Option Module Type: PROFIBUS

          LABEL  M15_P26_PROFIBUS_LABEL;
          HELP  M15_P26_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P26_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D06);
               }
          }
}


VARIABLE M15_P27_PROFIBUS
{
          // 'O' data register 7
          // Option Module Type: PROFIBUS

          LABEL  M15_P27_PROFIBUS_LABEL;
          HELP  M15_P27_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P27_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D07);
               }
          }
}


VARIABLE M15_P28_PROFIBUS
{
          // 'O' data register 8
          // Option Module Type: PROFIBUS

          LABEL  M15_P28_PROFIBUS_LABEL;
          HELP  M15_P28_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P28_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D08);
               }
          }
}


VARIABLE M15_P29_PROFIBUS
{
          // 'O' data register 9
          // Option Module Type: PROFIBUS

          LABEL  M15_P29_PROFIBUS_LABEL;
          HELP  M15_P29_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P29_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D09);
               }
          }
}


VARIABLE M15_P30_PROFIBUS
{
          // Load Solutions Module defaults
          // Option Module Type: PROFIBUS

          LABEL  M15_P30_PROFIBUS_LABEL;
          HELP  M15_P30_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
                    {0, ENUMID118_VAL0_MNEMONIC},
                    {1, ENUMID118_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P30_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D0A);
               }
          }
}


VARIABLE M15_P31_PROFIBUS
{
          // Save Solutions Module parameters
          // Option Module Type: PROFIBUS

          LABEL  M15_P31_PROFIBUS_LABEL;
          HELP  M15_P31_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
                    {0, ENUMID118_VAL0_MNEMONIC},
                    {1, ENUMID118_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P31_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D0B);
               }
          }
}


VARIABLE M15_P32_PROFIBUS
{
          // Request to reinitialise
          // Option Module Type: PROFIBUS

          LABEL  M15_P32_PROFIBUS_LABEL;
          HELP  M15_P32_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
                    {0, ENUMID118_VAL0_MNEMONIC},
                    {1, ENUMID118_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P32_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D0C);
               }
          }
}


VARIABLE M15_P33_PROFIBUS
{
          // Download from Fieldbus Solutions Module
          // Option Module Type: PROFIBUS

          LABEL  M15_P33_PROFIBUS_LABEL;
          HELP  M15_P33_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
                    {0, ENUMID118_VAL0_MNEMONIC},
                    {1, ENUMID118_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P33_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D0D);
               }
          }
}


VARIABLE M15_P34_PROFIBUS
{
          // Compression
          // Option Module Type: PROFIBUS

          LABEL  M15_P34_PROFIBUS_LABEL;
          HELP  M15_P34_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
                    {0, ENUMID118_VAL0_MNEMONIC},
                    {1, ENUMID118_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P34_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D0E);
               }
          }
}


VARIABLE M15_P35_PROFIBUS
{
          // Serial number
          // Option Module Type: PROFIBUS

          LABEL  M15_P35_PROFIBUS_LABEL;
          HELP  M15_P35_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (4)
          {
               MIN_VALUE  0;
               MAX_VALUE  2147483647;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P35_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D0F);
               }
          }
}


VARIABLE M15_P38_PROFIBUS
{
          // PPO mode
          // Option Module Type: PROFIBUS

          LABEL  M15_P38_PROFIBUS_LABEL;
          HELP  M15_P38_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  5;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P38_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D12);
               }
          }
}


VARIABLE M15_P39_PROFIBUS
{
          // Cyclic input configuration
          // Option Module Type: PROFIBUS

          LABEL  M15_P39_PROFIBUS_LABEL;
          HELP  M15_P39_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  32;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P39_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D13);
               }
          }
}


VARIABLE M15_P40_PROFIBUS
{
          // Cyclic output configuration
          // Option Module Type: PROFIBUS

          LABEL  M15_P40_PROFIBUS_LABEL;
          HELP  M15_P40_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  32;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P40_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D14);
               }
          }
}


VARIABLE M15_P41_PROFIBUS
{
          // Reserved
          // Option Module Type: PROFIBUS

          LABEL  M15_P41_PROFIBUS_LABEL;
          HELP  M15_P41_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  0;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P41_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D15);
               }
          }
}


VARIABLE M15_P49_PROFIBUS
{
          // Mapping error status
          // Option Module Type: PROFIBUS

          LABEL  M15_P49_PROFIBUS_LABEL;
          HELP  M15_P49_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  255;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P49_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D1D);
               }
          }
}


VARIABLE M15_P50_ANY
{
          // Solutions Module error status

          LABEL  M15_P50_ANY_LABEL;
          HELP  M15_P50_ANY_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  255;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P50_ANY_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D1E);
               }
          }
}


VARIABLE M15_P51_PROFIBUS
{
          // Solutions Module software sub-version
          // Option Module Type: PROFIBUS

          LABEL  M15_P51_PROFIBUS_LABEL;
          HELP  M15_P51_PROFIBUS_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  99;
          }
          CONSTANT_UNIT UNITID350;
          #define M15_P51_PROFIBUS_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2D1F);
               }
          }
}


