VARIABLE M1_P0
{
          // Parameter 0

          LABEL  M1_P0_LABEL;
          HELP  M1_P0_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P0_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2774);
               }
          }
}

VARIABLE M1_P1
{
          // Frequency reference selected

          LABEL  M1_P1_LABEL;
          HELP  M1_P1_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P1_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2775);
               }
          }
}

VARIABLE M1_P2
{
          // Pre skip filter reference

          LABEL  M1_P2_LABEL;
          HELP  M1_P2_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P2_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2776);
               }
          }
}

VARIABLE M1_P3
{
          // Pre ramp reference

          LABEL  M1_P3_LABEL;
          HELP  M1_P3_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P3_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2777);
               }
          }
}

VARIABLE M1_P4
{
          // Reference offset

          LABEL  M1_P4_LABEL;
          HELP  M1_P4_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P4_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2778);
               }
          }
}

VARIABLE M1_P5
{
          // Jog reference

          LABEL  M1_P5_LABEL;
          HELP  M1_P5_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  4000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P5_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2779);
               }
          }
}

VARIABLE M1_P6
{
          // Maximum set speed

          LABEL  M1_P6_LABEL;
          HELP  M1_P6_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  15000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P6_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x277A);
               }
          }
}

VARIABLE M1_P7
{
          // Minimum set speed

          LABEL  M1_P7_LABEL;
          HELP  M1_P7_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P7_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x277B);
               }
          }
}

VARIABLE M1_P9
{
          // Reference offset select

          LABEL  M1_P9_LABEL;
          HELP  M1_P9_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P9_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x277D);
               }
          }
}

VARIABLE M1_P10
{
          // Allow negative references

          LABEL  M1_P10_LABEL;
          HELP  M1_P10_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P10_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x277E);
               }
          }
}

VARIABLE M1_P11
{
          // Reference enabled indicator

          LABEL  M1_P11_LABEL;
          HELP  M1_P11_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P11_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x277F);
               }
          }
}

VARIABLE M1_P12
{
          // Reverse selected indicator

          LABEL  M1_P12_LABEL;
          HELP  M1_P12_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P12_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2780);
               }
          }
}

VARIABLE M1_P13
{
          // Jog selected indicator

          LABEL  M1_P13_LABEL;
          HELP  M1_P13_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P13_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2781);
               }
          }
}

VARIABLE M1_P14
{
          // Reference selector

          LABEL  M1_P14_LABEL;
          HELP  M1_P14_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID73_VAL0_MNEMONIC, ENUMID73_VAL0_HELP},
               {1, ENUMID73_VAL1_MNEMONIC, ENUMID73_VAL1_HELP},
               {2, ENUMID73_VAL2_MNEMONIC, ENUMID73_VAL2_HELP},
               {3, ENUMID73_VAL3_MNEMONIC, ENUMID73_VAL3_HELP},
               {4, ENUMID73_VAL4_MNEMONIC, ENUMID73_VAL4_HELP},
               {5, ENUMID73_VAL5_MNEMONIC, ENUMID73_VAL5_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P14_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2782);
               }
          }
}

VARIABLE M1_P15
{
          // Preset speed selector

          LABEL  M1_P15_LABEL;
          HELP  M1_P15_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  8;
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P15_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2783);
               }
          }
}

VARIABLE M1_P17
{
          // Keypad reference

          LABEL  M1_P17_LABEL;
          HELP  M1_P17_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P17_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2785);
               }
          }
}

VARIABLE M1_P18
{
          // Precision reference coarse

          LABEL  M1_P18_LABEL;
          HELP  M1_P18_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P18_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2786);
               }
          }
}

VARIABLE M1_P19
{
          // Precision reference fine

          LABEL  M1_P19_LABEL;
          HELP  M1_P19_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  99;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P19_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2787);
               }
          }
}

VARIABLE M1_P20
{
          // Precision reference update disable

          LABEL  M1_P20_LABEL;
          HELP  M1_P20_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P20_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2788);
               }
          }
}

VARIABLE M1_P21
{
          // Preset speed 1

          LABEL  M1_P21_LABEL;
          HELP  M1_P21_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P21_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2789);
               }
          }
}

VARIABLE M1_P22
{
          // Preset speed 2

          LABEL  M1_P22_LABEL;
          HELP  M1_P22_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P22_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x278A);
               }
          }
}

VARIABLE M1_P23
{
          // Preset speed 3

          LABEL  M1_P23_LABEL;
          HELP  M1_P23_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P23_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x278B);
               }
          }
}

VARIABLE M1_P24
{
          // Preset speed 4

          LABEL  M1_P24_LABEL;
          HELP  M1_P24_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P24_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x278C);
               }
          }
}

VARIABLE M1_P25
{
          // Preset speed 5

          LABEL  M1_P25_LABEL;
          HELP  M1_P25_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P25_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x278D);
               }
          }
}

VARIABLE M1_P26
{
          // Preset speed 6

          LABEL  M1_P26_LABEL;
          HELP  M1_P26_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P26_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x278E);
               }
          }
}

VARIABLE M1_P27
{
          // Preset speed 7

          LABEL  M1_P27_LABEL;
          HELP  M1_P27_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P27_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x278F);
               }
          }
}

VARIABLE M1_P28
{
          // Preset speed 8

          LABEL  M1_P28_LABEL;
          HELP  M1_P28_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P28_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2790);
               }
          }
}

VARIABLE M1_P29
{
          // Skip reference 1

          LABEL  M1_P29_LABEL;
          HELP  M1_P29_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  15000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P29_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2791);
               }
          }
}

VARIABLE M1_P30
{
          // Skip reference band 1

          LABEL  M1_P30_LABEL;
          HELP  M1_P30_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P30_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2792);
               }
          }
}

VARIABLE M1_P31
{
          // Skip reference 2

          LABEL  M1_P31_LABEL;
          HELP  M1_P31_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  15000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P31_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2793);
               }
          }
}

VARIABLE M1_P32
{
          // Skip reference band 2

          LABEL  M1_P32_LABEL;
          HELP  M1_P32_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P32_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2794);
               }
          }
}

VARIABLE M1_P33
{
          // Skip reference 3

          LABEL  M1_P33_LABEL;
          HELP  M1_P33_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  15000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P33_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2795);
               }
          }
}

VARIABLE M1_P34
{
          // Skip reference band 3

          LABEL  M1_P34_LABEL;
          HELP  M1_P34_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P34_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2796);
               }
          }
}

VARIABLE M1_P35
{
          // Reference in rejection zone

          LABEL  M1_P35_LABEL;
          HELP  M1_P35_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P35_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2797);
               }
          }
}

VARIABLE M1_P36
{
          // Analog reference 1

          LABEL  M1_P36_LABEL;
          HELP  M1_P36_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P36_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2798);
               }
          }
}

VARIABLE M1_P37
{
          // Analog reference 2

          LABEL  M1_P37_LABEL;
          HELP  M1_P37_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M1_P37_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2799);
               }
          }
}

VARIABLE M1_P38
{
          // Percentage trim

          LABEL  M1_P38_LABEL;
          HELP  M1_P38_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -1000;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M1_P38_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x279A);
               }
          }
}

VARIABLE M1_P41
{
          // Analog reference 2 select

          LABEL  M1_P41_LABEL;
          HELP  M1_P41_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P41_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x279D);
               }
          }
}

VARIABLE M1_P42
{
          // Preset reference select

          LABEL  M1_P42_LABEL;
          HELP  M1_P42_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P42_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x279E);
               }
          }
}

VARIABLE M1_P43
{
          // Keypad reference select

          LABEL  M1_P43_LABEL;
          HELP  M1_P43_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P43_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x279F);
               }
          }
}

VARIABLE M1_P44
{
          // Precision reference select

          LABEL  M1_P44_LABEL;
          HELP  M1_P44_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P44_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27A0);
               }
          }
}

VARIABLE M1_P45
{
          // Preset select bit 0

          LABEL  M1_P45_LABEL;
          HELP  M1_P45_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P45_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27A1);
               }
          }
}

VARIABLE M1_P46
{
          // Preset select bit 1

          LABEL  M1_P46_LABEL;
          HELP  M1_P46_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P46_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27A2);
               }
          }
}

VARIABLE M1_P47
{
          // Preset select bit 2

          LABEL  M1_P47_LABEL;
          HELP  M1_P47_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P47_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27A3);
               }
          }
}

VARIABLE M1_P49
{
          // Reference selected indicator

          LABEL  M1_P49_LABEL;
          HELP  M1_P49_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  5;
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P49_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27A5);
               }
          }
}

VARIABLE M1_P50
{
          // Preset reference selected indicator

          LABEL  M1_P50_LABEL;
          HELP  M1_P50_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  8;
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P50_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27A6);
               }
          }
}

VARIABLE M1_P51
{
          // Power-up keypad reference

          LABEL  M1_P51_LABEL;
          HELP  M1_P51_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID172_VAL0_MNEMONIC, ENUMID172_VAL0_HELP},
               {1, ENUMID172_VAL1_MNEMONIC, ENUMID172_VAL1_HELP},
               {2, ENUMID172_VAL2_MNEMONIC, ENUMID172_VAL2_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M1_P51_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27A7);
               }
          }
}

VARIABLE M2_P0
{
          // Parameter 0

          LABEL  M2_P0_LABEL;
          HELP  M2_P0_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M2_P0_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27D8);
               }
          }
}

VARIABLE M2_P1
{
          // Post ramp reference

          LABEL  M2_P1_LABEL;
          HELP  M2_P1_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M2_P1_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27D9);
               }
          }
}

VARIABLE M2_P3
{
          // Ramp hold

          LABEL  M2_P3_LABEL;
          HELP  M2_P3_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M2_P3_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27DB);
               }
          }
}

VARIABLE M2_P4
{
          // Ramp mode select

          LABEL  M2_P4_LABEL;
          HELP  M2_P4_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID119_VAL0_MNEMONIC, ENUMID119_VAL0_HELP},
               {1, ENUMID119_VAL1_MNEMONIC, ENUMID119_VAL1_HELP},
               {2, ENUMID119_VAL2_MNEMONIC, ENUMID119_VAL2_HELP},
               {3, ENUMID119_VAL3_MNEMONIC, ENUMID119_VAL3_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M2_P4_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27DC);
               }
          }
}

VARIABLE M2_P6
{
          // S ramp enable

          LABEL  M2_P6_LABEL;
          HELP  M2_P6_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M2_P6_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27DE);
               }
          }
}

VARIABLE M2_P7
{
          // S ramp acceleration limit

          LABEL  M2_P7_LABEL;
          HELP  M2_P7_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  3000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID356;
          #define M2_P7_UNIT UNITID356

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27DF);
               }
          }
}

VARIABLE M2_P8
{
          // Standard ramp voltage

          LABEL  M2_P8_LABEL;
          HELP  M2_P8_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  DC_VOLTAGE_SET_MAX_SECTION
          }
          CONSTANT_UNIT UNITID358;
          #define M2_P8_UNIT UNITID358

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27E0);
               }
          }
}

VARIABLE M2_P10
{
          // Acceleration rate selector

          LABEL  M2_P10_LABEL;
          HELP  M2_P10_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  9;
          }
          CONSTANT_UNIT UNITID350;
          #define M2_P10_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27E2);
               }
          }
}

VARIABLE M2_P11
{
          // Acceleration rate 1

          LABEL  M2_P11_LABEL;
          HELP  M2_P11_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P11_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27E3);
               }
          }
}

VARIABLE M2_P12
{
          // Acceleration rate 2

          LABEL  M2_P12_LABEL;
          HELP  M2_P12_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P12_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27E4);
               }
          }
}

VARIABLE M2_P13
{
          // Acceleration rate 3

          LABEL  M2_P13_LABEL;
          HELP  M2_P13_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P13_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27E5);
               }
          }
}

VARIABLE M2_P14
{
          // Acceleration rate 4

          LABEL  M2_P14_LABEL;
          HELP  M2_P14_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P14_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27E6);
               }
          }
}

VARIABLE M2_P15
{
          // Acceleration rate 5

          LABEL  M2_P15_LABEL;
          HELP  M2_P15_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P15_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27E7);
               }
          }
}

VARIABLE M2_P16
{
          // Acceleration rate 6

          LABEL  M2_P16_LABEL;
          HELP  M2_P16_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P16_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27E8);
               }
          }
}

VARIABLE M2_P17
{
          // Acceleration rate 7

          LABEL  M2_P17_LABEL;
          HELP  M2_P17_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P17_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27E9);
               }
          }
}

VARIABLE M2_P18
{
          // Acceleration rate 8

          LABEL  M2_P18_LABEL;
          HELP  M2_P18_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P18_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27EA);
               }
          }
}

VARIABLE M2_P19
{
          // Jog acceleration rate

          LABEL  M2_P19_LABEL;
          HELP  M2_P19_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P19_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27EB);
               }
          }
}

VARIABLE M2_P20
{
          // Deceleration rate selector

          LABEL  M2_P20_LABEL;
          HELP  M2_P20_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  9;
          }
          CONSTANT_UNIT UNITID350;
          #define M2_P20_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27EC);
               }
          }
}

VARIABLE M2_P21
{
          // Deceleration rate 1

          LABEL  M2_P21_LABEL;
          HELP  M2_P21_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P21_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27ED);
               }
          }
}

VARIABLE M2_P22
{
          // Deceleration rate 2

          LABEL  M2_P22_LABEL;
          HELP  M2_P22_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P22_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27EE);
               }
          }
}

VARIABLE M2_P23
{
          // Deceleration rate 3

          LABEL  M2_P23_LABEL;
          HELP  M2_P23_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P23_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27EF);
               }
          }
}

VARIABLE M2_P24
{
          // Deceleration rate 4

          LABEL  M2_P24_LABEL;
          HELP  M2_P24_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P24_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27F0);
               }
          }
}

VARIABLE M2_P25
{
          // Deceleration rate 5

          LABEL  M2_P25_LABEL;
          HELP  M2_P25_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P25_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27F1);
               }
          }
}

VARIABLE M2_P26
{
          // Deceleration rate 6

          LABEL  M2_P26_LABEL;
          HELP  M2_P26_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P26_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27F2);
               }
          }
}

VARIABLE M2_P27
{
          // Deceleration rate 7

          LABEL  M2_P27_LABEL;
          HELP  M2_P27_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P27_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27F3);
               }
          }
}

VARIABLE M2_P28
{
          // Deceleration rate 8

          LABEL  M2_P28_LABEL;
          HELP  M2_P28_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P28_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27F4);
               }
          }
}

VARIABLE M2_P29
{
          // Jog deceleration rate

          LABEL  M2_P29_LABEL;
          HELP  M2_P29_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID_ACCDECRATE
          #define M2_P29_UNIT UNITID_ACCDECRATE

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27F5);
               }
          }
}

VARIABLE M2_P30
{
          // Acceleration selected indicator

          LABEL  M2_P30_LABEL;
          HELP  M2_P30_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  8;
          }
          CONSTANT_UNIT UNITID350;
          #define M2_P30_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27F6);
               }
          }
}

VARIABLE M2_P31
{
          // Deceleration selected indicator

          LABEL  M2_P31_LABEL;
          HELP  M2_P31_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  8;
          }
          CONSTANT_UNIT UNITID350;
          #define M2_P31_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27F7);
               }
          }
}

VARIABLE M2_P32
{
          // Acceleration select bit 0

          LABEL  M2_P32_LABEL;
          HELP  M2_P32_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M2_P32_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27F8);
               }
          }
}

VARIABLE M2_P33
{
          // Acceleration select bit 1

          LABEL  M2_P33_LABEL;
          HELP  M2_P33_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M2_P33_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27F9);
               }
          }
}

VARIABLE M2_P34
{
          // Acceleration select bit 2

          LABEL  M2_P34_LABEL;
          HELP  M2_P34_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M2_P34_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27FA);
               }
          }
}

VARIABLE M2_P35
{
          // Deceleration select bit 0

          LABEL  M2_P35_LABEL;
          HELP  M2_P35_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M2_P35_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27FB);
               }
          }
}

VARIABLE M2_P36
{
          // Deceleration select bit 1

          LABEL  M2_P36_LABEL;
          HELP  M2_P36_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M2_P36_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27FC);
               }
          }
}

VARIABLE M2_P37
{
          // Deceleration select bit 2

          LABEL  M2_P37_LABEL;
          HELP  M2_P37_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M2_P37_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27FD);
               }
          }
}

VARIABLE M2_P39
{
          // Ramp rate units

          LABEL  M2_P39_LABEL;
          HELP  M2_P39_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID182_VAL0_MNEMONIC},
               {1, ENUMID182_VAL1_MNEMONIC},
               {2, ENUMID182_VAL2_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M2_P39_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x27FF);
               }
          }
}

VARIABLE M3_P0
{
          // Parameter 0

          LABEL  M3_P0_LABEL;
          HELP  M3_P0_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M3_P0_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x283C);
               }
          }
}

VARIABLE M3_P5
{
          // Zero speed threshold

          LABEL  M3_P5_LABEL;
          HELP  M3_P5_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  200;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M3_P5_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2841);
               }
          }
}

VARIABLE M3_P6
{
          // At speed window

          LABEL  M3_P6_LABEL;
          HELP  M3_P6_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  200;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M3_P6_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2842);
               }
          }
}

VARIABLE M3_P17
{
          // Frequency output or PWM output scaling

          LABEL  M3_P17_LABEL;
          HELP  M3_P17_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  4000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID350;
          #define M3_P17_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x284D);
               }
          }
}

VARIABLE M3_P18
{
          // Maximum output frequency

          LABEL  M3_P18_LABEL;
          HELP  M3_P18_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID154_VAL0_MNEMONIC, ENUMID154_VAL0_HELP},
               {1, ENUMID154_VAL1_MNEMONIC, ENUMID154_VAL1_HELP},
               {2, ENUMID154_VAL2_MNEMONIC, ENUMID154_VAL2_HELP},
               {3, ENUMID154_VAL3_MNEMONIC, ENUMID154_VAL3_HELP}
          }
          CONSTANT_UNIT UNITID372;
          #define M3_P18_UNIT UNITID372

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x284E);
               }
          }
}

VARIABLE M3_P22
{
          // Hard frequency reference

          LABEL  M3_P22_LABEL;
          HELP  M3_P22_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID350;
          #define M3_P22_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2852);
               }
          }
}

VARIABLE M3_P23
{
          // Hard frequency reference selector

          LABEL  M3_P23_LABEL;
          HELP  M3_P23_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M3_P23_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2853);
               }
          }
}

VARIABLE M3_P29
{
          // Position

          LABEL  M3_P29_LABEL;
          HELP  M3_P29_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  9999;
          }
          CONSTANT_UNIT UNITID350;
          #define M3_P29_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2859);
               }
          }
}

VARIABLE M3_P32
{
          // Position counter reset

          LABEL  M3_P32_LABEL;
          HELP  M3_P32_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M3_P32_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x285C);
               }
          }
}

VARIABLE M3_P33
{
          // Position scaling numerator

          LABEL  M3_P33_LABEL;
          HELP  M3_P33_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID350;
          #define M3_P33_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x285D);
               }
          }
}

VARIABLE M3_P34
{
          // Position scaling denominator

          LABEL  M3_P34_LABEL;
          HELP  M3_P34_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID350;
          #define M3_P34_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x285E);
               }
          }
}

VARIABLE M3_P43
{
          // Maximum reference frequency

          LABEL  M3_P43_LABEL;
          HELP  M3_P43_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  500;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID372;
          #define M3_P43_UNIT UNITID372

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2867);
               }
          }
}

VARIABLE M3_P44
{
          // Frequency reference scaling

          LABEL  M3_P44_LABEL;
          HELP  M3_P44_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  4000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID350;
          #define M3_P44_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2868);
               }
          }
}

VARIABLE M3_P45
{
          // Frequency reference

          LABEL  M3_P45_LABEL;
          HELP  M3_P45_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M3_P45_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2869);
               }
          }
}

VARIABLE M4_P0
{
          // Parameter 0

          LABEL  M4_P0_LABEL;
          HELP  M4_P0_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M4_P0_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28A0);
               }
          }
}

VARIABLE M4_P1
{
          // Current magnitude (motor current)

          LABEL  M4_P1_LABEL;
          HELP  M4_P1_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (4)
          {
               MIN_VALUE  0;
               MAX_VALUE  DRIVE_CURRENT_MAX_SECTION
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID365;
          #define M4_P1_UNIT UNITID365

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28A1);
               }
          }
}

VARIABLE M4_P2
{
          // Motor active current

          LABEL  M4_P2_LABEL;
          HELP  M4_P2_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (4)
          {
               MIN_VALUE  NEG_DRIVE_CURRENT_MAX_SECTION
               MAX_VALUE  DRIVE_CURRENT_MAX_SECTION
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID365;
          #define M4_P2_UNIT UNITID365

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28A2);
               }
          }
}

VARIABLE M4_P4
{
          // Current demand

          LABEL  M4_P4_LABEL;
          HELP  M4_P4_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_TORQUE_PROD_CURRENT_MAX_SECTION
               MAX_VALUE  TORQUE_PROD_CURRENT_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M4_P4_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28A4);
               }
          }
}

VARIABLE M4_P7
{
          // Symmetrical current limit

          LABEL  M4_P7_LABEL;
          HELP  M4_P7_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  MOTOR_CURRENT_LIMIT_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M4_P7_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28A7);
               }
          }
}

VARIABLE M4_P8
{
          // Torque reference

          LABEL  M4_P8_LABEL;
          HELP  M4_P8_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_USER_CURRENT_MAX_SECTION
               MAX_VALUE  USER_CURRENT_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M4_P8_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28A8);
               }
          }
}

VARIABLE M4_P11
{
          // Torque mode selector

          LABEL  M4_P11_LABEL;
          HELP  M4_P11_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID128_VAL0_MNEMONIC, ENUMID128_VAL0_HELP},
               {1, ENUMID128_VAL1_MNEMONIC, ENUMID128_VAL1_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M4_P11_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28AB);
               }
          }
}

VARIABLE M4_P13
{
          // Current controller Kp gain

          LABEL  M4_P13_LABEL;
          HELP  M4_P13_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
          }
          CONSTANT_UNIT UNITID350;
          #define M4_P13_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28AD);
               }
          }
}

VARIABLE M4_P14
{
          // Current controller Ki gain

          LABEL  M4_P14_LABEL;
          HELP  M4_P14_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
          }
          CONSTANT_UNIT UNITID350;
          #define M4_P14_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28AE);
               }
          }
}

VARIABLE M4_P15
{
          // Motor thermal time constant

          LABEL  M4_P15_LABEL;
          HELP  M4_P15_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
          }
          CONSTANT_UNIT UNITID350;
          #define M4_P15_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28AF);
               }
          }
}

VARIABLE M4_P16
{
          // Motor thermal protection mode

          LABEL  M4_P16_LABEL;
          HELP  M4_P16_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M4_P16_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28B0);
               }
          }
}

VARIABLE M4_P17
{
          // Reactive current

          LABEL  M4_P17_LABEL;
          HELP  M4_P17_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (4)
          {
               MIN_VALUE  NEG_DRIVE_CURRENT_MAX_SECTION
               MAX_VALUE  DRIVE_CURRENT_MAX_SECTION
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID365;
          #define M4_P17_UNIT UNITID365

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28B1);
               }
          }
}

VARIABLE M4_P18
{
          // Overriding current limit

          LABEL  M4_P18_LABEL;
          HELP  M4_P18_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  TORQUE_PROD_CURRENT_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M4_P18_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28B2);
               }
          }
}

VARIABLE M4_P19
{
          // Motor overload accumulator

          LABEL  M4_P19_LABEL;
          HELP  M4_P19_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M4_P19_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28B3);
               }
          }
}

VARIABLE M4_P20
{
          // Percentage load

          LABEL  M4_P20_LABEL;
          HELP  M4_P20_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_USER_CURRENT_MAX_SECTION
               MAX_VALUE  USER_CURRENT_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M4_P20_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28B4);
               }
          }
}

VARIABLE M4_P21
{
          // Load display units

          LABEL  M4_P21_LABEL;
          HELP  M4_P21_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID75_VAL0_MNEMONIC},
               {1, ENUMID75_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M4_P21_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28B5);
               }
          }
}

VARIABLE M4_P24
{
          // User current maximum scaling

          LABEL  M4_P24_LABEL;
          HELP  M4_P24_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  TORQUE_PROD_CURRENT_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M4_P24_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28B8);
               }
          }
}

VARIABLE M4_P25
{
          // Low speed thermal protection mode

          LABEL  M4_P25_LABEL;
          HELP  M4_P25_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M4_P25_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28B9);
               }
          }
}

VARIABLE M4_P26
{
          // Percentage torque

          LABEL  M4_P26_LABEL;
          HELP  M4_P26_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_USER_CURRENT_MAX_SECTION
               MAX_VALUE  USER_CURRENT_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M4_P26_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x28BA);
               }
          }
}

VARIABLE M5_P0
{
          // Parameter 0

          LABEL  M5_P0_LABEL;
          HELP  M5_P0_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M5_P0_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2904);
               }
          }
}

VARIABLE M5_P1
{
          // Motor frequency

          LABEL  M5_P1_LABEL;
          HELP  M5_P1_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_FREQ_MAX_SECTION
               MAX_VALUE  FREQ_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M5_P1_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2905);
               }
          }
}

VARIABLE M5_P2
{
          // Motor voltage

          LABEL  M5_P2_LABEL;
          HELP  M5_P2_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  AC_VOLTAGE_MAX_SECTION
          }
          CONSTANT_UNIT UNITID358;
          #define M5_P2_UNIT UNITID358

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2906);
               }
          }
}

VARIABLE M5_P3
{
          // Output power

          LABEL  M5_P3_LABEL;
          HELP  M5_P3_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  NEG_POWER_MAX_SECTION
               MAX_VALUE  POWER_MAX_SECTION
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID368;
          #define M5_P3_UNIT UNITID368

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2907);
               }
          }
}

VARIABLE M5_P4
{
          // Motor speed

          LABEL  M5_P4_LABEL;
          HELP  M5_P4_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -9999;
               MAX_VALUE  9999;
          }
          CONSTANT_UNIT UNITID353;
          #define M5_P4_UNIT UNITID353

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2908);
               }
          }
}

VARIABLE M5_P5
{
          // DC bus voltage

          LABEL  M5_P5_LABEL;
          HELP  M5_P5_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  DC_VOLTAGE_MAX_SECTION
          }
          CONSTANT_UNIT UNITID358;
          #define M5_P5_UNIT UNITID358

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2909);
               }
          }
}

VARIABLE M5_P6
{
          // Motor rated frequency

          LABEL  M5_P6_LABEL;
          HELP  M5_P6_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  15000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M5_P6_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x290A);
               }
          }
}

VARIABLE M5_P7
{
          // Motor rated current

          LABEL  M5_P7_LABEL;
          HELP  M5_P7_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  RATED_CURRENT_MAX_SECTION
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID365;
          #define M5_P7_UNIT UNITID365

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x290B);
               }
          }
}

VARIABLE M5_P8
{
          // Motor rated full load rpm

          LABEL  M5_P8_LABEL;
          HELP  M5_P8_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  9999;
          }
          CONSTANT_UNIT UNITID353;
          #define M5_P8_UNIT UNITID353

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x290C);
               }
          }
}

VARIABLE M5_P9
{
          // Motor rated voltage

          LABEL  M5_P9_LABEL;
          HELP  M5_P9_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  AC_VOLTAGE_SET_MAX_SECTION
          }
          CONSTANT_UNIT UNITID358;
          #define M5_P9_UNIT UNITID358

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x290D);
               }
          }
}

VARIABLE M5_P10
{
          // Motor rated power factor

          LABEL  M5_P10_LABEL;
          HELP  M5_P10_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  100;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID350;
          #define M5_P10_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x290E);
               }
          }
}

VARIABLE M5_P11
{
          // Number of motor poles

          LABEL  M5_P11_LABEL;
          HELP  M5_P11_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID95_VAL0_MNEMONIC},
               {1, ENUMID95_VAL1_MNEMONIC},
               {2, ENUMID95_VAL2_MNEMONIC},
               {3, ENUMID95_VAL3_MNEMONIC},
               {4, ENUMID95_VAL4_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M5_P11_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x290F);
               }
          }
}

VARIABLE M5_P12
{
          // Auto-tune

          LABEL  M5_P12_LABEL;
          HELP  M5_P12_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  2;
          }
          CONSTANT_UNIT UNITID350;
          #define M5_P12_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2910);
               }
          }
}

VARIABLE M5_P13
{
          // Dynamic V to f select

          LABEL  M5_P13_LABEL;
          HELP  M5_P13_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M5_P13_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2911);
               }
          }
}

VARIABLE M5_P14
{
          // Voltage mode select

          LABEL  M5_P14_LABEL;
          HELP  M5_P14_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID169_VAL0_MNEMONIC, ENUMID169_VAL0_HELP},
               {1, ENUMID169_VAL1_MNEMONIC, ENUMID169_VAL1_HELP},
               {2, ENUMID169_VAL2_MNEMONIC, ENUMID169_VAL2_HELP},
               {3, ENUMID169_VAL3_MNEMONIC, ENUMID169_VAL3_HELP},
               {4, ENUMID169_VAL4_MNEMONIC, ENUMID169_VAL4_HELP},
               {5, ENUMID169_VAL5_MNEMONIC, ENUMID169_VAL5_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M5_P14_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2912);
               }
          }
}

VARIABLE M5_P15
{
          // Low frequency voltage boost

          LABEL  M5_P15_LABEL;
          HELP  M5_P15_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  500;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M5_P15_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2913);
               }
          }
}

VARIABLE M5_P17
{
          // Stator resistance

          LABEL  M5_P17_LABEL;
          HELP  M5_P17_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  65000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID371;
          #define M5_P17_UNIT UNITID371

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2915);
               }
          }
}

VARIABLE M5_P18
{
          // Maximum switching frequency

          LABEL  M5_P18_LABEL;
          HELP  M5_P18_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID147_VAL0_MNEMONIC, ENUMID147_VAL0_HELP},
               {1, ENUMID147_VAL1_MNEMONIC, ENUMID147_VAL1_HELP},
               {2, ENUMID147_VAL2_MNEMONIC, ENUMID147_VAL2_HELP},
               {3, ENUMID147_VAL3_MNEMONIC, ENUMID147_VAL3_HELP}
          }
          CONSTANT_UNIT UNITID372;
          #define M5_P18_UNIT UNITID372

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2916);
               }
          }
}

VARIABLE M5_P19
{
          // High stability space vector modulation

          LABEL  M5_P19_LABEL;
          HELP  M5_P19_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M5_P19_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2917);
               }
          }
}

VARIABLE M5_P20
{
          // Over modulation enable

          LABEL  M5_P20_LABEL;
          HELP  M5_P20_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M5_P20_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2918);
               }
          }
}

VARIABLE M5_P23
{
          // Voltage offset

          LABEL  M5_P23_LABEL;
          HELP  M5_P23_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID358;
          #define M5_P23_UNIT UNITID358

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x291B);
               }
          }
}

VARIABLE M5_P24
{
          // Transient inductance (sLs)

          LABEL  M5_P24_LABEL;
          HELP  M5_P24_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID373;
          #define M5_P24_UNIT UNITID373

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x291C);
               }
          }
}

VARIABLE M5_P27
{
          // Enable slip compensation

          LABEL  M5_P27_LABEL;
          HELP  M5_P27_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M5_P27_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x291F);
               }
          }
}

VARIABLE M5_P34
{
          // Speed display units

          LABEL  M5_P34_LABEL;
          HELP  M5_P34_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID79_VAL0_MNEMONIC, ENUMID79_VAL0_HELP},
               {1, ENUMID79_VAL1_MNEMONIC, ENUMID79_VAL1_HELP},
               {2, ENUMID79_VAL2_MNEMONIC, ENUMID79_VAL2_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M5_P34_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2926);
               }
          }
}

VARIABLE M5_P35
{
          // Disable auto switching frequency change

          LABEL  M5_P35_LABEL;
          HELP  M5_P35_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M5_P35_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2927);
               }
          }
}

VARIABLE M5_P37
{
          // Actual switching frequency

          LABEL  M5_P37_LABEL;
          HELP  M5_P37_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID147_VAL0_MNEMONIC, ENUMID147_VAL0_HELP},
               {1, ENUMID147_VAL1_MNEMONIC, ENUMID147_VAL1_HELP},
               {2, ENUMID147_VAL2_MNEMONIC, ENUMID147_VAL2_HELP},
               {3, ENUMID147_VAL3_MNEMONIC, ENUMID147_VAL3_HELP}
          }
          CONSTANT_UNIT UNITID372;
          #define M5_P37_UNIT UNITID372

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2929);
               }
          }
}

VARIABLE M5_P50
{
          // Security unlock

          LABEL  M5_P50_LABEL;
          HELP  M5_P50_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  999;
          }
          CONSTANT_UNIT UNITID350;
          #define M5_P50_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2936);
               }
          }
}

VARIABLE M6_P0
{
          // Parameter 0

          LABEL  M6_P0_LABEL;
          HELP  M6_P0_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P0_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2968);
               }
          }
}

VARIABLE M6_P1
{
          // Stopping mode select

          LABEL  M6_P1_LABEL;
          HELP  M6_P1_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  4;
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P1_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2969);
               }
          }
}

VARIABLE M6_P3
{
          // Mains loss mode

          LABEL  M6_P3_LABEL;
          HELP  M6_P3_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID171_VAL0_MNEMONIC, ENUMID171_VAL0_HELP},
               {1, ENUMID171_VAL1_MNEMONIC, ENUMID171_VAL1_HELP},
               {2, ENUMID171_VAL2_MNEMONIC, ENUMID171_VAL2_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P3_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x296B);
               }
          }
}

VARIABLE M6_P4
{
          // Start / stop logic select

          LABEL  M6_P4_LABEL;
          HELP  M6_P4_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  6;
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P4_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x296C);
               }
          }
}

VARIABLE M6_P6
{
          // Injection braking level

          LABEL  M6_P6_LABEL;
          HELP  M6_P6_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  1500;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M6_P6_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x296E);
               }
          }
}

VARIABLE M6_P7
{
          // Injection braking time

          LABEL  M6_P7_LABEL;
          HELP  M6_P7_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID354;
          #define M6_P7_UNIT UNITID354

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x296F);
               }
          }
}

VARIABLE M6_P9
{
          // Catch a spinning motor select

          LABEL  M6_P9_LABEL;
          HELP  M6_P9_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  3;
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P9_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2971);
               }
          }
}

VARIABLE M6_P10
{
          // Low DC bus operation

          LABEL  M6_P10_LABEL;
          HELP  M6_P10_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P10_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2972);
               }
          }
}

VARIABLE M6_P11
{
          // Remote LED keypad function key status

          LABEL  M6_P11_LABEL;
          HELP  M6_P11_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P11_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2973);
               }
          }
}

VARIABLE M6_P12
{
          // Enable stop key

          LABEL  M6_P12_LABEL;
          HELP  M6_P12_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P12_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2974);
               }
          }
}

VARIABLE M6_P13
{
          // Function key mode

          LABEL  M6_P13_LABEL;
          HELP  M6_P13_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID167_VAL0_MNEMONIC, ENUMID167_VAL0_HELP},
               {1, ENUMID167_VAL1_MNEMONIC, ENUMID167_VAL1_HELP},
               {2, ENUMID167_VAL2_MNEMONIC, ENUMID167_VAL2_HELP},
               {3, ENUMID167_VAL3_MNEMONIC, ENUMID167_VAL3_HELP},
               {4, ENUMID167_VAL4_MNEMONIC, ENUMID167_VAL4_HELP},
               {5, ENUMID167_VAL5_MNEMONIC, ENUMID167_VAL5_HELP},
               {6, ENUMID167_VAL6_MNEMONIC, ENUMID167_VAL6_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P13_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2975);
               }
          }
}

VARIABLE M6_P14
{
          // Disable auto reset on enable

          LABEL  M6_P14_LABEL;
          HELP  M6_P14_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P14_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2976);
               }
          }
}

VARIABLE M6_P15
{
          // Drive enable

          LABEL  M6_P15_LABEL;
          HELP  M6_P15_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P15_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2977);
               }
          }
}

VARIABLE M6_P16
{
          // Electricity cost per kWh

          LABEL  M6_P16_LABEL;
          HELP  M6_P16_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  6000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID375;
          #define M6_P16_UNIT UNITID375

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2978);
               }
          }
}

VARIABLE M6_P17
{
          // Reset energy meter

          LABEL  M6_P17_LABEL;
          HELP  M6_P17_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P17_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2979);
               }
          }
}

VARIABLE M6_P22
{
          // Run time log: years.days

          LABEL  M6_P22_LABEL;
          HELP  M6_P22_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  9365;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID377;
          #define M6_P22_UNIT UNITID377

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x297E);
               }
          }
}

VARIABLE M6_P23
{
          // Run time log: hours.minutes

          LABEL  M6_P23_LABEL;
          HELP  M6_P23_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2359;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID379;
          #define M6_P23_UNIT UNITID379

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x297F);
               }
          }
}

VARIABLE M6_P24
{
          // Energy meter: MWh

          LABEL  M6_P24_LABEL;
          HELP  M6_P24_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -9999;
               MAX_VALUE  9999;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID380;
          #define M6_P24_UNIT UNITID380

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2980);
               }
          }
}

VARIABLE M6_P25
{
          // Energy meter: kWh

          LABEL  M6_P25_LABEL;
          HELP  M6_P25_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -9999;
               MAX_VALUE  9999;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID381;
          #define M6_P25_UNIT UNITID381

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2981);
               }
          }
}

VARIABLE M6_P26
{
          // Running cost

          LABEL  M6_P26_LABEL;
          HELP  M6_P26_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32000;
               MAX_VALUE  32000;
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P26_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2982);
               }
          }
}

VARIABLE M6_P29
{
          // Hardware enable

          LABEL  M6_P29_LABEL;
          HELP  M6_P29_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P29_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2985);
               }
          }
}

VARIABLE M6_P30
{
          // Sequencing bit: Run forward

          LABEL  M6_P30_LABEL;
          HELP  M6_P30_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P30_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2986);
               }
          }
}

VARIABLE M6_P31
{
          // Sequencing bit: Jog forward

          LABEL  M6_P31_LABEL;
          HELP  M6_P31_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P31_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2987);
               }
          }
}

VARIABLE M6_P32
{
          // Sequencing bit: Run reverse

          LABEL  M6_P32_LABEL;
          HELP  M6_P32_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P32_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2988);
               }
          }
}

VARIABLE M6_P33
{
          // Sequencing bit: Fwd /Rev

          LABEL  M6_P33_LABEL;
          HELP  M6_P33_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P33_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2989);
               }
          }
}

VARIABLE M6_P34
{
          // Sequencing bit: Run

          LABEL  M6_P34_LABEL;
          HELP  M6_P34_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P34_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x298A);
               }
          }
}

VARIABLE M6_P35
{
          // Forward limit switch

          LABEL  M6_P35_LABEL;
          HELP  M6_P35_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P35_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x298B);
               }
          }
}

VARIABLE M6_P36
{
          // Reverse limit switch

          LABEL  M6_P36_LABEL;
          HELP  M6_P36_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P36_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x298C);
               }
          }
}

VARIABLE M6_P37
{
          // Sequencing bit: Jog reverse

          LABEL  M6_P37_LABEL;
          HELP  M6_P37_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P37_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x298D);
               }
          }
}

VARIABLE M6_P39
{
          // Sequencing bit: Not stop

          LABEL  M6_P39_LABEL;
          HELP  M6_P39_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P39_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x298F);
               }
          }
}

VARIABLE M6_P40
{
          // Enable sequencer latching

          LABEL  M6_P40_LABEL;
          HELP  M6_P40_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P40_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2990);
               }
          }
}

VARIABLE M6_P42
{
          // Control word

          LABEL  M6_P42_LABEL;
          HELP  M6_P42_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P42_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2992);
               }
          }
}

VARIABLE M6_P43
{
          // Control word enable

          LABEL  M6_P43_LABEL;
          HELP  M6_P43_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P43_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2993);
               }
          }
}

VARIABLE M6_P45
{
          // Force cooling fan to run at full speed

          LABEL  M6_P45_LABEL;
          HELP  M6_P45_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M6_P45_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2995);
               }
          }
}

VARIABLE M7_P0
{
          // Parameter 0

          LABEL  M7_P0_LABEL;
          HELP  M7_P0_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M7_P0_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29CC);
               }
          }
}

VARIABLE M7_P1
{
          // Analog input 1 level (terminal T2)

          LABEL  M7_P1_LABEL;
          HELP  M7_P1_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M7_P1_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29CD);
               }
          }
}

VARIABLE M7_P2
{
          // Analog input 2 level (terminal T4)

          LABEL  M7_P2_LABEL;
          HELP  M7_P2_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M7_P2_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29CE);
               }
          }
}

VARIABLE M7_P4
{
          // Heatsink temperature

          LABEL  M7_P4_LABEL;
          HELP  M7_P4_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER
          {
               MIN_VALUE  -127;
               MAX_VALUE  127;
          }
          CONSTANT_UNIT UNITID383;
          #define M7_P4_UNIT UNITID383

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29D0);
               }
          }
}

VARIABLE M7_P5
{
          // Power circuit temperature 2

          LABEL  M7_P5_LABEL;
          HELP  M7_P5_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER
          {
               MIN_VALUE  -127;
               MAX_VALUE  127;
          }
          CONSTANT_UNIT UNITID383;
          #define M7_P5_UNIT UNITID383

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29D1);
               }
          }
}

VARIABLE M7_P6
{
          // Analog input 1 mode (terminal T2)

          LABEL  M7_P6_LABEL;
          HELP  M7_P6_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID168_VAL0_MNEMONIC, ENUMID168_VAL0_HELP},
               {1, ENUMID168_VAL1_MNEMONIC, ENUMID168_VAL1_HELP},
               {2, ENUMID168_VAL2_MNEMONIC, ENUMID168_VAL2_HELP},
               {3, ENUMID168_VAL3_MNEMONIC, ENUMID168_VAL3_HELP},
               {4, ENUMID168_VAL4_MNEMONIC, ENUMID168_VAL4_HELP},
               {5, ENUMID168_VAL5_MNEMONIC, ENUMID168_VAL5_HELP},
               {6, ENUMID168_VAL6_MNEMONIC, ENUMID168_VAL6_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M7_P6_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29D2);
               }
          }
}

VARIABLE M7_P8
{
          // Analog input 1 scaling

          LABEL  M7_P8_LABEL;
          HELP  M7_P8_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  4000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID350;
          #define M7_P8_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29D4);
               }
          }
}

VARIABLE M7_P9
{
          // Analog input 1 invert

          LABEL  M7_P9_LABEL;
          HELP  M7_P9_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M7_P9_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29D5);
               }
          }
}

VARIABLE M7_P10
{
          // Analog input 1 destination

          LABEL  M7_P10_LABEL;
          HELP  M7_P10_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID384;
          #define M7_P10_UNIT UNITID384

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29D6);
               }
          }
}

VARIABLE M7_P11
{
          // Analog input 2 mode (terminal T4)

          LABEL  M7_P11_LABEL;
          HELP  M7_P11_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID146_VAL0_MNEMONIC, ENUMID146_VAL0_HELP},
               {1, ENUMID146_VAL1_MNEMONIC, ENUMID146_VAL1_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M7_P11_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29D7);
               }
          }
}

VARIABLE M7_P12
{
          // Analog input 2 scaling

          LABEL  M7_P12_LABEL;
          HELP  M7_P12_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  4000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID350;
          #define M7_P12_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29D8);
               }
          }
}

VARIABLE M7_P13
{
          // Analog input 2 invert

          LABEL  M7_P13_LABEL;
          HELP  M7_P13_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M7_P13_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29D9);
               }
          }
}

VARIABLE M7_P14
{
          // Analog input 2 destination

          LABEL  M7_P14_LABEL;
          HELP  M7_P14_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID384;
          #define M7_P14_UNIT UNITID384

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29DA);
               }
          }
}

VARIABLE M7_P19
{
          // Analog output 1 source

          LABEL  M7_P19_LABEL;
          HELP  M7_P19_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID384;
          #define M7_P19_UNIT UNITID384

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29DF);
               }
          }
}

VARIABLE M7_P20
{
          // Analog output 1 scaling

          LABEL  M7_P20_LABEL;
          HELP  M7_P20_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  4000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID350;
          #define M7_P20_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29E0);
               }
          }
}

VARIABLE M7_P28
{
          // Current loop loss indicator

          LABEL  M7_P28_LABEL;
          HELP  M7_P28_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M7_P28_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29E8);
               }
          }
}

VARIABLE M7_P30
{
          // Analog input 1 offset

          LABEL  M7_P30_LABEL;
          HELP  M7_P30_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -1000;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M7_P30_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29EA);
               }
          }
}

VARIABLE M7_P31
{
          // Analog input 2 offset

          LABEL  M7_P31_LABEL;
          HELP  M7_P31_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -1000;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M7_P31_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29EB);
               }
          }
}

VARIABLE M7_P33
{
          // Analog output control (terminal B1)

          LABEL  M7_P33_LABEL;
          HELP  M7_P33_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID148_VAL0_MNEMONIC, ENUMID148_VAL0_HELP},
               {1, ENUMID148_VAL1_MNEMONIC, ENUMID148_VAL1_HELP},
               {2, ENUMID148_VAL2_MNEMONIC, ENUMID148_VAL2_HELP},
               {3, ENUMID148_VAL3_MNEMONIC, ENUMID148_VAL3_HELP},
               {4, ENUMID148_VAL4_MNEMONIC, ENUMID148_VAL4_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M7_P33_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29ED);
               }
          }
}

VARIABLE M7_P34
{
          // IGBT junction temperature

          LABEL  M7_P34_LABEL;
          HELP  M7_P34_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -200;
               MAX_VALUE  200;
          }
          CONSTANT_UNIT UNITID383;
          #define M7_P34_UNIT UNITID383

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29EE);
               }
          }
}

VARIABLE M7_P35
{
          // Drive thermal protection accumulator

          LABEL  M7_P35_LABEL;
          HELP  M7_P35_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  100;
          }
          CONSTANT_UNIT UNITID355;
          #define M7_P35_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29EF);
               }
          }
}

VARIABLE M7_P36
{
          // Power circuit temperature 3

          LABEL  M7_P36_LABEL;
          HELP  M7_P36_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER
          {
               MIN_VALUE  -127;
               MAX_VALUE  127;
          }
          CONSTANT_UNIT UNITID383;
          #define M7_P36_UNIT UNITID383

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x29F0);
               }
          }
}

VARIABLE M8_P0
{
          // Parameter 0

          LABEL  M8_P0_LABEL;
          HELP  M8_P0_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P0_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A30);
               }
          }
}

VARIABLE M8_P1
{
          // Terminal B3 digital input/output state

          LABEL  M8_P1_LABEL;
          HELP  M8_P1_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P1_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A31);
               }
          }
}

VARIABLE M8_P2
{
          // Terminal B4 digital input state

          LABEL  M8_P2_LABEL;
          HELP  M8_P2_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P2_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A32);
               }
          }
}

VARIABLE M8_P3
{
          // Terminal B5 digital input state

          LABEL  M8_P3_LABEL;
          HELP  M8_P3_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P3_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A33);
               }
          }
}

VARIABLE M8_P4
{
          // Terminal B6 digital input state

          LABEL  M8_P4_LABEL;
          HELP  M8_P4_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P4_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A34);
               }
          }
}

VARIABLE M8_P5
{
          // Terminal B7 digital input state

          LABEL  M8_P5_LABEL;
          HELP  M8_P5_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P5_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A35);
               }
          }
}

VARIABLE M8_P7
{
          // Status relay state (terminals T5 & T6)

          LABEL  M8_P7_LABEL;
          HELP  M8_P7_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P7_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A37);
               }
          }
}

VARIABLE M8_P11
{
          // Terminal B3 digital input/output invert

          LABEL  M8_P11_LABEL;
          HELP  M8_P11_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P11_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A3B);
               }
          }
}

VARIABLE M8_P12
{
          // Terminal B4 digital input invert

          LABEL  M8_P12_LABEL;
          HELP  M8_P12_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P12_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A3C);
               }
          }
}

VARIABLE M8_P13
{
          // Terminal B5 digital input invert

          LABEL  M8_P13_LABEL;
          HELP  M8_P13_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P13_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A3D);
               }
          }
}

VARIABLE M8_P14
{
          // Terminal B6 digital input invert

          LABEL  M8_P14_LABEL;
          HELP  M8_P14_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P14_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A3E);
               }
          }
}

VARIABLE M8_P15
{
          // Terminal B7 digital input invert

          LABEL  M8_P15_LABEL;
          HELP  M8_P15_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P15_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A3F);
               }
          }
}

VARIABLE M8_P17
{
          // Status relay invert

          LABEL  M8_P17_LABEL;
          HELP  M8_P17_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P17_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A41);
               }
          }
}

VARIABLE M8_P20
{
          // Digital I/O read word

          LABEL  M8_P20_LABEL;
          HELP  M8_P20_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  95;
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P20_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A44);
               }
          }
}

VARIABLE M8_P21
{
          // Terminal B3 digital input destination/output source

          LABEL  M8_P21_LABEL;
          HELP  M8_P21_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M8_P21_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A45);
               }
          }
}

VARIABLE M8_P22
{
          // Terminal B4 digital input destination

          LABEL  M8_P22_LABEL;
          HELP  M8_P22_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M8_P22_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A46);
               }
          }
}

VARIABLE M8_P23
{
          // Terminal B5 digital input destination

          LABEL  M8_P23_LABEL;
          HELP  M8_P23_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M8_P23_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A47);
               }
          }
}

VARIABLE M8_P24
{
          // Terminal B6 digital input destination

          LABEL  M8_P24_LABEL;
          HELP  M8_P24_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M8_P24_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A48);
               }
          }
}

VARIABLE M8_P25
{
          // Terminal B7 digital input destination

          LABEL  M8_P25_LABEL;
          HELP  M8_P25_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M8_P25_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A49);
               }
          }
}

VARIABLE M8_P27
{
          // Status relay source

          LABEL  M8_P27_LABEL;
          HELP  M8_P27_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M8_P27_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A4B);
               }
          }
}

VARIABLE M8_P31
{
          // Terminal B3 mode select

          LABEL  M8_P31_LABEL;
          HELP  M8_P31_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID163_VAL0_MNEMONIC, ENUMID163_VAL0_HELP},
               {1, ENUMID163_VAL1_MNEMONIC, ENUMID163_VAL1_HELP},
               {2, ENUMID163_VAL2_MNEMONIC, ENUMID163_VAL2_HELP},
               {3, ENUMID163_VAL3_MNEMONIC, ENUMID163_VAL3_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P31_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A4F);
               }
          }
}

VARIABLE M8_P35
{
          // Terminal B7 mode select

          LABEL  M8_P35_LABEL;
          HELP  M8_P35_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID159_VAL0_MNEMONIC, ENUMID159_VAL0_HELP},
               {1, ENUMID159_VAL1_MNEMONIC, ENUMID159_VAL1_HELP},
               {2, ENUMID159_VAL2_MNEMONIC, ENUMID159_VAL2_HELP},
               {3, ENUMID159_VAL3_MNEMONIC, ENUMID159_VAL3_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P35_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A53);
               }
          }
}

VARIABLE M8_P41
{
          // Digital output control (terminal B3)

          LABEL  M8_P41_LABEL;
          HELP  M8_P41_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID160_VAL0_MNEMONIC, ENUMID160_VAL0_HELP},
               {1, ENUMID160_VAL1_MNEMONIC, ENUMID160_VAL1_HELP},
               {2, ENUMID160_VAL2_MNEMONIC, ENUMID160_VAL2_HELP},
               {3, ENUMID160_VAL3_MNEMONIC, ENUMID160_VAL3_HELP},
               {4, ENUMID160_VAL4_MNEMONIC, ENUMID160_VAL4_HELP},
               {5, ENUMID160_VAL5_MNEMONIC, ENUMID160_VAL5_HELP},
               {6, ENUMID160_VAL6_MNEMONIC, ENUMID160_VAL6_HELP},
               {7, ENUMID160_VAL7_MNEMONIC, ENUMID160_VAL7_HELP},
               {8, ENUMID160_VAL8_MNEMONIC, ENUMID160_VAL8_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M8_P41_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A59);
               }
          }
}

VARIABLE M9_P0
{
          // Parameter 0

          LABEL  M9_P0_LABEL;
          HELP  M9_P0_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P0_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A94);
               }
          }
}

VARIABLE M9_P1
{
          // Logic function 1 output

          LABEL  M9_P1_LABEL;
          HELP  M9_P1_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P1_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A95);
               }
          }
}

VARIABLE M9_P2
{
          // Logic function 2 output

          LABEL  M9_P2_LABEL;
          HELP  M9_P2_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P2_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A96);
               }
          }
}

VARIABLE M9_P3
{
          // Motorised pot output

          LABEL  M9_P3_LABEL;
          HELP  M9_P3_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -1000;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M9_P3_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A97);
               }
          }
}

VARIABLE M9_P4
{
          // Logic function 1 source 1

          LABEL  M9_P4_LABEL;
          HELP  M9_P4_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M9_P4_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A98);
               }
          }
}

VARIABLE M9_P5
{
          // Logic function 1 source 1 invert

          LABEL  M9_P5_LABEL;
          HELP  M9_P5_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P5_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A99);
               }
          }
}

VARIABLE M9_P6
{
          // Logic function 1 source 2

          LABEL  M9_P6_LABEL;
          HELP  M9_P6_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M9_P6_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A9A);
               }
          }
}

VARIABLE M9_P7
{
          // Logic function 1 source 2 invert

          LABEL  M9_P7_LABEL;
          HELP  M9_P7_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P7_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A9B);
               }
          }
}

VARIABLE M9_P8
{
          // Logic function 1 output invert

          LABEL  M9_P8_LABEL;
          HELP  M9_P8_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P8_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A9C);
               }
          }
}

VARIABLE M9_P9
{
          // Logic function 1 delay

          LABEL  M9_P9_LABEL;
          HELP  M9_P9_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -250;
               MAX_VALUE  250;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID354;
          #define M9_P9_UNIT UNITID354

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A9D);
               }
          }
}

VARIABLE M9_P10
{
          // Logic function 1 destination

          LABEL  M9_P10_LABEL;
          HELP  M9_P10_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M9_P10_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2A9E);
               }
          }
}

VARIABLE M9_P14
{
          // Logic function 2 source 1

          LABEL  M9_P14_LABEL;
          HELP  M9_P14_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M9_P14_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AA2);
               }
          }
}

VARIABLE M9_P15
{
          // Logic function 2 source 1 invert

          LABEL  M9_P15_LABEL;
          HELP  M9_P15_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P15_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AA3);
               }
          }
}

VARIABLE M9_P16
{
          // Logic function 2 source 2

          LABEL  M9_P16_LABEL;
          HELP  M9_P16_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M9_P16_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AA4);
               }
          }
}

VARIABLE M9_P17
{
          // Logic function 2 source 2 invert

          LABEL  M9_P17_LABEL;
          HELP  M9_P17_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P17_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AA5);
               }
          }
}

VARIABLE M9_P18
{
          // Logic function 2 output invert

          LABEL  M9_P18_LABEL;
          HELP  M9_P18_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P18_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AA6);
               }
          }
}

VARIABLE M9_P19
{
          // Logic function 2 delay

          LABEL  M9_P19_LABEL;
          HELP  M9_P19_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -250;
               MAX_VALUE  250;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID354;
          #define M9_P19_UNIT UNITID354

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AA7);
               }
          }
}

VARIABLE M9_P20
{
          // Logic function 2 destination

          LABEL  M9_P20_LABEL;
          HELP  M9_P20_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M9_P20_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AA8);
               }
          }
}

VARIABLE M9_P21
{
          // Motorised pot mode

          LABEL  M9_P21_LABEL;
          HELP  M9_P21_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  3;
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P21_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AA9);
               }
          }
}

VARIABLE M9_P22
{
          // Motorised pot bipolar select

          LABEL  M9_P22_LABEL;
          HELP  M9_P22_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P22_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AAA);
               }
          }
}

VARIABLE M9_P23
{
          // Motorised pot rate

          LABEL  M9_P23_LABEL;
          HELP  M9_P23_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
          }
          CONSTANT_UNIT UNITID354;
          #define M9_P23_UNIT UNITID354

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AAB);
               }
          }
}

VARIABLE M9_P24
{
          // Motorised pot scale factor

          LABEL  M9_P24_LABEL;
          HELP  M9_P24_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  4000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P24_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AAC);
               }
          }
}

VARIABLE M9_P25
{
          // Motorised pot destination

          LABEL  M9_P25_LABEL;
          HELP  M9_P25_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M9_P25_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AAD);
               }
          }
}

VARIABLE M9_P26
{
          // Motorised pot up

          LABEL  M9_P26_LABEL;
          HELP  M9_P26_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P26_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AAE);
               }
          }
}

VARIABLE M9_P27
{
          // Motorised pot down

          LABEL  M9_P27_LABEL;
          HELP  M9_P27_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P27_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AAF);
               }
          }
}

VARIABLE M9_P28
{
          // Motorised pot reset

          LABEL  M9_P28_LABEL;
          HELP  M9_P28_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P28_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AB0);
               }
          }
}

VARIABLE M9_P29
{
          // Binary sum ones input

          LABEL  M9_P29_LABEL;
          HELP  M9_P29_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P29_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AB1);
               }
          }
}

VARIABLE M9_P30
{
          // Binary sum twos input

          LABEL  M9_P30_LABEL;
          HELP  M9_P30_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P30_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AB2);
               }
          }
}

VARIABLE M9_P31
{
          // Binary sum fours input

          LABEL  M9_P31_LABEL;
          HELP  M9_P31_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P31_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AB3);
               }
          }
}

VARIABLE M9_P32
{
          // Binary sum output

          LABEL  M9_P32_LABEL;
          HELP  M9_P32_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  255;
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P32_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AB4);
               }
          }
}

VARIABLE M9_P33
{
          // Binary sum destination

          LABEL  M9_P33_LABEL;
          HELP  M9_P33_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M9_P33_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AB5);
               }
          }
}

VARIABLE M9_P34
{
          // Binary sum offset

          LABEL  M9_P34_LABEL;
          HELP  M9_P34_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  248;
          }
          CONSTANT_UNIT UNITID350;
          #define M9_P34_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AB6);
               }
          }
}

VARIABLE M10_P0
{
          // Parameter 0

          LABEL  M10_P0_LABEL;
          HELP  M10_P0_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P0_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AF8);
               }
          }
}

VARIABLE M10_P1
{
          // Drive healthy

          LABEL  M10_P1_LABEL;
          HELP  M10_P1_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P1_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P1_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AF9);
               }
          }
}

VARIABLE M10_P2
{
          // Drive active

          LABEL  M10_P2_LABEL;
          HELP  M10_P2_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P2_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P2_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AFA);
               }
          }
}

VARIABLE M10_P3
{
          // Zero speed

          LABEL  M10_P3_LABEL;
          HELP  M10_P3_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P3_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P3_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AFB);
               }
          }
}

VARIABLE M10_P4
{
          // Running at or below minimum speed

          LABEL  M10_P4_LABEL;
          HELP  M10_P4_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P4_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P4_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AFC);
               }
          }
}

VARIABLE M10_P5
{
          // Below set speed

          LABEL  M10_P5_LABEL;
          HELP  M10_P5_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P5_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P5_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AFD);
               }
          }
}

VARIABLE M10_P6
{
          // At speed

          LABEL  M10_P6_LABEL;
          HELP  M10_P6_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P6_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P6_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AFE);
               }
          }
}

VARIABLE M10_P7
{
          // Above set speed

          LABEL  M10_P7_LABEL;
          HELP  M10_P7_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P7_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P7_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2AFF);
               }
          }
}

VARIABLE M10_P8
{
          // Load reached

          LABEL  M10_P8_LABEL;
          HELP  M10_P8_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P8_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P8_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B00);
               }
          }
}

VARIABLE M10_P9
{
          // Drive output is at current limit

          LABEL  M10_P9_LABEL;
          HELP  M10_P9_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P9_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P9_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B01);
               }
          }
}

VARIABLE M10_P10
{
          // Regenerating

          LABEL  M10_P10_LABEL;
          HELP  M10_P10_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P10_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P10_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B02);
               }
          }
}

VARIABLE M10_P11
{
          // Dynamic brake active

          LABEL  M10_P11_LABEL;
          HELP  M10_P11_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P11_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P11_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B03);
               }
          }
}

VARIABLE M10_P12
{
          // Braking resistor alarm

          LABEL  M10_P12_LABEL;
          HELP  M10_P12_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P12_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P12_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B04);
               }
          }
}

VARIABLE M10_P13
{
          // Direction commanded

          LABEL  M10_P13_LABEL;
          HELP  M10_P13_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P13_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P13_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B05);
               }
          }
}

VARIABLE M10_P14
{
          // Direction running

          LABEL  M10_P14_LABEL;
          HELP  M10_P14_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P14_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P14_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B06);
               }
          }
}

VARIABLE M10_P15
{
          // Mains loss detected

          LABEL  M10_P15_LABEL;
          HELP  M10_P15_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P15_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P15_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B07);
               }
          }
}

VARIABLE M10_P17
{
          // Overload alarm

          LABEL  M10_P17_LABEL;
          HELP  M10_P17_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P17_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P17_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B09);
               }
          }
}

VARIABLE M10_P18
{
          // Drive temperature alarm

          LABEL  M10_P18_LABEL;
          HELP  M10_P18_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P18_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P18_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B0A);
               }
          }
}

VARIABLE M10_P19
{
          // General drive alarm

          LABEL  M10_P19_LABEL;
          HELP  M10_P19_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P19_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P19_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B0B);
               }
          }
}

VARIABLE M10_P20
{
          // Last Trip

          LABEL  M10_P20_LABEL;
          HELP  M10_P20_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID153_VAL0_MNEMONIC, ENUMID153_VAL0_HELP},
               {1, ENUMID153_VAL1_MNEMONIC, ENUMID153_VAL1_HELP},
               {2, ENUMID153_VAL2_MNEMONIC, ENUMID153_VAL2_HELP},
               {3, ENUMID153_VAL3_MNEMONIC, ENUMID153_VAL3_HELP},
               {4, ENUMID153_VAL4_MNEMONIC, ENUMID153_VAL4_HELP},
               {5, ENUMID153_VAL5_MNEMONIC, ENUMID153_VAL5_HELP},
               {6, ENUMID153_VAL6_MNEMONIC, ENUMID153_VAL6_HELP},
               {7, ENUMID153_VAL7_MNEMONIC, ENUMID153_VAL7_HELP},
               {8, ENUMID153_VAL8_MNEMONIC, ENUMID153_VAL8_HELP},
               {9, ENUMID153_VAL9_MNEMONIC, ENUMID153_VAL9_HELP},
               {10, ENUMID153_VAL10_MNEMONIC, ENUMID153_VAL10_HELP},
               {11, ENUMID153_VAL11_MNEMONIC, ENUMID153_VAL11_HELP},
               {12, ENUMID153_VAL12_MNEMONIC, ENUMID153_VAL12_HELP},
               {13, ENUMID153_VAL13_MNEMONIC, ENUMID153_VAL13_HELP},
               {14, ENUMID153_VAL14_MNEMONIC, ENUMID153_VAL14_HELP},
               {15, ENUMID153_VAL15_MNEMONIC, ENUMID153_VAL15_HELP},
               {16, ENUMID153_VAL16_MNEMONIC, ENUMID153_VAL16_HELP},
               {17, ENUMID153_VAL17_MNEMONIC, ENUMID153_VAL17_HELP},
               {18, ENUMID153_VAL18_MNEMONIC, ENUMID153_VAL18_HELP},
               {19, ENUMID153_VAL19_MNEMONIC, ENUMID153_VAL19_HELP},
               {20, ENUMID153_VAL20_MNEMONIC, ENUMID153_VAL20_HELP},
               {21, ENUMID153_VAL21_MNEMONIC, ENUMID153_VAL21_HELP},
               {22, ENUMID153_VAL22_MNEMONIC, ENUMID153_VAL22_HELP},
               {23, ENUMID153_VAL23_MNEMONIC, ENUMID153_VAL23_HELP},
               {24, ENUMID153_VAL24_MNEMONIC, ENUMID153_VAL24_HELP},
               {25, ENUMID153_VAL25_MNEMONIC, ENUMID153_VAL25_HELP},
               {26, ENUMID153_VAL26_MNEMONIC, ENUMID153_VAL26_HELP},
               {27, ENUMID153_VAL27_MNEMONIC, ENUMID153_VAL27_HELP},
               {28, ENUMID153_VAL28_MNEMONIC, ENUMID153_VAL28_HELP},
               {29, ENUMID153_VAL29_MNEMONIC, ENUMID153_VAL29_HELP},
               {30, ENUMID153_VAL30_MNEMONIC, ENUMID153_VAL30_HELP},
               {31, ENUMID153_VAL31_MNEMONIC, ENUMID153_VAL31_HELP},
               {32, ENUMID153_VAL32_MNEMONIC, ENUMID153_VAL32_HELP},
               {33, ENUMID153_VAL33_MNEMONIC, ENUMID153_VAL33_HELP},
               {34, ENUMID153_VAL34_MNEMONIC, ENUMID153_VAL34_HELP},
               {35, ENUMID153_VAL35_MNEMONIC, ENUMID153_VAL35_HELP},
               {36, ENUMID153_VAL36_MNEMONIC, ENUMID153_VAL36_HELP},
               {37, ENUMID153_VAL37_MNEMONIC, ENUMID153_VAL37_HELP},
               {38, ENUMID153_VAL38_MNEMONIC, ENUMID153_VAL38_HELP},
               {39, ENUMID153_VAL39_MNEMONIC, ENUMID153_VAL39_HELP},
               {40, ENUMID153_VAL40_MNEMONIC, ENUMID153_VAL40_HELP},
               {41, ENUMID153_VAL41_MNEMONIC, ENUMID153_VAL41_HELP},
               {42, ENUMID153_VAL42_MNEMONIC, ENUMID153_VAL42_HELP},
               {43, ENUMID153_VAL43_MNEMONIC, ENUMID153_VAL43_HELP},
               {44, ENUMID153_VAL44_MNEMONIC, ENUMID153_VAL44_HELP},
               {45, ENUMID153_VAL45_MNEMONIC, ENUMID153_VAL45_HELP},
               {46, ENUMID153_VAL46_MNEMONIC, ENUMID153_VAL46_HELP},
               {47, ENUMID153_VAL47_MNEMONIC, ENUMID153_VAL47_HELP},
               {48, ENUMID153_VAL48_MNEMONIC, ENUMID153_VAL48_HELP},
               {49, ENUMID153_VAL49_MNEMONIC, ENUMID153_VAL49_HELP},
               {50, ENUMID153_VAL50_MNEMONIC, ENUMID153_VAL50_HELP},
               {51, ENUMID153_VAL51_MNEMONIC, ENUMID153_VAL51_HELP},
               {52, ENUMID153_VAL52_MNEMONIC, ENUMID153_VAL52_HELP},
               {53, ENUMID153_VAL53_MNEMONIC, ENUMID153_VAL53_HELP},
               {54, ENUMID153_VAL54_MNEMONIC, ENUMID153_VAL54_HELP},
               {55, ENUMID153_VAL55_MNEMONIC, ENUMID153_VAL55_HELP},
               {56, ENUMID153_VAL56_MNEMONIC, ENUMID153_VAL56_HELP},
               {57, ENUMID153_VAL57_MNEMONIC, ENUMID153_VAL57_HELP},
               {58, ENUMID153_VAL58_MNEMONIC, ENUMID153_VAL58_HELP},
               {59, ENUMID153_VAL59_MNEMONIC, ENUMID153_VAL59_HELP},
               {60, ENUMID153_VAL60_MNEMONIC, ENUMID153_VAL60_HELP},
               {61, ENUMID153_VAL61_MNEMONIC, ENUMID153_VAL61_HELP},
               {62, ENUMID153_VAL62_MNEMONIC, ENUMID153_VAL62_HELP},
               {63, ENUMID153_VAL63_MNEMONIC, ENUMID153_VAL63_HELP},
               {64, ENUMID153_VAL64_MNEMONIC, ENUMID153_VAL64_HELP},
               {65, ENUMID153_VAL65_MNEMONIC, ENUMID153_VAL65_HELP},
               {66, ENUMID153_VAL66_MNEMONIC, ENUMID153_VAL66_HELP},
               {67, ENUMID153_VAL67_MNEMONIC, ENUMID153_VAL67_HELP},
               {68, ENUMID153_VAL68_MNEMONIC, ENUMID153_VAL68_HELP},
               {69, ENUMID153_VAL69_MNEMONIC, ENUMID153_VAL69_HELP},
               {70, ENUMID153_VAL70_MNEMONIC, ENUMID153_VAL70_HELP},
               {71, ENUMID153_VAL71_MNEMONIC, ENUMID153_VAL71_HELP},
               {72, ENUMID153_VAL72_MNEMONIC, ENUMID153_VAL72_HELP},
               {73, ENUMID153_VAL73_MNEMONIC, ENUMID153_VAL73_HELP},
               {74, ENUMID153_VAL74_MNEMONIC, ENUMID153_VAL74_HELP},
               {75, ENUMID153_VAL75_MNEMONIC, ENUMID153_VAL75_HELP},
               {76, ENUMID153_VAL76_MNEMONIC, ENUMID153_VAL76_HELP},
               {77, ENUMID153_VAL77_MNEMONIC, ENUMID153_VAL77_HELP},
               {78, ENUMID153_VAL78_MNEMONIC, ENUMID153_VAL78_HELP},
               {79, ENUMID153_VAL79_MNEMONIC, ENUMID153_VAL79_HELP},
               {80, ENUMID153_VAL80_MNEMONIC, ENUMID153_VAL80_HELP},
               {81, ENUMID153_VAL81_MNEMONIC, ENUMID153_VAL81_HELP},
               {82, ENUMID153_VAL82_MNEMONIC, ENUMID153_VAL82_HELP},
               {83, ENUMID153_VAL83_MNEMONIC, ENUMID153_VAL83_HELP},
               {84, ENUMID153_VAL84_MNEMONIC, ENUMID153_VAL84_HELP},
               {85, ENUMID153_VAL85_MNEMONIC, ENUMID153_VAL85_HELP},
               {86, ENUMID153_VAL86_MNEMONIC, ENUMID153_VAL86_HELP},
               {87, ENUMID153_VAL87_MNEMONIC, ENUMID153_VAL87_HELP},
               {88, ENUMID153_VAL88_MNEMONIC, ENUMID153_VAL88_HELP},
               {89, ENUMID153_VAL89_MNEMONIC, ENUMID153_VAL89_HELP},
               {90, ENUMID153_VAL90_MNEMONIC, ENUMID153_VAL90_HELP},
               {91, ENUMID153_VAL91_MNEMONIC, ENUMID153_VAL91_HELP},
               {92, ENUMID153_VAL92_MNEMONIC, ENUMID153_VAL92_HELP},
               {93, ENUMID153_VAL93_MNEMONIC, ENUMID153_VAL93_HELP},
               {94, ENUMID153_VAL94_MNEMONIC, ENUMID153_VAL94_HELP},
               {95, ENUMID153_VAL95_MNEMONIC, ENUMID153_VAL95_HELP},
               {96, ENUMID153_VAL96_MNEMONIC, ENUMID153_VAL96_HELP},
               {97, ENUMID153_VAL97_MNEMONIC, ENUMID153_VAL97_HELP},
               {98, ENUMID153_VAL98_MNEMONIC, ENUMID153_VAL98_HELP},
               {99, ENUMID153_VAL99_MNEMONIC, ENUMID153_VAL99_HELP},
               {100, ENUMID153_VAL100_MNEMONIC, ENUMID153_VAL100_HELP},
               {101, ENUMID153_VAL101_MNEMONIC, ENUMID153_VAL101_HELP},
               {102, ENUMID153_VAL102_MNEMONIC, ENUMID153_VAL102_HELP},
               {103, ENUMID153_VAL103_MNEMONIC, ENUMID153_VAL103_HELP},
               {104, ENUMID153_VAL104_MNEMONIC, ENUMID153_VAL104_HELP},
               {105, ENUMID153_VAL105_MNEMONIC, ENUMID153_VAL105_HELP},
               {106, ENUMID153_VAL106_MNEMONIC, ENUMID153_VAL106_HELP},
               {107, ENUMID153_VAL107_MNEMONIC, ENUMID153_VAL107_HELP},
               {108, ENUMID153_VAL108_MNEMONIC, ENUMID153_VAL108_HELP},
               {109, ENUMID153_VAL109_MNEMONIC, ENUMID153_VAL109_HELP},
               {110, ENUMID153_VAL110_MNEMONIC, ENUMID153_VAL110_HELP},
               {111, ENUMID153_VAL111_MNEMONIC, ENUMID153_VAL111_HELP},
               {112, ENUMID153_VAL112_MNEMONIC, ENUMID153_VAL112_HELP},
               {113, ENUMID153_VAL113_MNEMONIC, ENUMID153_VAL113_HELP},
               {114, ENUMID153_VAL114_MNEMONIC, ENUMID153_VAL114_HELP},
               {115, ENUMID153_VAL115_MNEMONIC, ENUMID153_VAL115_HELP},
               {116, ENUMID153_VAL116_MNEMONIC, ENUMID153_VAL116_HELP},
               {117, ENUMID153_VAL117_MNEMONIC, ENUMID153_VAL117_HELP},
               {118, ENUMID153_VAL118_MNEMONIC, ENUMID153_VAL118_HELP},
               {119, ENUMID153_VAL119_MNEMONIC, ENUMID153_VAL119_HELP},
               {120, ENUMID153_VAL120_MNEMONIC, ENUMID153_VAL120_HELP},
               {121, ENUMID153_VAL121_MNEMONIC, ENUMID153_VAL121_HELP},
               {122, ENUMID153_VAL122_MNEMONIC, ENUMID153_VAL122_HELP},
               {123, ENUMID153_VAL123_MNEMONIC, ENUMID153_VAL123_HELP},
               {124, ENUMID153_VAL124_MNEMONIC, ENUMID153_VAL124_HELP},
               {125, ENUMID153_VAL125_MNEMONIC, ENUMID153_VAL125_HELP},
               {126, ENUMID153_VAL126_MNEMONIC, ENUMID153_VAL126_HELP},
               {127, ENUMID153_VAL127_MNEMONIC, ENUMID153_VAL127_HELP},
               {128, ENUMID153_VAL128_MNEMONIC, ENUMID153_VAL128_HELP},
               {129, ENUMID153_VAL129_MNEMONIC, ENUMID153_VAL129_HELP},
               {130, ENUMID153_VAL130_MNEMONIC, ENUMID153_VAL130_HELP},
               {131, ENUMID153_VAL131_MNEMONIC, ENUMID153_VAL131_HELP},
               {132, ENUMID153_VAL132_MNEMONIC, ENUMID153_VAL132_HELP},
               {133, ENUMID153_VAL133_MNEMONIC, ENUMID153_VAL133_HELP},
               {134, ENUMID153_VAL134_MNEMONIC, ENUMID153_VAL134_HELP},
               {135, ENUMID153_VAL135_MNEMONIC, ENUMID153_VAL135_HELP},
               {136, ENUMID153_VAL136_MNEMONIC, ENUMID153_VAL136_HELP},
               {137, ENUMID153_VAL137_MNEMONIC, ENUMID153_VAL137_HELP},
               {138, ENUMID153_VAL138_MNEMONIC, ENUMID153_VAL138_HELP},
               {139, ENUMID153_VAL139_MNEMONIC, ENUMID153_VAL139_HELP},
               {140, ENUMID153_VAL140_MNEMONIC, ENUMID153_VAL140_HELP},
               {141, ENUMID153_VAL141_MNEMONIC, ENUMID153_VAL141_HELP},
               {142, ENUMID153_VAL142_MNEMONIC, ENUMID153_VAL142_HELP},
               {143, ENUMID153_VAL143_MNEMONIC, ENUMID153_VAL143_HELP},
               {144, ENUMID153_VAL144_MNEMONIC, ENUMID153_VAL144_HELP},
               {145, ENUMID153_VAL145_MNEMONIC, ENUMID153_VAL145_HELP},
               {146, ENUMID153_VAL146_MNEMONIC, ENUMID153_VAL146_HELP},
               {147, ENUMID153_VAL147_MNEMONIC, ENUMID153_VAL147_HELP},
               {148, ENUMID153_VAL148_MNEMONIC, ENUMID153_VAL148_HELP},
               {149, ENUMID153_VAL149_MNEMONIC, ENUMID153_VAL149_HELP},
               {150, ENUMID153_VAL150_MNEMONIC, ENUMID153_VAL150_HELP},
               {151, ENUMID153_VAL151_MNEMONIC, ENUMID153_VAL151_HELP},
               {152, ENUMID153_VAL152_MNEMONIC, ENUMID153_VAL152_HELP},
               {153, ENUMID153_VAL153_MNEMONIC, ENUMID153_VAL153_HELP},
               {154, ENUMID153_VAL154_MNEMONIC, ENUMID153_VAL154_HELP},
               {155, ENUMID153_VAL155_MNEMONIC, ENUMID153_VAL155_HELP},
               {156, ENUMID153_VAL156_MNEMONIC, ENUMID153_VAL156_HELP},
               {157, ENUMID153_VAL157_MNEMONIC, ENUMID153_VAL157_HELP},
               {158, ENUMID153_VAL158_MNEMONIC, ENUMID153_VAL158_HELP},
               {159, ENUMID153_VAL159_MNEMONIC, ENUMID153_VAL159_HELP},
               {160, ENUMID153_VAL160_MNEMONIC, ENUMID153_VAL160_HELP},
               {161, ENUMID153_VAL161_MNEMONIC, ENUMID153_VAL161_HELP},
               {162, ENUMID153_VAL162_MNEMONIC, ENUMID153_VAL162_HELP},
               {163, ENUMID153_VAL163_MNEMONIC, ENUMID153_VAL163_HELP},
               {164, ENUMID153_VAL164_MNEMONIC, ENUMID153_VAL164_HELP},
               {165, ENUMID153_VAL165_MNEMONIC, ENUMID153_VAL165_HELP},
               {166, ENUMID153_VAL166_MNEMONIC, ENUMID153_VAL166_HELP},
               {167, ENUMID153_VAL167_MNEMONIC, ENUMID153_VAL167_HELP},
               {168, ENUMID153_VAL168_MNEMONIC, ENUMID153_VAL168_HELP},
               {169, ENUMID153_VAL169_MNEMONIC, ENUMID153_VAL169_HELP},
               {170, ENUMID153_VAL170_MNEMONIC, ENUMID153_VAL170_HELP},
               {171, ENUMID153_VAL171_MNEMONIC, ENUMID153_VAL171_HELP},
               {172, ENUMID153_VAL172_MNEMONIC, ENUMID153_VAL172_HELP},
               {173, ENUMID153_VAL173_MNEMONIC, ENUMID153_VAL173_HELP},
               {174, ENUMID153_VAL174_MNEMONIC, ENUMID153_VAL174_HELP},
               {175, ENUMID153_VAL175_MNEMONIC, ENUMID153_VAL175_HELP},
               {176, ENUMID153_VAL176_MNEMONIC, ENUMID153_VAL176_HELP},
               {177, ENUMID153_VAL177_MNEMONIC, ENUMID153_VAL177_HELP},
               {178, ENUMID153_VAL178_MNEMONIC, ENUMID153_VAL178_HELP},
               {179, ENUMID153_VAL179_MNEMONIC, ENUMID153_VAL179_HELP},
               {180, ENUMID153_VAL180_MNEMONIC, ENUMID153_VAL180_HELP},
               {181, ENUMID153_VAL181_MNEMONIC, ENUMID153_VAL181_HELP},
               {182, ENUMID153_VAL182_MNEMONIC, ENUMID153_VAL182_HELP},
               {183, ENUMID153_VAL183_MNEMONIC, ENUMID153_VAL183_HELP},
               {184, ENUMID153_VAL184_MNEMONIC, ENUMID153_VAL184_HELP},
               {185, ENUMID153_VAL185_MNEMONIC, ENUMID153_VAL185_HELP},
               {186, ENUMID153_VAL186_MNEMONIC, ENUMID153_VAL186_HELP},
               {187, ENUMID153_VAL187_MNEMONIC, ENUMID153_VAL187_HELP},
               {188, ENUMID153_VAL188_MNEMONIC, ENUMID153_VAL188_HELP},
               {189, ENUMID153_VAL189_MNEMONIC, ENUMID153_VAL189_HELP},
               {190, ENUMID153_VAL190_MNEMONIC, ENUMID153_VAL190_HELP},
               {191, ENUMID153_VAL191_MNEMONIC, ENUMID153_VAL191_HELP},
               {192, ENUMID153_VAL192_MNEMONIC, ENUMID153_VAL192_HELP},
               {193, ENUMID153_VAL193_MNEMONIC, ENUMID153_VAL193_HELP},
               {194, ENUMID153_VAL194_MNEMONIC, ENUMID153_VAL194_HELP},
               {195, ENUMID153_VAL195_MNEMONIC, ENUMID153_VAL195_HELP},
               {196, ENUMID153_VAL196_MNEMONIC, ENUMID153_VAL196_HELP},
               {197, ENUMID153_VAL197_MNEMONIC, ENUMID153_VAL197_HELP},
               {198, ENUMID153_VAL198_MNEMONIC, ENUMID153_VAL198_HELP},
               {199, ENUMID153_VAL199_MNEMONIC, ENUMID153_VAL199_HELP},
               {200, ENUMID153_VAL200_MNEMONIC, ENUMID153_VAL200_HELP},
               {201, ENUMID153_VAL201_MNEMONIC, ENUMID153_VAL201_HELP},
               {202, ENUMID153_VAL202_MNEMONIC, ENUMID153_VAL202_HELP},
               {203, ENUMID153_VAL203_MNEMONIC, ENUMID153_VAL203_HELP},
               {204, ENUMID153_VAL204_MNEMONIC, ENUMID153_VAL204_HELP},
               {205, ENUMID153_VAL205_MNEMONIC, ENUMID153_VAL205_HELP},
               {206, ENUMID153_VAL206_MNEMONIC, ENUMID153_VAL206_HELP},
               {207, ENUMID153_VAL207_MNEMONIC, ENUMID153_VAL207_HELP},
               {208, ENUMID153_VAL208_MNEMONIC, ENUMID153_VAL208_HELP},
               {209, ENUMID153_VAL209_MNEMONIC, ENUMID153_VAL209_HELP},
               {210, ENUMID153_VAL210_MNEMONIC, ENUMID153_VAL210_HELP},
               {211, ENUMID153_VAL211_MNEMONIC, ENUMID153_VAL211_HELP},
               {212, ENUMID153_VAL212_MNEMONIC, ENUMID153_VAL212_HELP},
               {213, ENUMID153_VAL213_MNEMONIC, ENUMID153_VAL213_HELP},
               {214, ENUMID153_VAL214_MNEMONIC, ENUMID153_VAL214_HELP},
               {215, ENUMID153_VAL215_MNEMONIC, ENUMID153_VAL215_HELP},
               {216, ENUMID153_VAL216_MNEMONIC, ENUMID153_VAL216_HELP},
               {217, ENUMID153_VAL217_MNEMONIC, ENUMID153_VAL217_HELP},
               {218, ENUMID153_VAL218_MNEMONIC, ENUMID153_VAL218_HELP},
               {219, ENUMID153_VAL219_MNEMONIC, ENUMID153_VAL219_HELP},
               {220, ENUMID153_VAL220_MNEMONIC, ENUMID153_VAL220_HELP},
               {221, ENUMID153_VAL221_MNEMONIC, ENUMID153_VAL221_HELP},
               {222, ENUMID153_VAL222_MNEMONIC, ENUMID153_VAL222_HELP},
               {223, ENUMID153_VAL223_MNEMONIC, ENUMID153_VAL223_HELP},
               {224, ENUMID153_VAL224_MNEMONIC, ENUMID153_VAL224_HELP},
               {225, ENUMID153_VAL225_MNEMONIC, ENUMID153_VAL225_HELP},
               {226, ENUMID153_VAL226_MNEMONIC, ENUMID153_VAL226_HELP},
               {227, ENUMID153_VAL227_MNEMONIC, ENUMID153_VAL227_HELP},
               {228, ENUMID153_VAL228_MNEMONIC, ENUMID153_VAL228_HELP},
               {229, ENUMID153_VAL229_MNEMONIC, ENUMID153_VAL229_HELP},
               {230, ENUMID153_VAL230_MNEMONIC, ENUMID153_VAL230_HELP},
               {231, ENUMID153_VAL231_MNEMONIC, ENUMID153_VAL231_HELP},
               {232, ENUMID153_VAL232_MNEMONIC, ENUMID153_VAL232_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P20_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B0C);
               }
          }
}

VARIABLE M10_P21
{
          // Trip 1

          LABEL  M10_P21_LABEL;
          HELP  M10_P21_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID153_VAL0_MNEMONIC, ENUMID153_VAL0_HELP},
               {1, ENUMID153_VAL1_MNEMONIC, ENUMID153_VAL1_HELP},
               {2, ENUMID153_VAL2_MNEMONIC, ENUMID153_VAL2_HELP},
               {3, ENUMID153_VAL3_MNEMONIC, ENUMID153_VAL3_HELP},
               {4, ENUMID153_VAL4_MNEMONIC, ENUMID153_VAL4_HELP},
               {5, ENUMID153_VAL5_MNEMONIC, ENUMID153_VAL5_HELP},
               {6, ENUMID153_VAL6_MNEMONIC, ENUMID153_VAL6_HELP},
               {7, ENUMID153_VAL7_MNEMONIC, ENUMID153_VAL7_HELP},
               {8, ENUMID153_VAL8_MNEMONIC, ENUMID153_VAL8_HELP},
               {9, ENUMID153_VAL9_MNEMONIC, ENUMID153_VAL9_HELP},
               {10, ENUMID153_VAL10_MNEMONIC, ENUMID153_VAL10_HELP},
               {11, ENUMID153_VAL11_MNEMONIC, ENUMID153_VAL11_HELP},
               {12, ENUMID153_VAL12_MNEMONIC, ENUMID153_VAL12_HELP},
               {13, ENUMID153_VAL13_MNEMONIC, ENUMID153_VAL13_HELP},
               {14, ENUMID153_VAL14_MNEMONIC, ENUMID153_VAL14_HELP},
               {15, ENUMID153_VAL15_MNEMONIC, ENUMID153_VAL15_HELP},
               {16, ENUMID153_VAL16_MNEMONIC, ENUMID153_VAL16_HELP},
               {17, ENUMID153_VAL17_MNEMONIC, ENUMID153_VAL17_HELP},
               {18, ENUMID153_VAL18_MNEMONIC, ENUMID153_VAL18_HELP},
               {19, ENUMID153_VAL19_MNEMONIC, ENUMID153_VAL19_HELP},
               {20, ENUMID153_VAL20_MNEMONIC, ENUMID153_VAL20_HELP},
               {21, ENUMID153_VAL21_MNEMONIC, ENUMID153_VAL21_HELP},
               {22, ENUMID153_VAL22_MNEMONIC, ENUMID153_VAL22_HELP},
               {23, ENUMID153_VAL23_MNEMONIC, ENUMID153_VAL23_HELP},
               {24, ENUMID153_VAL24_MNEMONIC, ENUMID153_VAL24_HELP},
               {25, ENUMID153_VAL25_MNEMONIC, ENUMID153_VAL25_HELP},
               {26, ENUMID153_VAL26_MNEMONIC, ENUMID153_VAL26_HELP},
               {27, ENUMID153_VAL27_MNEMONIC, ENUMID153_VAL27_HELP},
               {28, ENUMID153_VAL28_MNEMONIC, ENUMID153_VAL28_HELP},
               {29, ENUMID153_VAL29_MNEMONIC, ENUMID153_VAL29_HELP},
               {30, ENUMID153_VAL30_MNEMONIC, ENUMID153_VAL30_HELP},
               {31, ENUMID153_VAL31_MNEMONIC, ENUMID153_VAL31_HELP},
               {32, ENUMID153_VAL32_MNEMONIC, ENUMID153_VAL32_HELP},
               {33, ENUMID153_VAL33_MNEMONIC, ENUMID153_VAL33_HELP},
               {34, ENUMID153_VAL34_MNEMONIC, ENUMID153_VAL34_HELP},
               {35, ENUMID153_VAL35_MNEMONIC, ENUMID153_VAL35_HELP},
               {36, ENUMID153_VAL36_MNEMONIC, ENUMID153_VAL36_HELP},
               {37, ENUMID153_VAL37_MNEMONIC, ENUMID153_VAL37_HELP},
               {38, ENUMID153_VAL38_MNEMONIC, ENUMID153_VAL38_HELP},
               {39, ENUMID153_VAL39_MNEMONIC, ENUMID153_VAL39_HELP},
               {40, ENUMID153_VAL40_MNEMONIC, ENUMID153_VAL40_HELP},
               {41, ENUMID153_VAL41_MNEMONIC, ENUMID153_VAL41_HELP},
               {42, ENUMID153_VAL42_MNEMONIC, ENUMID153_VAL42_HELP},
               {43, ENUMID153_VAL43_MNEMONIC, ENUMID153_VAL43_HELP},
               {44, ENUMID153_VAL44_MNEMONIC, ENUMID153_VAL44_HELP},
               {45, ENUMID153_VAL45_MNEMONIC, ENUMID153_VAL45_HELP},
               {46, ENUMID153_VAL46_MNEMONIC, ENUMID153_VAL46_HELP},
               {47, ENUMID153_VAL47_MNEMONIC, ENUMID153_VAL47_HELP},
               {48, ENUMID153_VAL48_MNEMONIC, ENUMID153_VAL48_HELP},
               {49, ENUMID153_VAL49_MNEMONIC, ENUMID153_VAL49_HELP},
               {50, ENUMID153_VAL50_MNEMONIC, ENUMID153_VAL50_HELP},
               {51, ENUMID153_VAL51_MNEMONIC, ENUMID153_VAL51_HELP},
               {52, ENUMID153_VAL52_MNEMONIC, ENUMID153_VAL52_HELP},
               {53, ENUMID153_VAL53_MNEMONIC, ENUMID153_VAL53_HELP},
               {54, ENUMID153_VAL54_MNEMONIC, ENUMID153_VAL54_HELP},
               {55, ENUMID153_VAL55_MNEMONIC, ENUMID153_VAL55_HELP},
               {56, ENUMID153_VAL56_MNEMONIC, ENUMID153_VAL56_HELP},
               {57, ENUMID153_VAL57_MNEMONIC, ENUMID153_VAL57_HELP},
               {58, ENUMID153_VAL58_MNEMONIC, ENUMID153_VAL58_HELP},
               {59, ENUMID153_VAL59_MNEMONIC, ENUMID153_VAL59_HELP},
               {60, ENUMID153_VAL60_MNEMONIC, ENUMID153_VAL60_HELP},
               {61, ENUMID153_VAL61_MNEMONIC, ENUMID153_VAL61_HELP},
               {62, ENUMID153_VAL62_MNEMONIC, ENUMID153_VAL62_HELP},
               {63, ENUMID153_VAL63_MNEMONIC, ENUMID153_VAL63_HELP},
               {64, ENUMID153_VAL64_MNEMONIC, ENUMID153_VAL64_HELP},
               {65, ENUMID153_VAL65_MNEMONIC, ENUMID153_VAL65_HELP},
               {66, ENUMID153_VAL66_MNEMONIC, ENUMID153_VAL66_HELP},
               {67, ENUMID153_VAL67_MNEMONIC, ENUMID153_VAL67_HELP},
               {68, ENUMID153_VAL68_MNEMONIC, ENUMID153_VAL68_HELP},
               {69, ENUMID153_VAL69_MNEMONIC, ENUMID153_VAL69_HELP},
               {70, ENUMID153_VAL70_MNEMONIC, ENUMID153_VAL70_HELP},
               {71, ENUMID153_VAL71_MNEMONIC, ENUMID153_VAL71_HELP},
               {72, ENUMID153_VAL72_MNEMONIC, ENUMID153_VAL72_HELP},
               {73, ENUMID153_VAL73_MNEMONIC, ENUMID153_VAL73_HELP},
               {74, ENUMID153_VAL74_MNEMONIC, ENUMID153_VAL74_HELP},
               {75, ENUMID153_VAL75_MNEMONIC, ENUMID153_VAL75_HELP},
               {76, ENUMID153_VAL76_MNEMONIC, ENUMID153_VAL76_HELP},
               {77, ENUMID153_VAL77_MNEMONIC, ENUMID153_VAL77_HELP},
               {78, ENUMID153_VAL78_MNEMONIC, ENUMID153_VAL78_HELP},
               {79, ENUMID153_VAL79_MNEMONIC, ENUMID153_VAL79_HELP},
               {80, ENUMID153_VAL80_MNEMONIC, ENUMID153_VAL80_HELP},
               {81, ENUMID153_VAL81_MNEMONIC, ENUMID153_VAL81_HELP},
               {82, ENUMID153_VAL82_MNEMONIC, ENUMID153_VAL82_HELP},
               {83, ENUMID153_VAL83_MNEMONIC, ENUMID153_VAL83_HELP},
               {84, ENUMID153_VAL84_MNEMONIC, ENUMID153_VAL84_HELP},
               {85, ENUMID153_VAL85_MNEMONIC, ENUMID153_VAL85_HELP},
               {86, ENUMID153_VAL86_MNEMONIC, ENUMID153_VAL86_HELP},
               {87, ENUMID153_VAL87_MNEMONIC, ENUMID153_VAL87_HELP},
               {88, ENUMID153_VAL88_MNEMONIC, ENUMID153_VAL88_HELP},
               {89, ENUMID153_VAL89_MNEMONIC, ENUMID153_VAL89_HELP},
               {90, ENUMID153_VAL90_MNEMONIC, ENUMID153_VAL90_HELP},
               {91, ENUMID153_VAL91_MNEMONIC, ENUMID153_VAL91_HELP},
               {92, ENUMID153_VAL92_MNEMONIC, ENUMID153_VAL92_HELP},
               {93, ENUMID153_VAL93_MNEMONIC, ENUMID153_VAL93_HELP},
               {94, ENUMID153_VAL94_MNEMONIC, ENUMID153_VAL94_HELP},
               {95, ENUMID153_VAL95_MNEMONIC, ENUMID153_VAL95_HELP},
               {96, ENUMID153_VAL96_MNEMONIC, ENUMID153_VAL96_HELP},
               {97, ENUMID153_VAL97_MNEMONIC, ENUMID153_VAL97_HELP},
               {98, ENUMID153_VAL98_MNEMONIC, ENUMID153_VAL98_HELP},
               {99, ENUMID153_VAL99_MNEMONIC, ENUMID153_VAL99_HELP},
               {100, ENUMID153_VAL100_MNEMONIC, ENUMID153_VAL100_HELP},
               {101, ENUMID153_VAL101_MNEMONIC, ENUMID153_VAL101_HELP},
               {102, ENUMID153_VAL102_MNEMONIC, ENUMID153_VAL102_HELP},
               {103, ENUMID153_VAL103_MNEMONIC, ENUMID153_VAL103_HELP},
               {104, ENUMID153_VAL104_MNEMONIC, ENUMID153_VAL104_HELP},
               {105, ENUMID153_VAL105_MNEMONIC, ENUMID153_VAL105_HELP},
               {106, ENUMID153_VAL106_MNEMONIC, ENUMID153_VAL106_HELP},
               {107, ENUMID153_VAL107_MNEMONIC, ENUMID153_VAL107_HELP},
               {108, ENUMID153_VAL108_MNEMONIC, ENUMID153_VAL108_HELP},
               {109, ENUMID153_VAL109_MNEMONIC, ENUMID153_VAL109_HELP},
               {110, ENUMID153_VAL110_MNEMONIC, ENUMID153_VAL110_HELP},
               {111, ENUMID153_VAL111_MNEMONIC, ENUMID153_VAL111_HELP},
               {112, ENUMID153_VAL112_MNEMONIC, ENUMID153_VAL112_HELP},
               {113, ENUMID153_VAL113_MNEMONIC, ENUMID153_VAL113_HELP},
               {114, ENUMID153_VAL114_MNEMONIC, ENUMID153_VAL114_HELP},
               {115, ENUMID153_VAL115_MNEMONIC, ENUMID153_VAL115_HELP},
               {116, ENUMID153_VAL116_MNEMONIC, ENUMID153_VAL116_HELP},
               {117, ENUMID153_VAL117_MNEMONIC, ENUMID153_VAL117_HELP},
               {118, ENUMID153_VAL118_MNEMONIC, ENUMID153_VAL118_HELP},
               {119, ENUMID153_VAL119_MNEMONIC, ENUMID153_VAL119_HELP},
               {120, ENUMID153_VAL120_MNEMONIC, ENUMID153_VAL120_HELP},
               {121, ENUMID153_VAL121_MNEMONIC, ENUMID153_VAL121_HELP},
               {122, ENUMID153_VAL122_MNEMONIC, ENUMID153_VAL122_HELP},
               {123, ENUMID153_VAL123_MNEMONIC, ENUMID153_VAL123_HELP},
               {124, ENUMID153_VAL124_MNEMONIC, ENUMID153_VAL124_HELP},
               {125, ENUMID153_VAL125_MNEMONIC, ENUMID153_VAL125_HELP},
               {126, ENUMID153_VAL126_MNEMONIC, ENUMID153_VAL126_HELP},
               {127, ENUMID153_VAL127_MNEMONIC, ENUMID153_VAL127_HELP},
               {128, ENUMID153_VAL128_MNEMONIC, ENUMID153_VAL128_HELP},
               {129, ENUMID153_VAL129_MNEMONIC, ENUMID153_VAL129_HELP},
               {130, ENUMID153_VAL130_MNEMONIC, ENUMID153_VAL130_HELP},
               {131, ENUMID153_VAL131_MNEMONIC, ENUMID153_VAL131_HELP},
               {132, ENUMID153_VAL132_MNEMONIC, ENUMID153_VAL132_HELP},
               {133, ENUMID153_VAL133_MNEMONIC, ENUMID153_VAL133_HELP},
               {134, ENUMID153_VAL134_MNEMONIC, ENUMID153_VAL134_HELP},
               {135, ENUMID153_VAL135_MNEMONIC, ENUMID153_VAL135_HELP},
               {136, ENUMID153_VAL136_MNEMONIC, ENUMID153_VAL136_HELP},
               {137, ENUMID153_VAL137_MNEMONIC, ENUMID153_VAL137_HELP},
               {138, ENUMID153_VAL138_MNEMONIC, ENUMID153_VAL138_HELP},
               {139, ENUMID153_VAL139_MNEMONIC, ENUMID153_VAL139_HELP},
               {140, ENUMID153_VAL140_MNEMONIC, ENUMID153_VAL140_HELP},
               {141, ENUMID153_VAL141_MNEMONIC, ENUMID153_VAL141_HELP},
               {142, ENUMID153_VAL142_MNEMONIC, ENUMID153_VAL142_HELP},
               {143, ENUMID153_VAL143_MNEMONIC, ENUMID153_VAL143_HELP},
               {144, ENUMID153_VAL144_MNEMONIC, ENUMID153_VAL144_HELP},
               {145, ENUMID153_VAL145_MNEMONIC, ENUMID153_VAL145_HELP},
               {146, ENUMID153_VAL146_MNEMONIC, ENUMID153_VAL146_HELP},
               {147, ENUMID153_VAL147_MNEMONIC, ENUMID153_VAL147_HELP},
               {148, ENUMID153_VAL148_MNEMONIC, ENUMID153_VAL148_HELP},
               {149, ENUMID153_VAL149_MNEMONIC, ENUMID153_VAL149_HELP},
               {150, ENUMID153_VAL150_MNEMONIC, ENUMID153_VAL150_HELP},
               {151, ENUMID153_VAL151_MNEMONIC, ENUMID153_VAL151_HELP},
               {152, ENUMID153_VAL152_MNEMONIC, ENUMID153_VAL152_HELP},
               {153, ENUMID153_VAL153_MNEMONIC, ENUMID153_VAL153_HELP},
               {154, ENUMID153_VAL154_MNEMONIC, ENUMID153_VAL154_HELP},
               {155, ENUMID153_VAL155_MNEMONIC, ENUMID153_VAL155_HELP},
               {156, ENUMID153_VAL156_MNEMONIC, ENUMID153_VAL156_HELP},
               {157, ENUMID153_VAL157_MNEMONIC, ENUMID153_VAL157_HELP},
               {158, ENUMID153_VAL158_MNEMONIC, ENUMID153_VAL158_HELP},
               {159, ENUMID153_VAL159_MNEMONIC, ENUMID153_VAL159_HELP},
               {160, ENUMID153_VAL160_MNEMONIC, ENUMID153_VAL160_HELP},
               {161, ENUMID153_VAL161_MNEMONIC, ENUMID153_VAL161_HELP},
               {162, ENUMID153_VAL162_MNEMONIC, ENUMID153_VAL162_HELP},
               {163, ENUMID153_VAL163_MNEMONIC, ENUMID153_VAL163_HELP},
               {164, ENUMID153_VAL164_MNEMONIC, ENUMID153_VAL164_HELP},
               {165, ENUMID153_VAL165_MNEMONIC, ENUMID153_VAL165_HELP},
               {166, ENUMID153_VAL166_MNEMONIC, ENUMID153_VAL166_HELP},
               {167, ENUMID153_VAL167_MNEMONIC, ENUMID153_VAL167_HELP},
               {168, ENUMID153_VAL168_MNEMONIC, ENUMID153_VAL168_HELP},
               {169, ENUMID153_VAL169_MNEMONIC, ENUMID153_VAL169_HELP},
               {170, ENUMID153_VAL170_MNEMONIC, ENUMID153_VAL170_HELP},
               {171, ENUMID153_VAL171_MNEMONIC, ENUMID153_VAL171_HELP},
               {172, ENUMID153_VAL172_MNEMONIC, ENUMID153_VAL172_HELP},
               {173, ENUMID153_VAL173_MNEMONIC, ENUMID153_VAL173_HELP},
               {174, ENUMID153_VAL174_MNEMONIC, ENUMID153_VAL174_HELP},
               {175, ENUMID153_VAL175_MNEMONIC, ENUMID153_VAL175_HELP},
               {176, ENUMID153_VAL176_MNEMONIC, ENUMID153_VAL176_HELP},
               {177, ENUMID153_VAL177_MNEMONIC, ENUMID153_VAL177_HELP},
               {178, ENUMID153_VAL178_MNEMONIC, ENUMID153_VAL178_HELP},
               {179, ENUMID153_VAL179_MNEMONIC, ENUMID153_VAL179_HELP},
               {180, ENUMID153_VAL180_MNEMONIC, ENUMID153_VAL180_HELP},
               {181, ENUMID153_VAL181_MNEMONIC, ENUMID153_VAL181_HELP},
               {182, ENUMID153_VAL182_MNEMONIC, ENUMID153_VAL182_HELP},
               {183, ENUMID153_VAL183_MNEMONIC, ENUMID153_VAL183_HELP},
               {184, ENUMID153_VAL184_MNEMONIC, ENUMID153_VAL184_HELP},
               {185, ENUMID153_VAL185_MNEMONIC, ENUMID153_VAL185_HELP},
               {186, ENUMID153_VAL186_MNEMONIC, ENUMID153_VAL186_HELP},
               {187, ENUMID153_VAL187_MNEMONIC, ENUMID153_VAL187_HELP},
               {188, ENUMID153_VAL188_MNEMONIC, ENUMID153_VAL188_HELP},
               {189, ENUMID153_VAL189_MNEMONIC, ENUMID153_VAL189_HELP},
               {190, ENUMID153_VAL190_MNEMONIC, ENUMID153_VAL190_HELP},
               {191, ENUMID153_VAL191_MNEMONIC, ENUMID153_VAL191_HELP},
               {192, ENUMID153_VAL192_MNEMONIC, ENUMID153_VAL192_HELP},
               {193, ENUMID153_VAL193_MNEMONIC, ENUMID153_VAL193_HELP},
               {194, ENUMID153_VAL194_MNEMONIC, ENUMID153_VAL194_HELP},
               {195, ENUMID153_VAL195_MNEMONIC, ENUMID153_VAL195_HELP},
               {196, ENUMID153_VAL196_MNEMONIC, ENUMID153_VAL196_HELP},
               {197, ENUMID153_VAL197_MNEMONIC, ENUMID153_VAL197_HELP},
               {198, ENUMID153_VAL198_MNEMONIC, ENUMID153_VAL198_HELP},
               {199, ENUMID153_VAL199_MNEMONIC, ENUMID153_VAL199_HELP},
               {200, ENUMID153_VAL200_MNEMONIC, ENUMID153_VAL200_HELP},
               {201, ENUMID153_VAL201_MNEMONIC, ENUMID153_VAL201_HELP},
               {202, ENUMID153_VAL202_MNEMONIC, ENUMID153_VAL202_HELP},
               {203, ENUMID153_VAL203_MNEMONIC, ENUMID153_VAL203_HELP},
               {204, ENUMID153_VAL204_MNEMONIC, ENUMID153_VAL204_HELP},
               {205, ENUMID153_VAL205_MNEMONIC, ENUMID153_VAL205_HELP},
               {206, ENUMID153_VAL206_MNEMONIC, ENUMID153_VAL206_HELP},
               {207, ENUMID153_VAL207_MNEMONIC, ENUMID153_VAL207_HELP},
               {208, ENUMID153_VAL208_MNEMONIC, ENUMID153_VAL208_HELP},
               {209, ENUMID153_VAL209_MNEMONIC, ENUMID153_VAL209_HELP},
               {210, ENUMID153_VAL210_MNEMONIC, ENUMID153_VAL210_HELP},
               {211, ENUMID153_VAL211_MNEMONIC, ENUMID153_VAL211_HELP},
               {212, ENUMID153_VAL212_MNEMONIC, ENUMID153_VAL212_HELP},
               {213, ENUMID153_VAL213_MNEMONIC, ENUMID153_VAL213_HELP},
               {214, ENUMID153_VAL214_MNEMONIC, ENUMID153_VAL214_HELP},
               {215, ENUMID153_VAL215_MNEMONIC, ENUMID153_VAL215_HELP},
               {216, ENUMID153_VAL216_MNEMONIC, ENUMID153_VAL216_HELP},
               {217, ENUMID153_VAL217_MNEMONIC, ENUMID153_VAL217_HELP},
               {218, ENUMID153_VAL218_MNEMONIC, ENUMID153_VAL218_HELP},
               {219, ENUMID153_VAL219_MNEMONIC, ENUMID153_VAL219_HELP},
               {220, ENUMID153_VAL220_MNEMONIC, ENUMID153_VAL220_HELP},
               {221, ENUMID153_VAL221_MNEMONIC, ENUMID153_VAL221_HELP},
               {222, ENUMID153_VAL222_MNEMONIC, ENUMID153_VAL222_HELP},
               {223, ENUMID153_VAL223_MNEMONIC, ENUMID153_VAL223_HELP},
               {224, ENUMID153_VAL224_MNEMONIC, ENUMID153_VAL224_HELP},
               {225, ENUMID153_VAL225_MNEMONIC, ENUMID153_VAL225_HELP},
               {226, ENUMID153_VAL226_MNEMONIC, ENUMID153_VAL226_HELP},
               {227, ENUMID153_VAL227_MNEMONIC, ENUMID153_VAL227_HELP},
               {228, ENUMID153_VAL228_MNEMONIC, ENUMID153_VAL228_HELP},
               {229, ENUMID153_VAL229_MNEMONIC, ENUMID153_VAL229_HELP},
               {230, ENUMID153_VAL230_MNEMONIC, ENUMID153_VAL230_HELP},
               {231, ENUMID153_VAL231_MNEMONIC, ENUMID153_VAL231_HELP},
               {232, ENUMID153_VAL232_MNEMONIC, ENUMID153_VAL232_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P21_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B0D);
               }
          }
}

VARIABLE M10_P22
{
          // Trip 2

          LABEL  M10_P22_LABEL;
          HELP  M10_P22_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID153_VAL0_MNEMONIC, ENUMID153_VAL0_HELP},
               {1, ENUMID153_VAL1_MNEMONIC, ENUMID153_VAL1_HELP},
               {2, ENUMID153_VAL2_MNEMONIC, ENUMID153_VAL2_HELP},
               {3, ENUMID153_VAL3_MNEMONIC, ENUMID153_VAL3_HELP},
               {4, ENUMID153_VAL4_MNEMONIC, ENUMID153_VAL4_HELP},
               {5, ENUMID153_VAL5_MNEMONIC, ENUMID153_VAL5_HELP},
               {6, ENUMID153_VAL6_MNEMONIC, ENUMID153_VAL6_HELP},
               {7, ENUMID153_VAL7_MNEMONIC, ENUMID153_VAL7_HELP},
               {8, ENUMID153_VAL8_MNEMONIC, ENUMID153_VAL8_HELP},
               {9, ENUMID153_VAL9_MNEMONIC, ENUMID153_VAL9_HELP},
               {10, ENUMID153_VAL10_MNEMONIC, ENUMID153_VAL10_HELP},
               {11, ENUMID153_VAL11_MNEMONIC, ENUMID153_VAL11_HELP},
               {12, ENUMID153_VAL12_MNEMONIC, ENUMID153_VAL12_HELP},
               {13, ENUMID153_VAL13_MNEMONIC, ENUMID153_VAL13_HELP},
               {14, ENUMID153_VAL14_MNEMONIC, ENUMID153_VAL14_HELP},
               {15, ENUMID153_VAL15_MNEMONIC, ENUMID153_VAL15_HELP},
               {16, ENUMID153_VAL16_MNEMONIC, ENUMID153_VAL16_HELP},
               {17, ENUMID153_VAL17_MNEMONIC, ENUMID153_VAL17_HELP},
               {18, ENUMID153_VAL18_MNEMONIC, ENUMID153_VAL18_HELP},
               {19, ENUMID153_VAL19_MNEMONIC, ENUMID153_VAL19_HELP},
               {20, ENUMID153_VAL20_MNEMONIC, ENUMID153_VAL20_HELP},
               {21, ENUMID153_VAL21_MNEMONIC, ENUMID153_VAL21_HELP},
               {22, ENUMID153_VAL22_MNEMONIC, ENUMID153_VAL22_HELP},
               {23, ENUMID153_VAL23_MNEMONIC, ENUMID153_VAL23_HELP},
               {24, ENUMID153_VAL24_MNEMONIC, ENUMID153_VAL24_HELP},
               {25, ENUMID153_VAL25_MNEMONIC, ENUMID153_VAL25_HELP},
               {26, ENUMID153_VAL26_MNEMONIC, ENUMID153_VAL26_HELP},
               {27, ENUMID153_VAL27_MNEMONIC, ENUMID153_VAL27_HELP},
               {28, ENUMID153_VAL28_MNEMONIC, ENUMID153_VAL28_HELP},
               {29, ENUMID153_VAL29_MNEMONIC, ENUMID153_VAL29_HELP},
               {30, ENUMID153_VAL30_MNEMONIC, ENUMID153_VAL30_HELP},
               {31, ENUMID153_VAL31_MNEMONIC, ENUMID153_VAL31_HELP},
               {32, ENUMID153_VAL32_MNEMONIC, ENUMID153_VAL32_HELP},
               {33, ENUMID153_VAL33_MNEMONIC, ENUMID153_VAL33_HELP},
               {34, ENUMID153_VAL34_MNEMONIC, ENUMID153_VAL34_HELP},
               {35, ENUMID153_VAL35_MNEMONIC, ENUMID153_VAL35_HELP},
               {36, ENUMID153_VAL36_MNEMONIC, ENUMID153_VAL36_HELP},
               {37, ENUMID153_VAL37_MNEMONIC, ENUMID153_VAL37_HELP},
               {38, ENUMID153_VAL38_MNEMONIC, ENUMID153_VAL38_HELP},
               {39, ENUMID153_VAL39_MNEMONIC, ENUMID153_VAL39_HELP},
               {40, ENUMID153_VAL40_MNEMONIC, ENUMID153_VAL40_HELP},
               {41, ENUMID153_VAL41_MNEMONIC, ENUMID153_VAL41_HELP},
               {42, ENUMID153_VAL42_MNEMONIC, ENUMID153_VAL42_HELP},
               {43, ENUMID153_VAL43_MNEMONIC, ENUMID153_VAL43_HELP},
               {44, ENUMID153_VAL44_MNEMONIC, ENUMID153_VAL44_HELP},
               {45, ENUMID153_VAL45_MNEMONIC, ENUMID153_VAL45_HELP},
               {46, ENUMID153_VAL46_MNEMONIC, ENUMID153_VAL46_HELP},
               {47, ENUMID153_VAL47_MNEMONIC, ENUMID153_VAL47_HELP},
               {48, ENUMID153_VAL48_MNEMONIC, ENUMID153_VAL48_HELP},
               {49, ENUMID153_VAL49_MNEMONIC, ENUMID153_VAL49_HELP},
               {50, ENUMID153_VAL50_MNEMONIC, ENUMID153_VAL50_HELP},
               {51, ENUMID153_VAL51_MNEMONIC, ENUMID153_VAL51_HELP},
               {52, ENUMID153_VAL52_MNEMONIC, ENUMID153_VAL52_HELP},
               {53, ENUMID153_VAL53_MNEMONIC, ENUMID153_VAL53_HELP},
               {54, ENUMID153_VAL54_MNEMONIC, ENUMID153_VAL54_HELP},
               {55, ENUMID153_VAL55_MNEMONIC, ENUMID153_VAL55_HELP},
               {56, ENUMID153_VAL56_MNEMONIC, ENUMID153_VAL56_HELP},
               {57, ENUMID153_VAL57_MNEMONIC, ENUMID153_VAL57_HELP},
               {58, ENUMID153_VAL58_MNEMONIC, ENUMID153_VAL58_HELP},
               {59, ENUMID153_VAL59_MNEMONIC, ENUMID153_VAL59_HELP},
               {60, ENUMID153_VAL60_MNEMONIC, ENUMID153_VAL60_HELP},
               {61, ENUMID153_VAL61_MNEMONIC, ENUMID153_VAL61_HELP},
               {62, ENUMID153_VAL62_MNEMONIC, ENUMID153_VAL62_HELP},
               {63, ENUMID153_VAL63_MNEMONIC, ENUMID153_VAL63_HELP},
               {64, ENUMID153_VAL64_MNEMONIC, ENUMID153_VAL64_HELP},
               {65, ENUMID153_VAL65_MNEMONIC, ENUMID153_VAL65_HELP},
               {66, ENUMID153_VAL66_MNEMONIC, ENUMID153_VAL66_HELP},
               {67, ENUMID153_VAL67_MNEMONIC, ENUMID153_VAL67_HELP},
               {68, ENUMID153_VAL68_MNEMONIC, ENUMID153_VAL68_HELP},
               {69, ENUMID153_VAL69_MNEMONIC, ENUMID153_VAL69_HELP},
               {70, ENUMID153_VAL70_MNEMONIC, ENUMID153_VAL70_HELP},
               {71, ENUMID153_VAL71_MNEMONIC, ENUMID153_VAL71_HELP},
               {72, ENUMID153_VAL72_MNEMONIC, ENUMID153_VAL72_HELP},
               {73, ENUMID153_VAL73_MNEMONIC, ENUMID153_VAL73_HELP},
               {74, ENUMID153_VAL74_MNEMONIC, ENUMID153_VAL74_HELP},
               {75, ENUMID153_VAL75_MNEMONIC, ENUMID153_VAL75_HELP},
               {76, ENUMID153_VAL76_MNEMONIC, ENUMID153_VAL76_HELP},
               {77, ENUMID153_VAL77_MNEMONIC, ENUMID153_VAL77_HELP},
               {78, ENUMID153_VAL78_MNEMONIC, ENUMID153_VAL78_HELP},
               {79, ENUMID153_VAL79_MNEMONIC, ENUMID153_VAL79_HELP},
               {80, ENUMID153_VAL80_MNEMONIC, ENUMID153_VAL80_HELP},
               {81, ENUMID153_VAL81_MNEMONIC, ENUMID153_VAL81_HELP},
               {82, ENUMID153_VAL82_MNEMONIC, ENUMID153_VAL82_HELP},
               {83, ENUMID153_VAL83_MNEMONIC, ENUMID153_VAL83_HELP},
               {84, ENUMID153_VAL84_MNEMONIC, ENUMID153_VAL84_HELP},
               {85, ENUMID153_VAL85_MNEMONIC, ENUMID153_VAL85_HELP},
               {86, ENUMID153_VAL86_MNEMONIC, ENUMID153_VAL86_HELP},
               {87, ENUMID153_VAL87_MNEMONIC, ENUMID153_VAL87_HELP},
               {88, ENUMID153_VAL88_MNEMONIC, ENUMID153_VAL88_HELP},
               {89, ENUMID153_VAL89_MNEMONIC, ENUMID153_VAL89_HELP},
               {90, ENUMID153_VAL90_MNEMONIC, ENUMID153_VAL90_HELP},
               {91, ENUMID153_VAL91_MNEMONIC, ENUMID153_VAL91_HELP},
               {92, ENUMID153_VAL92_MNEMONIC, ENUMID153_VAL92_HELP},
               {93, ENUMID153_VAL93_MNEMONIC, ENUMID153_VAL93_HELP},
               {94, ENUMID153_VAL94_MNEMONIC, ENUMID153_VAL94_HELP},
               {95, ENUMID153_VAL95_MNEMONIC, ENUMID153_VAL95_HELP},
               {96, ENUMID153_VAL96_MNEMONIC, ENUMID153_VAL96_HELP},
               {97, ENUMID153_VAL97_MNEMONIC, ENUMID153_VAL97_HELP},
               {98, ENUMID153_VAL98_MNEMONIC, ENUMID153_VAL98_HELP},
               {99, ENUMID153_VAL99_MNEMONIC, ENUMID153_VAL99_HELP},
               {100, ENUMID153_VAL100_MNEMONIC, ENUMID153_VAL100_HELP},
               {101, ENUMID153_VAL101_MNEMONIC, ENUMID153_VAL101_HELP},
               {102, ENUMID153_VAL102_MNEMONIC, ENUMID153_VAL102_HELP},
               {103, ENUMID153_VAL103_MNEMONIC, ENUMID153_VAL103_HELP},
               {104, ENUMID153_VAL104_MNEMONIC, ENUMID153_VAL104_HELP},
               {105, ENUMID153_VAL105_MNEMONIC, ENUMID153_VAL105_HELP},
               {106, ENUMID153_VAL106_MNEMONIC, ENUMID153_VAL106_HELP},
               {107, ENUMID153_VAL107_MNEMONIC, ENUMID153_VAL107_HELP},
               {108, ENUMID153_VAL108_MNEMONIC, ENUMID153_VAL108_HELP},
               {109, ENUMID153_VAL109_MNEMONIC, ENUMID153_VAL109_HELP},
               {110, ENUMID153_VAL110_MNEMONIC, ENUMID153_VAL110_HELP},
               {111, ENUMID153_VAL111_MNEMONIC, ENUMID153_VAL111_HELP},
               {112, ENUMID153_VAL112_MNEMONIC, ENUMID153_VAL112_HELP},
               {113, ENUMID153_VAL113_MNEMONIC, ENUMID153_VAL113_HELP},
               {114, ENUMID153_VAL114_MNEMONIC, ENUMID153_VAL114_HELP},
               {115, ENUMID153_VAL115_MNEMONIC, ENUMID153_VAL115_HELP},
               {116, ENUMID153_VAL116_MNEMONIC, ENUMID153_VAL116_HELP},
               {117, ENUMID153_VAL117_MNEMONIC, ENUMID153_VAL117_HELP},
               {118, ENUMID153_VAL118_MNEMONIC, ENUMID153_VAL118_HELP},
               {119, ENUMID153_VAL119_MNEMONIC, ENUMID153_VAL119_HELP},
               {120, ENUMID153_VAL120_MNEMONIC, ENUMID153_VAL120_HELP},
               {121, ENUMID153_VAL121_MNEMONIC, ENUMID153_VAL121_HELP},
               {122, ENUMID153_VAL122_MNEMONIC, ENUMID153_VAL122_HELP},
               {123, ENUMID153_VAL123_MNEMONIC, ENUMID153_VAL123_HELP},
               {124, ENUMID153_VAL124_MNEMONIC, ENUMID153_VAL124_HELP},
               {125, ENUMID153_VAL125_MNEMONIC, ENUMID153_VAL125_HELP},
               {126, ENUMID153_VAL126_MNEMONIC, ENUMID153_VAL126_HELP},
               {127, ENUMID153_VAL127_MNEMONIC, ENUMID153_VAL127_HELP},
               {128, ENUMID153_VAL128_MNEMONIC, ENUMID153_VAL128_HELP},
               {129, ENUMID153_VAL129_MNEMONIC, ENUMID153_VAL129_HELP},
               {130, ENUMID153_VAL130_MNEMONIC, ENUMID153_VAL130_HELP},
               {131, ENUMID153_VAL131_MNEMONIC, ENUMID153_VAL131_HELP},
               {132, ENUMID153_VAL132_MNEMONIC, ENUMID153_VAL132_HELP},
               {133, ENUMID153_VAL133_MNEMONIC, ENUMID153_VAL133_HELP},
               {134, ENUMID153_VAL134_MNEMONIC, ENUMID153_VAL134_HELP},
               {135, ENUMID153_VAL135_MNEMONIC, ENUMID153_VAL135_HELP},
               {136, ENUMID153_VAL136_MNEMONIC, ENUMID153_VAL136_HELP},
               {137, ENUMID153_VAL137_MNEMONIC, ENUMID153_VAL137_HELP},
               {138, ENUMID153_VAL138_MNEMONIC, ENUMID153_VAL138_HELP},
               {139, ENUMID153_VAL139_MNEMONIC, ENUMID153_VAL139_HELP},
               {140, ENUMID153_VAL140_MNEMONIC, ENUMID153_VAL140_HELP},
               {141, ENUMID153_VAL141_MNEMONIC, ENUMID153_VAL141_HELP},
               {142, ENUMID153_VAL142_MNEMONIC, ENUMID153_VAL142_HELP},
               {143, ENUMID153_VAL143_MNEMONIC, ENUMID153_VAL143_HELP},
               {144, ENUMID153_VAL144_MNEMONIC, ENUMID153_VAL144_HELP},
               {145, ENUMID153_VAL145_MNEMONIC, ENUMID153_VAL145_HELP},
               {146, ENUMID153_VAL146_MNEMONIC, ENUMID153_VAL146_HELP},
               {147, ENUMID153_VAL147_MNEMONIC, ENUMID153_VAL147_HELP},
               {148, ENUMID153_VAL148_MNEMONIC, ENUMID153_VAL148_HELP},
               {149, ENUMID153_VAL149_MNEMONIC, ENUMID153_VAL149_HELP},
               {150, ENUMID153_VAL150_MNEMONIC, ENUMID153_VAL150_HELP},
               {151, ENUMID153_VAL151_MNEMONIC, ENUMID153_VAL151_HELP},
               {152, ENUMID153_VAL152_MNEMONIC, ENUMID153_VAL152_HELP},
               {153, ENUMID153_VAL153_MNEMONIC, ENUMID153_VAL153_HELP},
               {154, ENUMID153_VAL154_MNEMONIC, ENUMID153_VAL154_HELP},
               {155, ENUMID153_VAL155_MNEMONIC, ENUMID153_VAL155_HELP},
               {156, ENUMID153_VAL156_MNEMONIC, ENUMID153_VAL156_HELP},
               {157, ENUMID153_VAL157_MNEMONIC, ENUMID153_VAL157_HELP},
               {158, ENUMID153_VAL158_MNEMONIC, ENUMID153_VAL158_HELP},
               {159, ENUMID153_VAL159_MNEMONIC, ENUMID153_VAL159_HELP},
               {160, ENUMID153_VAL160_MNEMONIC, ENUMID153_VAL160_HELP},
               {161, ENUMID153_VAL161_MNEMONIC, ENUMID153_VAL161_HELP},
               {162, ENUMID153_VAL162_MNEMONIC, ENUMID153_VAL162_HELP},
               {163, ENUMID153_VAL163_MNEMONIC, ENUMID153_VAL163_HELP},
               {164, ENUMID153_VAL164_MNEMONIC, ENUMID153_VAL164_HELP},
               {165, ENUMID153_VAL165_MNEMONIC, ENUMID153_VAL165_HELP},
               {166, ENUMID153_VAL166_MNEMONIC, ENUMID153_VAL166_HELP},
               {167, ENUMID153_VAL167_MNEMONIC, ENUMID153_VAL167_HELP},
               {168, ENUMID153_VAL168_MNEMONIC, ENUMID153_VAL168_HELP},
               {169, ENUMID153_VAL169_MNEMONIC, ENUMID153_VAL169_HELP},
               {170, ENUMID153_VAL170_MNEMONIC, ENUMID153_VAL170_HELP},
               {171, ENUMID153_VAL171_MNEMONIC, ENUMID153_VAL171_HELP},
               {172, ENUMID153_VAL172_MNEMONIC, ENUMID153_VAL172_HELP},
               {173, ENUMID153_VAL173_MNEMONIC, ENUMID153_VAL173_HELP},
               {174, ENUMID153_VAL174_MNEMONIC, ENUMID153_VAL174_HELP},
               {175, ENUMID153_VAL175_MNEMONIC, ENUMID153_VAL175_HELP},
               {176, ENUMID153_VAL176_MNEMONIC, ENUMID153_VAL176_HELP},
               {177, ENUMID153_VAL177_MNEMONIC, ENUMID153_VAL177_HELP},
               {178, ENUMID153_VAL178_MNEMONIC, ENUMID153_VAL178_HELP},
               {179, ENUMID153_VAL179_MNEMONIC, ENUMID153_VAL179_HELP},
               {180, ENUMID153_VAL180_MNEMONIC, ENUMID153_VAL180_HELP},
               {181, ENUMID153_VAL181_MNEMONIC, ENUMID153_VAL181_HELP},
               {182, ENUMID153_VAL182_MNEMONIC, ENUMID153_VAL182_HELP},
               {183, ENUMID153_VAL183_MNEMONIC, ENUMID153_VAL183_HELP},
               {184, ENUMID153_VAL184_MNEMONIC, ENUMID153_VAL184_HELP},
               {185, ENUMID153_VAL185_MNEMONIC, ENUMID153_VAL185_HELP},
               {186, ENUMID153_VAL186_MNEMONIC, ENUMID153_VAL186_HELP},
               {187, ENUMID153_VAL187_MNEMONIC, ENUMID153_VAL187_HELP},
               {188, ENUMID153_VAL188_MNEMONIC, ENUMID153_VAL188_HELP},
               {189, ENUMID153_VAL189_MNEMONIC, ENUMID153_VAL189_HELP},
               {190, ENUMID153_VAL190_MNEMONIC, ENUMID153_VAL190_HELP},
               {191, ENUMID153_VAL191_MNEMONIC, ENUMID153_VAL191_HELP},
               {192, ENUMID153_VAL192_MNEMONIC, ENUMID153_VAL192_HELP},
               {193, ENUMID153_VAL193_MNEMONIC, ENUMID153_VAL193_HELP},
               {194, ENUMID153_VAL194_MNEMONIC, ENUMID153_VAL194_HELP},
               {195, ENUMID153_VAL195_MNEMONIC, ENUMID153_VAL195_HELP},
               {196, ENUMID153_VAL196_MNEMONIC, ENUMID153_VAL196_HELP},
               {197, ENUMID153_VAL197_MNEMONIC, ENUMID153_VAL197_HELP},
               {198, ENUMID153_VAL198_MNEMONIC, ENUMID153_VAL198_HELP},
               {199, ENUMID153_VAL199_MNEMONIC, ENUMID153_VAL199_HELP},
               {200, ENUMID153_VAL200_MNEMONIC, ENUMID153_VAL200_HELP},
               {201, ENUMID153_VAL201_MNEMONIC, ENUMID153_VAL201_HELP},
               {202, ENUMID153_VAL202_MNEMONIC, ENUMID153_VAL202_HELP},
               {203, ENUMID153_VAL203_MNEMONIC, ENUMID153_VAL203_HELP},
               {204, ENUMID153_VAL204_MNEMONIC, ENUMID153_VAL204_HELP},
               {205, ENUMID153_VAL205_MNEMONIC, ENUMID153_VAL205_HELP},
               {206, ENUMID153_VAL206_MNEMONIC, ENUMID153_VAL206_HELP},
               {207, ENUMID153_VAL207_MNEMONIC, ENUMID153_VAL207_HELP},
               {208, ENUMID153_VAL208_MNEMONIC, ENUMID153_VAL208_HELP},
               {209, ENUMID153_VAL209_MNEMONIC, ENUMID153_VAL209_HELP},
               {210, ENUMID153_VAL210_MNEMONIC, ENUMID153_VAL210_HELP},
               {211, ENUMID153_VAL211_MNEMONIC, ENUMID153_VAL211_HELP},
               {212, ENUMID153_VAL212_MNEMONIC, ENUMID153_VAL212_HELP},
               {213, ENUMID153_VAL213_MNEMONIC, ENUMID153_VAL213_HELP},
               {214, ENUMID153_VAL214_MNEMONIC, ENUMID153_VAL214_HELP},
               {215, ENUMID153_VAL215_MNEMONIC, ENUMID153_VAL215_HELP},
               {216, ENUMID153_VAL216_MNEMONIC, ENUMID153_VAL216_HELP},
               {217, ENUMID153_VAL217_MNEMONIC, ENUMID153_VAL217_HELP},
               {218, ENUMID153_VAL218_MNEMONIC, ENUMID153_VAL218_HELP},
               {219, ENUMID153_VAL219_MNEMONIC, ENUMID153_VAL219_HELP},
               {220, ENUMID153_VAL220_MNEMONIC, ENUMID153_VAL220_HELP},
               {221, ENUMID153_VAL221_MNEMONIC, ENUMID153_VAL221_HELP},
               {222, ENUMID153_VAL222_MNEMONIC, ENUMID153_VAL222_HELP},
               {223, ENUMID153_VAL223_MNEMONIC, ENUMID153_VAL223_HELP},
               {224, ENUMID153_VAL224_MNEMONIC, ENUMID153_VAL224_HELP},
               {225, ENUMID153_VAL225_MNEMONIC, ENUMID153_VAL225_HELP},
               {226, ENUMID153_VAL226_MNEMONIC, ENUMID153_VAL226_HELP},
               {227, ENUMID153_VAL227_MNEMONIC, ENUMID153_VAL227_HELP},
               {228, ENUMID153_VAL228_MNEMONIC, ENUMID153_VAL228_HELP},
               {229, ENUMID153_VAL229_MNEMONIC, ENUMID153_VAL229_HELP},
               {230, ENUMID153_VAL230_MNEMONIC, ENUMID153_VAL230_HELP},
               {231, ENUMID153_VAL231_MNEMONIC, ENUMID153_VAL231_HELP},
               {232, ENUMID153_VAL232_MNEMONIC, ENUMID153_VAL232_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P22_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B0E);
               }
          }
}

VARIABLE M10_P23
{
          // Trip 3

          LABEL  M10_P23_LABEL;
          HELP  M10_P23_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID153_VAL0_MNEMONIC, ENUMID153_VAL0_HELP},
               {1, ENUMID153_VAL1_MNEMONIC, ENUMID153_VAL1_HELP},
               {2, ENUMID153_VAL2_MNEMONIC, ENUMID153_VAL2_HELP},
               {3, ENUMID153_VAL3_MNEMONIC, ENUMID153_VAL3_HELP},
               {4, ENUMID153_VAL4_MNEMONIC, ENUMID153_VAL4_HELP},
               {5, ENUMID153_VAL5_MNEMONIC, ENUMID153_VAL5_HELP},
               {6, ENUMID153_VAL6_MNEMONIC, ENUMID153_VAL6_HELP},
               {7, ENUMID153_VAL7_MNEMONIC, ENUMID153_VAL7_HELP},
               {8, ENUMID153_VAL8_MNEMONIC, ENUMID153_VAL8_HELP},
               {9, ENUMID153_VAL9_MNEMONIC, ENUMID153_VAL9_HELP},
               {10, ENUMID153_VAL10_MNEMONIC, ENUMID153_VAL10_HELP},
               {11, ENUMID153_VAL11_MNEMONIC, ENUMID153_VAL11_HELP},
               {12, ENUMID153_VAL12_MNEMONIC, ENUMID153_VAL12_HELP},
               {13, ENUMID153_VAL13_MNEMONIC, ENUMID153_VAL13_HELP},
               {14, ENUMID153_VAL14_MNEMONIC, ENUMID153_VAL14_HELP},
               {15, ENUMID153_VAL15_MNEMONIC, ENUMID153_VAL15_HELP},
               {16, ENUMID153_VAL16_MNEMONIC, ENUMID153_VAL16_HELP},
               {17, ENUMID153_VAL17_MNEMONIC, ENUMID153_VAL17_HELP},
               {18, ENUMID153_VAL18_MNEMONIC, ENUMID153_VAL18_HELP},
               {19, ENUMID153_VAL19_MNEMONIC, ENUMID153_VAL19_HELP},
               {20, ENUMID153_VAL20_MNEMONIC, ENUMID153_VAL20_HELP},
               {21, ENUMID153_VAL21_MNEMONIC, ENUMID153_VAL21_HELP},
               {22, ENUMID153_VAL22_MNEMONIC, ENUMID153_VAL22_HELP},
               {23, ENUMID153_VAL23_MNEMONIC, ENUMID153_VAL23_HELP},
               {24, ENUMID153_VAL24_MNEMONIC, ENUMID153_VAL24_HELP},
               {25, ENUMID153_VAL25_MNEMONIC, ENUMID153_VAL25_HELP},
               {26, ENUMID153_VAL26_MNEMONIC, ENUMID153_VAL26_HELP},
               {27, ENUMID153_VAL27_MNEMONIC, ENUMID153_VAL27_HELP},
               {28, ENUMID153_VAL28_MNEMONIC, ENUMID153_VAL28_HELP},
               {29, ENUMID153_VAL29_MNEMONIC, ENUMID153_VAL29_HELP},
               {30, ENUMID153_VAL30_MNEMONIC, ENUMID153_VAL30_HELP},
               {31, ENUMID153_VAL31_MNEMONIC, ENUMID153_VAL31_HELP},
               {32, ENUMID153_VAL32_MNEMONIC, ENUMID153_VAL32_HELP},
               {33, ENUMID153_VAL33_MNEMONIC, ENUMID153_VAL33_HELP},
               {34, ENUMID153_VAL34_MNEMONIC, ENUMID153_VAL34_HELP},
               {35, ENUMID153_VAL35_MNEMONIC, ENUMID153_VAL35_HELP},
               {36, ENUMID153_VAL36_MNEMONIC, ENUMID153_VAL36_HELP},
               {37, ENUMID153_VAL37_MNEMONIC, ENUMID153_VAL37_HELP},
               {38, ENUMID153_VAL38_MNEMONIC, ENUMID153_VAL38_HELP},
               {39, ENUMID153_VAL39_MNEMONIC, ENUMID153_VAL39_HELP},
               {40, ENUMID153_VAL40_MNEMONIC, ENUMID153_VAL40_HELP},
               {41, ENUMID153_VAL41_MNEMONIC, ENUMID153_VAL41_HELP},
               {42, ENUMID153_VAL42_MNEMONIC, ENUMID153_VAL42_HELP},
               {43, ENUMID153_VAL43_MNEMONIC, ENUMID153_VAL43_HELP},
               {44, ENUMID153_VAL44_MNEMONIC, ENUMID153_VAL44_HELP},
               {45, ENUMID153_VAL45_MNEMONIC, ENUMID153_VAL45_HELP},
               {46, ENUMID153_VAL46_MNEMONIC, ENUMID153_VAL46_HELP},
               {47, ENUMID153_VAL47_MNEMONIC, ENUMID153_VAL47_HELP},
               {48, ENUMID153_VAL48_MNEMONIC, ENUMID153_VAL48_HELP},
               {49, ENUMID153_VAL49_MNEMONIC, ENUMID153_VAL49_HELP},
               {50, ENUMID153_VAL50_MNEMONIC, ENUMID153_VAL50_HELP},
               {51, ENUMID153_VAL51_MNEMONIC, ENUMID153_VAL51_HELP},
               {52, ENUMID153_VAL52_MNEMONIC, ENUMID153_VAL52_HELP},
               {53, ENUMID153_VAL53_MNEMONIC, ENUMID153_VAL53_HELP},
               {54, ENUMID153_VAL54_MNEMONIC, ENUMID153_VAL54_HELP},
               {55, ENUMID153_VAL55_MNEMONIC, ENUMID153_VAL55_HELP},
               {56, ENUMID153_VAL56_MNEMONIC, ENUMID153_VAL56_HELP},
               {57, ENUMID153_VAL57_MNEMONIC, ENUMID153_VAL57_HELP},
               {58, ENUMID153_VAL58_MNEMONIC, ENUMID153_VAL58_HELP},
               {59, ENUMID153_VAL59_MNEMONIC, ENUMID153_VAL59_HELP},
               {60, ENUMID153_VAL60_MNEMONIC, ENUMID153_VAL60_HELP},
               {61, ENUMID153_VAL61_MNEMONIC, ENUMID153_VAL61_HELP},
               {62, ENUMID153_VAL62_MNEMONIC, ENUMID153_VAL62_HELP},
               {63, ENUMID153_VAL63_MNEMONIC, ENUMID153_VAL63_HELP},
               {64, ENUMID153_VAL64_MNEMONIC, ENUMID153_VAL64_HELP},
               {65, ENUMID153_VAL65_MNEMONIC, ENUMID153_VAL65_HELP},
               {66, ENUMID153_VAL66_MNEMONIC, ENUMID153_VAL66_HELP},
               {67, ENUMID153_VAL67_MNEMONIC, ENUMID153_VAL67_HELP},
               {68, ENUMID153_VAL68_MNEMONIC, ENUMID153_VAL68_HELP},
               {69, ENUMID153_VAL69_MNEMONIC, ENUMID153_VAL69_HELP},
               {70, ENUMID153_VAL70_MNEMONIC, ENUMID153_VAL70_HELP},
               {71, ENUMID153_VAL71_MNEMONIC, ENUMID153_VAL71_HELP},
               {72, ENUMID153_VAL72_MNEMONIC, ENUMID153_VAL72_HELP},
               {73, ENUMID153_VAL73_MNEMONIC, ENUMID153_VAL73_HELP},
               {74, ENUMID153_VAL74_MNEMONIC, ENUMID153_VAL74_HELP},
               {75, ENUMID153_VAL75_MNEMONIC, ENUMID153_VAL75_HELP},
               {76, ENUMID153_VAL76_MNEMONIC, ENUMID153_VAL76_HELP},
               {77, ENUMID153_VAL77_MNEMONIC, ENUMID153_VAL77_HELP},
               {78, ENUMID153_VAL78_MNEMONIC, ENUMID153_VAL78_HELP},
               {79, ENUMID153_VAL79_MNEMONIC, ENUMID153_VAL79_HELP},
               {80, ENUMID153_VAL80_MNEMONIC, ENUMID153_VAL80_HELP},
               {81, ENUMID153_VAL81_MNEMONIC, ENUMID153_VAL81_HELP},
               {82, ENUMID153_VAL82_MNEMONIC, ENUMID153_VAL82_HELP},
               {83, ENUMID153_VAL83_MNEMONIC, ENUMID153_VAL83_HELP},
               {84, ENUMID153_VAL84_MNEMONIC, ENUMID153_VAL84_HELP},
               {85, ENUMID153_VAL85_MNEMONIC, ENUMID153_VAL85_HELP},
               {86, ENUMID153_VAL86_MNEMONIC, ENUMID153_VAL86_HELP},
               {87, ENUMID153_VAL87_MNEMONIC, ENUMID153_VAL87_HELP},
               {88, ENUMID153_VAL88_MNEMONIC, ENUMID153_VAL88_HELP},
               {89, ENUMID153_VAL89_MNEMONIC, ENUMID153_VAL89_HELP},
               {90, ENUMID153_VAL90_MNEMONIC, ENUMID153_VAL90_HELP},
               {91, ENUMID153_VAL91_MNEMONIC, ENUMID153_VAL91_HELP},
               {92, ENUMID153_VAL92_MNEMONIC, ENUMID153_VAL92_HELP},
               {93, ENUMID153_VAL93_MNEMONIC, ENUMID153_VAL93_HELP},
               {94, ENUMID153_VAL94_MNEMONIC, ENUMID153_VAL94_HELP},
               {95, ENUMID153_VAL95_MNEMONIC, ENUMID153_VAL95_HELP},
               {96, ENUMID153_VAL96_MNEMONIC, ENUMID153_VAL96_HELP},
               {97, ENUMID153_VAL97_MNEMONIC, ENUMID153_VAL97_HELP},
               {98, ENUMID153_VAL98_MNEMONIC, ENUMID153_VAL98_HELP},
               {99, ENUMID153_VAL99_MNEMONIC, ENUMID153_VAL99_HELP},
               {100, ENUMID153_VAL100_MNEMONIC, ENUMID153_VAL100_HELP},
               {101, ENUMID153_VAL101_MNEMONIC, ENUMID153_VAL101_HELP},
               {102, ENUMID153_VAL102_MNEMONIC, ENUMID153_VAL102_HELP},
               {103, ENUMID153_VAL103_MNEMONIC, ENUMID153_VAL103_HELP},
               {104, ENUMID153_VAL104_MNEMONIC, ENUMID153_VAL104_HELP},
               {105, ENUMID153_VAL105_MNEMONIC, ENUMID153_VAL105_HELP},
               {106, ENUMID153_VAL106_MNEMONIC, ENUMID153_VAL106_HELP},
               {107, ENUMID153_VAL107_MNEMONIC, ENUMID153_VAL107_HELP},
               {108, ENUMID153_VAL108_MNEMONIC, ENUMID153_VAL108_HELP},
               {109, ENUMID153_VAL109_MNEMONIC, ENUMID153_VAL109_HELP},
               {110, ENUMID153_VAL110_MNEMONIC, ENUMID153_VAL110_HELP},
               {111, ENUMID153_VAL111_MNEMONIC, ENUMID153_VAL111_HELP},
               {112, ENUMID153_VAL112_MNEMONIC, ENUMID153_VAL112_HELP},
               {113, ENUMID153_VAL113_MNEMONIC, ENUMID153_VAL113_HELP},
               {114, ENUMID153_VAL114_MNEMONIC, ENUMID153_VAL114_HELP},
               {115, ENUMID153_VAL115_MNEMONIC, ENUMID153_VAL115_HELP},
               {116, ENUMID153_VAL116_MNEMONIC, ENUMID153_VAL116_HELP},
               {117, ENUMID153_VAL117_MNEMONIC, ENUMID153_VAL117_HELP},
               {118, ENUMID153_VAL118_MNEMONIC, ENUMID153_VAL118_HELP},
               {119, ENUMID153_VAL119_MNEMONIC, ENUMID153_VAL119_HELP},
               {120, ENUMID153_VAL120_MNEMONIC, ENUMID153_VAL120_HELP},
               {121, ENUMID153_VAL121_MNEMONIC, ENUMID153_VAL121_HELP},
               {122, ENUMID153_VAL122_MNEMONIC, ENUMID153_VAL122_HELP},
               {123, ENUMID153_VAL123_MNEMONIC, ENUMID153_VAL123_HELP},
               {124, ENUMID153_VAL124_MNEMONIC, ENUMID153_VAL124_HELP},
               {125, ENUMID153_VAL125_MNEMONIC, ENUMID153_VAL125_HELP},
               {126, ENUMID153_VAL126_MNEMONIC, ENUMID153_VAL126_HELP},
               {127, ENUMID153_VAL127_MNEMONIC, ENUMID153_VAL127_HELP},
               {128, ENUMID153_VAL128_MNEMONIC, ENUMID153_VAL128_HELP},
               {129, ENUMID153_VAL129_MNEMONIC, ENUMID153_VAL129_HELP},
               {130, ENUMID153_VAL130_MNEMONIC, ENUMID153_VAL130_HELP},
               {131, ENUMID153_VAL131_MNEMONIC, ENUMID153_VAL131_HELP},
               {132, ENUMID153_VAL132_MNEMONIC, ENUMID153_VAL132_HELP},
               {133, ENUMID153_VAL133_MNEMONIC, ENUMID153_VAL133_HELP},
               {134, ENUMID153_VAL134_MNEMONIC, ENUMID153_VAL134_HELP},
               {135, ENUMID153_VAL135_MNEMONIC, ENUMID153_VAL135_HELP},
               {136, ENUMID153_VAL136_MNEMONIC, ENUMID153_VAL136_HELP},
               {137, ENUMID153_VAL137_MNEMONIC, ENUMID153_VAL137_HELP},
               {138, ENUMID153_VAL138_MNEMONIC, ENUMID153_VAL138_HELP},
               {139, ENUMID153_VAL139_MNEMONIC, ENUMID153_VAL139_HELP},
               {140, ENUMID153_VAL140_MNEMONIC, ENUMID153_VAL140_HELP},
               {141, ENUMID153_VAL141_MNEMONIC, ENUMID153_VAL141_HELP},
               {142, ENUMID153_VAL142_MNEMONIC, ENUMID153_VAL142_HELP},
               {143, ENUMID153_VAL143_MNEMONIC, ENUMID153_VAL143_HELP},
               {144, ENUMID153_VAL144_MNEMONIC, ENUMID153_VAL144_HELP},
               {145, ENUMID153_VAL145_MNEMONIC, ENUMID153_VAL145_HELP},
               {146, ENUMID153_VAL146_MNEMONIC, ENUMID153_VAL146_HELP},
               {147, ENUMID153_VAL147_MNEMONIC, ENUMID153_VAL147_HELP},
               {148, ENUMID153_VAL148_MNEMONIC, ENUMID153_VAL148_HELP},
               {149, ENUMID153_VAL149_MNEMONIC, ENUMID153_VAL149_HELP},
               {150, ENUMID153_VAL150_MNEMONIC, ENUMID153_VAL150_HELP},
               {151, ENUMID153_VAL151_MNEMONIC, ENUMID153_VAL151_HELP},
               {152, ENUMID153_VAL152_MNEMONIC, ENUMID153_VAL152_HELP},
               {153, ENUMID153_VAL153_MNEMONIC, ENUMID153_VAL153_HELP},
               {154, ENUMID153_VAL154_MNEMONIC, ENUMID153_VAL154_HELP},
               {155, ENUMID153_VAL155_MNEMONIC, ENUMID153_VAL155_HELP},
               {156, ENUMID153_VAL156_MNEMONIC, ENUMID153_VAL156_HELP},
               {157, ENUMID153_VAL157_MNEMONIC, ENUMID153_VAL157_HELP},
               {158, ENUMID153_VAL158_MNEMONIC, ENUMID153_VAL158_HELP},
               {159, ENUMID153_VAL159_MNEMONIC, ENUMID153_VAL159_HELP},
               {160, ENUMID153_VAL160_MNEMONIC, ENUMID153_VAL160_HELP},
               {161, ENUMID153_VAL161_MNEMONIC, ENUMID153_VAL161_HELP},
               {162, ENUMID153_VAL162_MNEMONIC, ENUMID153_VAL162_HELP},
               {163, ENUMID153_VAL163_MNEMONIC, ENUMID153_VAL163_HELP},
               {164, ENUMID153_VAL164_MNEMONIC, ENUMID153_VAL164_HELP},
               {165, ENUMID153_VAL165_MNEMONIC, ENUMID153_VAL165_HELP},
               {166, ENUMID153_VAL166_MNEMONIC, ENUMID153_VAL166_HELP},
               {167, ENUMID153_VAL167_MNEMONIC, ENUMID153_VAL167_HELP},
               {168, ENUMID153_VAL168_MNEMONIC, ENUMID153_VAL168_HELP},
               {169, ENUMID153_VAL169_MNEMONIC, ENUMID153_VAL169_HELP},
               {170, ENUMID153_VAL170_MNEMONIC, ENUMID153_VAL170_HELP},
               {171, ENUMID153_VAL171_MNEMONIC, ENUMID153_VAL171_HELP},
               {172, ENUMID153_VAL172_MNEMONIC, ENUMID153_VAL172_HELP},
               {173, ENUMID153_VAL173_MNEMONIC, ENUMID153_VAL173_HELP},
               {174, ENUMID153_VAL174_MNEMONIC, ENUMID153_VAL174_HELP},
               {175, ENUMID153_VAL175_MNEMONIC, ENUMID153_VAL175_HELP},
               {176, ENUMID153_VAL176_MNEMONIC, ENUMID153_VAL176_HELP},
               {177, ENUMID153_VAL177_MNEMONIC, ENUMID153_VAL177_HELP},
               {178, ENUMID153_VAL178_MNEMONIC, ENUMID153_VAL178_HELP},
               {179, ENUMID153_VAL179_MNEMONIC, ENUMID153_VAL179_HELP},
               {180, ENUMID153_VAL180_MNEMONIC, ENUMID153_VAL180_HELP},
               {181, ENUMID153_VAL181_MNEMONIC, ENUMID153_VAL181_HELP},
               {182, ENUMID153_VAL182_MNEMONIC, ENUMID153_VAL182_HELP},
               {183, ENUMID153_VAL183_MNEMONIC, ENUMID153_VAL183_HELP},
               {184, ENUMID153_VAL184_MNEMONIC, ENUMID153_VAL184_HELP},
               {185, ENUMID153_VAL185_MNEMONIC, ENUMID153_VAL185_HELP},
               {186, ENUMID153_VAL186_MNEMONIC, ENUMID153_VAL186_HELP},
               {187, ENUMID153_VAL187_MNEMONIC, ENUMID153_VAL187_HELP},
               {188, ENUMID153_VAL188_MNEMONIC, ENUMID153_VAL188_HELP},
               {189, ENUMID153_VAL189_MNEMONIC, ENUMID153_VAL189_HELP},
               {190, ENUMID153_VAL190_MNEMONIC, ENUMID153_VAL190_HELP},
               {191, ENUMID153_VAL191_MNEMONIC, ENUMID153_VAL191_HELP},
               {192, ENUMID153_VAL192_MNEMONIC, ENUMID153_VAL192_HELP},
               {193, ENUMID153_VAL193_MNEMONIC, ENUMID153_VAL193_HELP},
               {194, ENUMID153_VAL194_MNEMONIC, ENUMID153_VAL194_HELP},
               {195, ENUMID153_VAL195_MNEMONIC, ENUMID153_VAL195_HELP},
               {196, ENUMID153_VAL196_MNEMONIC, ENUMID153_VAL196_HELP},
               {197, ENUMID153_VAL197_MNEMONIC, ENUMID153_VAL197_HELP},
               {198, ENUMID153_VAL198_MNEMONIC, ENUMID153_VAL198_HELP},
               {199, ENUMID153_VAL199_MNEMONIC, ENUMID153_VAL199_HELP},
               {200, ENUMID153_VAL200_MNEMONIC, ENUMID153_VAL200_HELP},
               {201, ENUMID153_VAL201_MNEMONIC, ENUMID153_VAL201_HELP},
               {202, ENUMID153_VAL202_MNEMONIC, ENUMID153_VAL202_HELP},
               {203, ENUMID153_VAL203_MNEMONIC, ENUMID153_VAL203_HELP},
               {204, ENUMID153_VAL204_MNEMONIC, ENUMID153_VAL204_HELP},
               {205, ENUMID153_VAL205_MNEMONIC, ENUMID153_VAL205_HELP},
               {206, ENUMID153_VAL206_MNEMONIC, ENUMID153_VAL206_HELP},
               {207, ENUMID153_VAL207_MNEMONIC, ENUMID153_VAL207_HELP},
               {208, ENUMID153_VAL208_MNEMONIC, ENUMID153_VAL208_HELP},
               {209, ENUMID153_VAL209_MNEMONIC, ENUMID153_VAL209_HELP},
               {210, ENUMID153_VAL210_MNEMONIC, ENUMID153_VAL210_HELP},
               {211, ENUMID153_VAL211_MNEMONIC, ENUMID153_VAL211_HELP},
               {212, ENUMID153_VAL212_MNEMONIC, ENUMID153_VAL212_HELP},
               {213, ENUMID153_VAL213_MNEMONIC, ENUMID153_VAL213_HELP},
               {214, ENUMID153_VAL214_MNEMONIC, ENUMID153_VAL214_HELP},
               {215, ENUMID153_VAL215_MNEMONIC, ENUMID153_VAL215_HELP},
               {216, ENUMID153_VAL216_MNEMONIC, ENUMID153_VAL216_HELP},
               {217, ENUMID153_VAL217_MNEMONIC, ENUMID153_VAL217_HELP},
               {218, ENUMID153_VAL218_MNEMONIC, ENUMID153_VAL218_HELP},
               {219, ENUMID153_VAL219_MNEMONIC, ENUMID153_VAL219_HELP},
               {220, ENUMID153_VAL220_MNEMONIC, ENUMID153_VAL220_HELP},
               {221, ENUMID153_VAL221_MNEMONIC, ENUMID153_VAL221_HELP},
               {222, ENUMID153_VAL222_MNEMONIC, ENUMID153_VAL222_HELP},
               {223, ENUMID153_VAL223_MNEMONIC, ENUMID153_VAL223_HELP},
               {224, ENUMID153_VAL224_MNEMONIC, ENUMID153_VAL224_HELP},
               {225, ENUMID153_VAL225_MNEMONIC, ENUMID153_VAL225_HELP},
               {226, ENUMID153_VAL226_MNEMONIC, ENUMID153_VAL226_HELP},
               {227, ENUMID153_VAL227_MNEMONIC, ENUMID153_VAL227_HELP},
               {228, ENUMID153_VAL228_MNEMONIC, ENUMID153_VAL228_HELP},
               {229, ENUMID153_VAL229_MNEMONIC, ENUMID153_VAL229_HELP},
               {230, ENUMID153_VAL230_MNEMONIC, ENUMID153_VAL230_HELP},
               {231, ENUMID153_VAL231_MNEMONIC, ENUMID153_VAL231_HELP},
               {232, ENUMID153_VAL232_MNEMONIC, ENUMID153_VAL232_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P23_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B0F);
               }
          }
}

VARIABLE M10_P24
{
          // Trip 4

          LABEL  M10_P24_LABEL;
          HELP  M10_P24_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID153_VAL0_MNEMONIC, ENUMID153_VAL0_HELP},
               {1, ENUMID153_VAL1_MNEMONIC, ENUMID153_VAL1_HELP},
               {2, ENUMID153_VAL2_MNEMONIC, ENUMID153_VAL2_HELP},
               {3, ENUMID153_VAL3_MNEMONIC, ENUMID153_VAL3_HELP},
               {4, ENUMID153_VAL4_MNEMONIC, ENUMID153_VAL4_HELP},
               {5, ENUMID153_VAL5_MNEMONIC, ENUMID153_VAL5_HELP},
               {6, ENUMID153_VAL6_MNEMONIC, ENUMID153_VAL6_HELP},
               {7, ENUMID153_VAL7_MNEMONIC, ENUMID153_VAL7_HELP},
               {8, ENUMID153_VAL8_MNEMONIC, ENUMID153_VAL8_HELP},
               {9, ENUMID153_VAL9_MNEMONIC, ENUMID153_VAL9_HELP},
               {10, ENUMID153_VAL10_MNEMONIC, ENUMID153_VAL10_HELP},
               {11, ENUMID153_VAL11_MNEMONIC, ENUMID153_VAL11_HELP},
               {12, ENUMID153_VAL12_MNEMONIC, ENUMID153_VAL12_HELP},
               {13, ENUMID153_VAL13_MNEMONIC, ENUMID153_VAL13_HELP},
               {14, ENUMID153_VAL14_MNEMONIC, ENUMID153_VAL14_HELP},
               {15, ENUMID153_VAL15_MNEMONIC, ENUMID153_VAL15_HELP},
               {16, ENUMID153_VAL16_MNEMONIC, ENUMID153_VAL16_HELP},
               {17, ENUMID153_VAL17_MNEMONIC, ENUMID153_VAL17_HELP},
               {18, ENUMID153_VAL18_MNEMONIC, ENUMID153_VAL18_HELP},
               {19, ENUMID153_VAL19_MNEMONIC, ENUMID153_VAL19_HELP},
               {20, ENUMID153_VAL20_MNEMONIC, ENUMID153_VAL20_HELP},
               {21, ENUMID153_VAL21_MNEMONIC, ENUMID153_VAL21_HELP},
               {22, ENUMID153_VAL22_MNEMONIC, ENUMID153_VAL22_HELP},
               {23, ENUMID153_VAL23_MNEMONIC, ENUMID153_VAL23_HELP},
               {24, ENUMID153_VAL24_MNEMONIC, ENUMID153_VAL24_HELP},
               {25, ENUMID153_VAL25_MNEMONIC, ENUMID153_VAL25_HELP},
               {26, ENUMID153_VAL26_MNEMONIC, ENUMID153_VAL26_HELP},
               {27, ENUMID153_VAL27_MNEMONIC, ENUMID153_VAL27_HELP},
               {28, ENUMID153_VAL28_MNEMONIC, ENUMID153_VAL28_HELP},
               {29, ENUMID153_VAL29_MNEMONIC, ENUMID153_VAL29_HELP},
               {30, ENUMID153_VAL30_MNEMONIC, ENUMID153_VAL30_HELP},
               {31, ENUMID153_VAL31_MNEMONIC, ENUMID153_VAL31_HELP},
               {32, ENUMID153_VAL32_MNEMONIC, ENUMID153_VAL32_HELP},
               {33, ENUMID153_VAL33_MNEMONIC, ENUMID153_VAL33_HELP},
               {34, ENUMID153_VAL34_MNEMONIC, ENUMID153_VAL34_HELP},
               {35, ENUMID153_VAL35_MNEMONIC, ENUMID153_VAL35_HELP},
               {36, ENUMID153_VAL36_MNEMONIC, ENUMID153_VAL36_HELP},
               {37, ENUMID153_VAL37_MNEMONIC, ENUMID153_VAL37_HELP},
               {38, ENUMID153_VAL38_MNEMONIC, ENUMID153_VAL38_HELP},
               {39, ENUMID153_VAL39_MNEMONIC, ENUMID153_VAL39_HELP},
               {40, ENUMID153_VAL40_MNEMONIC, ENUMID153_VAL40_HELP},
               {41, ENUMID153_VAL41_MNEMONIC, ENUMID153_VAL41_HELP},
               {42, ENUMID153_VAL42_MNEMONIC, ENUMID153_VAL42_HELP},
               {43, ENUMID153_VAL43_MNEMONIC, ENUMID153_VAL43_HELP},
               {44, ENUMID153_VAL44_MNEMONIC, ENUMID153_VAL44_HELP},
               {45, ENUMID153_VAL45_MNEMONIC, ENUMID153_VAL45_HELP},
               {46, ENUMID153_VAL46_MNEMONIC, ENUMID153_VAL46_HELP},
               {47, ENUMID153_VAL47_MNEMONIC, ENUMID153_VAL47_HELP},
               {48, ENUMID153_VAL48_MNEMONIC, ENUMID153_VAL48_HELP},
               {49, ENUMID153_VAL49_MNEMONIC, ENUMID153_VAL49_HELP},
               {50, ENUMID153_VAL50_MNEMONIC, ENUMID153_VAL50_HELP},
               {51, ENUMID153_VAL51_MNEMONIC, ENUMID153_VAL51_HELP},
               {52, ENUMID153_VAL52_MNEMONIC, ENUMID153_VAL52_HELP},
               {53, ENUMID153_VAL53_MNEMONIC, ENUMID153_VAL53_HELP},
               {54, ENUMID153_VAL54_MNEMONIC, ENUMID153_VAL54_HELP},
               {55, ENUMID153_VAL55_MNEMONIC, ENUMID153_VAL55_HELP},
               {56, ENUMID153_VAL56_MNEMONIC, ENUMID153_VAL56_HELP},
               {57, ENUMID153_VAL57_MNEMONIC, ENUMID153_VAL57_HELP},
               {58, ENUMID153_VAL58_MNEMONIC, ENUMID153_VAL58_HELP},
               {59, ENUMID153_VAL59_MNEMONIC, ENUMID153_VAL59_HELP},
               {60, ENUMID153_VAL60_MNEMONIC, ENUMID153_VAL60_HELP},
               {61, ENUMID153_VAL61_MNEMONIC, ENUMID153_VAL61_HELP},
               {62, ENUMID153_VAL62_MNEMONIC, ENUMID153_VAL62_HELP},
               {63, ENUMID153_VAL63_MNEMONIC, ENUMID153_VAL63_HELP},
               {64, ENUMID153_VAL64_MNEMONIC, ENUMID153_VAL64_HELP},
               {65, ENUMID153_VAL65_MNEMONIC, ENUMID153_VAL65_HELP},
               {66, ENUMID153_VAL66_MNEMONIC, ENUMID153_VAL66_HELP},
               {67, ENUMID153_VAL67_MNEMONIC, ENUMID153_VAL67_HELP},
               {68, ENUMID153_VAL68_MNEMONIC, ENUMID153_VAL68_HELP},
               {69, ENUMID153_VAL69_MNEMONIC, ENUMID153_VAL69_HELP},
               {70, ENUMID153_VAL70_MNEMONIC, ENUMID153_VAL70_HELP},
               {71, ENUMID153_VAL71_MNEMONIC, ENUMID153_VAL71_HELP},
               {72, ENUMID153_VAL72_MNEMONIC, ENUMID153_VAL72_HELP},
               {73, ENUMID153_VAL73_MNEMONIC, ENUMID153_VAL73_HELP},
               {74, ENUMID153_VAL74_MNEMONIC, ENUMID153_VAL74_HELP},
               {75, ENUMID153_VAL75_MNEMONIC, ENUMID153_VAL75_HELP},
               {76, ENUMID153_VAL76_MNEMONIC, ENUMID153_VAL76_HELP},
               {77, ENUMID153_VAL77_MNEMONIC, ENUMID153_VAL77_HELP},
               {78, ENUMID153_VAL78_MNEMONIC, ENUMID153_VAL78_HELP},
               {79, ENUMID153_VAL79_MNEMONIC, ENUMID153_VAL79_HELP},
               {80, ENUMID153_VAL80_MNEMONIC, ENUMID153_VAL80_HELP},
               {81, ENUMID153_VAL81_MNEMONIC, ENUMID153_VAL81_HELP},
               {82, ENUMID153_VAL82_MNEMONIC, ENUMID153_VAL82_HELP},
               {83, ENUMID153_VAL83_MNEMONIC, ENUMID153_VAL83_HELP},
               {84, ENUMID153_VAL84_MNEMONIC, ENUMID153_VAL84_HELP},
               {85, ENUMID153_VAL85_MNEMONIC, ENUMID153_VAL85_HELP},
               {86, ENUMID153_VAL86_MNEMONIC, ENUMID153_VAL86_HELP},
               {87, ENUMID153_VAL87_MNEMONIC, ENUMID153_VAL87_HELP},
               {88, ENUMID153_VAL88_MNEMONIC, ENUMID153_VAL88_HELP},
               {89, ENUMID153_VAL89_MNEMONIC, ENUMID153_VAL89_HELP},
               {90, ENUMID153_VAL90_MNEMONIC, ENUMID153_VAL90_HELP},
               {91, ENUMID153_VAL91_MNEMONIC, ENUMID153_VAL91_HELP},
               {92, ENUMID153_VAL92_MNEMONIC, ENUMID153_VAL92_HELP},
               {93, ENUMID153_VAL93_MNEMONIC, ENUMID153_VAL93_HELP},
               {94, ENUMID153_VAL94_MNEMONIC, ENUMID153_VAL94_HELP},
               {95, ENUMID153_VAL95_MNEMONIC, ENUMID153_VAL95_HELP},
               {96, ENUMID153_VAL96_MNEMONIC, ENUMID153_VAL96_HELP},
               {97, ENUMID153_VAL97_MNEMONIC, ENUMID153_VAL97_HELP},
               {98, ENUMID153_VAL98_MNEMONIC, ENUMID153_VAL98_HELP},
               {99, ENUMID153_VAL99_MNEMONIC, ENUMID153_VAL99_HELP},
               {100, ENUMID153_VAL100_MNEMONIC, ENUMID153_VAL100_HELP},
               {101, ENUMID153_VAL101_MNEMONIC, ENUMID153_VAL101_HELP},
               {102, ENUMID153_VAL102_MNEMONIC, ENUMID153_VAL102_HELP},
               {103, ENUMID153_VAL103_MNEMONIC, ENUMID153_VAL103_HELP},
               {104, ENUMID153_VAL104_MNEMONIC, ENUMID153_VAL104_HELP},
               {105, ENUMID153_VAL105_MNEMONIC, ENUMID153_VAL105_HELP},
               {106, ENUMID153_VAL106_MNEMONIC, ENUMID153_VAL106_HELP},
               {107, ENUMID153_VAL107_MNEMONIC, ENUMID153_VAL107_HELP},
               {108, ENUMID153_VAL108_MNEMONIC, ENUMID153_VAL108_HELP},
               {109, ENUMID153_VAL109_MNEMONIC, ENUMID153_VAL109_HELP},
               {110, ENUMID153_VAL110_MNEMONIC, ENUMID153_VAL110_HELP},
               {111, ENUMID153_VAL111_MNEMONIC, ENUMID153_VAL111_HELP},
               {112, ENUMID153_VAL112_MNEMONIC, ENUMID153_VAL112_HELP},
               {113, ENUMID153_VAL113_MNEMONIC, ENUMID153_VAL113_HELP},
               {114, ENUMID153_VAL114_MNEMONIC, ENUMID153_VAL114_HELP},
               {115, ENUMID153_VAL115_MNEMONIC, ENUMID153_VAL115_HELP},
               {116, ENUMID153_VAL116_MNEMONIC, ENUMID153_VAL116_HELP},
               {117, ENUMID153_VAL117_MNEMONIC, ENUMID153_VAL117_HELP},
               {118, ENUMID153_VAL118_MNEMONIC, ENUMID153_VAL118_HELP},
               {119, ENUMID153_VAL119_MNEMONIC, ENUMID153_VAL119_HELP},
               {120, ENUMID153_VAL120_MNEMONIC, ENUMID153_VAL120_HELP},
               {121, ENUMID153_VAL121_MNEMONIC, ENUMID153_VAL121_HELP},
               {122, ENUMID153_VAL122_MNEMONIC, ENUMID153_VAL122_HELP},
               {123, ENUMID153_VAL123_MNEMONIC, ENUMID153_VAL123_HELP},
               {124, ENUMID153_VAL124_MNEMONIC, ENUMID153_VAL124_HELP},
               {125, ENUMID153_VAL125_MNEMONIC, ENUMID153_VAL125_HELP},
               {126, ENUMID153_VAL126_MNEMONIC, ENUMID153_VAL126_HELP},
               {127, ENUMID153_VAL127_MNEMONIC, ENUMID153_VAL127_HELP},
               {128, ENUMID153_VAL128_MNEMONIC, ENUMID153_VAL128_HELP},
               {129, ENUMID153_VAL129_MNEMONIC, ENUMID153_VAL129_HELP},
               {130, ENUMID153_VAL130_MNEMONIC, ENUMID153_VAL130_HELP},
               {131, ENUMID153_VAL131_MNEMONIC, ENUMID153_VAL131_HELP},
               {132, ENUMID153_VAL132_MNEMONIC, ENUMID153_VAL132_HELP},
               {133, ENUMID153_VAL133_MNEMONIC, ENUMID153_VAL133_HELP},
               {134, ENUMID153_VAL134_MNEMONIC, ENUMID153_VAL134_HELP},
               {135, ENUMID153_VAL135_MNEMONIC, ENUMID153_VAL135_HELP},
               {136, ENUMID153_VAL136_MNEMONIC, ENUMID153_VAL136_HELP},
               {137, ENUMID153_VAL137_MNEMONIC, ENUMID153_VAL137_HELP},
               {138, ENUMID153_VAL138_MNEMONIC, ENUMID153_VAL138_HELP},
               {139, ENUMID153_VAL139_MNEMONIC, ENUMID153_VAL139_HELP},
               {140, ENUMID153_VAL140_MNEMONIC, ENUMID153_VAL140_HELP},
               {141, ENUMID153_VAL141_MNEMONIC, ENUMID153_VAL141_HELP},
               {142, ENUMID153_VAL142_MNEMONIC, ENUMID153_VAL142_HELP},
               {143, ENUMID153_VAL143_MNEMONIC, ENUMID153_VAL143_HELP},
               {144, ENUMID153_VAL144_MNEMONIC, ENUMID153_VAL144_HELP},
               {145, ENUMID153_VAL145_MNEMONIC, ENUMID153_VAL145_HELP},
               {146, ENUMID153_VAL146_MNEMONIC, ENUMID153_VAL146_HELP},
               {147, ENUMID153_VAL147_MNEMONIC, ENUMID153_VAL147_HELP},
               {148, ENUMID153_VAL148_MNEMONIC, ENUMID153_VAL148_HELP},
               {149, ENUMID153_VAL149_MNEMONIC, ENUMID153_VAL149_HELP},
               {150, ENUMID153_VAL150_MNEMONIC, ENUMID153_VAL150_HELP},
               {151, ENUMID153_VAL151_MNEMONIC, ENUMID153_VAL151_HELP},
               {152, ENUMID153_VAL152_MNEMONIC, ENUMID153_VAL152_HELP},
               {153, ENUMID153_VAL153_MNEMONIC, ENUMID153_VAL153_HELP},
               {154, ENUMID153_VAL154_MNEMONIC, ENUMID153_VAL154_HELP},
               {155, ENUMID153_VAL155_MNEMONIC, ENUMID153_VAL155_HELP},
               {156, ENUMID153_VAL156_MNEMONIC, ENUMID153_VAL156_HELP},
               {157, ENUMID153_VAL157_MNEMONIC, ENUMID153_VAL157_HELP},
               {158, ENUMID153_VAL158_MNEMONIC, ENUMID153_VAL158_HELP},
               {159, ENUMID153_VAL159_MNEMONIC, ENUMID153_VAL159_HELP},
               {160, ENUMID153_VAL160_MNEMONIC, ENUMID153_VAL160_HELP},
               {161, ENUMID153_VAL161_MNEMONIC, ENUMID153_VAL161_HELP},
               {162, ENUMID153_VAL162_MNEMONIC, ENUMID153_VAL162_HELP},
               {163, ENUMID153_VAL163_MNEMONIC, ENUMID153_VAL163_HELP},
               {164, ENUMID153_VAL164_MNEMONIC, ENUMID153_VAL164_HELP},
               {165, ENUMID153_VAL165_MNEMONIC, ENUMID153_VAL165_HELP},
               {166, ENUMID153_VAL166_MNEMONIC, ENUMID153_VAL166_HELP},
               {167, ENUMID153_VAL167_MNEMONIC, ENUMID153_VAL167_HELP},
               {168, ENUMID153_VAL168_MNEMONIC, ENUMID153_VAL168_HELP},
               {169, ENUMID153_VAL169_MNEMONIC, ENUMID153_VAL169_HELP},
               {170, ENUMID153_VAL170_MNEMONIC, ENUMID153_VAL170_HELP},
               {171, ENUMID153_VAL171_MNEMONIC, ENUMID153_VAL171_HELP},
               {172, ENUMID153_VAL172_MNEMONIC, ENUMID153_VAL172_HELP},
               {173, ENUMID153_VAL173_MNEMONIC, ENUMID153_VAL173_HELP},
               {174, ENUMID153_VAL174_MNEMONIC, ENUMID153_VAL174_HELP},
               {175, ENUMID153_VAL175_MNEMONIC, ENUMID153_VAL175_HELP},
               {176, ENUMID153_VAL176_MNEMONIC, ENUMID153_VAL176_HELP},
               {177, ENUMID153_VAL177_MNEMONIC, ENUMID153_VAL177_HELP},
               {178, ENUMID153_VAL178_MNEMONIC, ENUMID153_VAL178_HELP},
               {179, ENUMID153_VAL179_MNEMONIC, ENUMID153_VAL179_HELP},
               {180, ENUMID153_VAL180_MNEMONIC, ENUMID153_VAL180_HELP},
               {181, ENUMID153_VAL181_MNEMONIC, ENUMID153_VAL181_HELP},
               {182, ENUMID153_VAL182_MNEMONIC, ENUMID153_VAL182_HELP},
               {183, ENUMID153_VAL183_MNEMONIC, ENUMID153_VAL183_HELP},
               {184, ENUMID153_VAL184_MNEMONIC, ENUMID153_VAL184_HELP},
               {185, ENUMID153_VAL185_MNEMONIC, ENUMID153_VAL185_HELP},
               {186, ENUMID153_VAL186_MNEMONIC, ENUMID153_VAL186_HELP},
               {187, ENUMID153_VAL187_MNEMONIC, ENUMID153_VAL187_HELP},
               {188, ENUMID153_VAL188_MNEMONIC, ENUMID153_VAL188_HELP},
               {189, ENUMID153_VAL189_MNEMONIC, ENUMID153_VAL189_HELP},
               {190, ENUMID153_VAL190_MNEMONIC, ENUMID153_VAL190_HELP},
               {191, ENUMID153_VAL191_MNEMONIC, ENUMID153_VAL191_HELP},
               {192, ENUMID153_VAL192_MNEMONIC, ENUMID153_VAL192_HELP},
               {193, ENUMID153_VAL193_MNEMONIC, ENUMID153_VAL193_HELP},
               {194, ENUMID153_VAL194_MNEMONIC, ENUMID153_VAL194_HELP},
               {195, ENUMID153_VAL195_MNEMONIC, ENUMID153_VAL195_HELP},
               {196, ENUMID153_VAL196_MNEMONIC, ENUMID153_VAL196_HELP},
               {197, ENUMID153_VAL197_MNEMONIC, ENUMID153_VAL197_HELP},
               {198, ENUMID153_VAL198_MNEMONIC, ENUMID153_VAL198_HELP},
               {199, ENUMID153_VAL199_MNEMONIC, ENUMID153_VAL199_HELP},
               {200, ENUMID153_VAL200_MNEMONIC, ENUMID153_VAL200_HELP},
               {201, ENUMID153_VAL201_MNEMONIC, ENUMID153_VAL201_HELP},
               {202, ENUMID153_VAL202_MNEMONIC, ENUMID153_VAL202_HELP},
               {203, ENUMID153_VAL203_MNEMONIC, ENUMID153_VAL203_HELP},
               {204, ENUMID153_VAL204_MNEMONIC, ENUMID153_VAL204_HELP},
               {205, ENUMID153_VAL205_MNEMONIC, ENUMID153_VAL205_HELP},
               {206, ENUMID153_VAL206_MNEMONIC, ENUMID153_VAL206_HELP},
               {207, ENUMID153_VAL207_MNEMONIC, ENUMID153_VAL207_HELP},
               {208, ENUMID153_VAL208_MNEMONIC, ENUMID153_VAL208_HELP},
               {209, ENUMID153_VAL209_MNEMONIC, ENUMID153_VAL209_HELP},
               {210, ENUMID153_VAL210_MNEMONIC, ENUMID153_VAL210_HELP},
               {211, ENUMID153_VAL211_MNEMONIC, ENUMID153_VAL211_HELP},
               {212, ENUMID153_VAL212_MNEMONIC, ENUMID153_VAL212_HELP},
               {213, ENUMID153_VAL213_MNEMONIC, ENUMID153_VAL213_HELP},
               {214, ENUMID153_VAL214_MNEMONIC, ENUMID153_VAL214_HELP},
               {215, ENUMID153_VAL215_MNEMONIC, ENUMID153_VAL215_HELP},
               {216, ENUMID153_VAL216_MNEMONIC, ENUMID153_VAL216_HELP},
               {217, ENUMID153_VAL217_MNEMONIC, ENUMID153_VAL217_HELP},
               {218, ENUMID153_VAL218_MNEMONIC, ENUMID153_VAL218_HELP},
               {219, ENUMID153_VAL219_MNEMONIC, ENUMID153_VAL219_HELP},
               {220, ENUMID153_VAL220_MNEMONIC, ENUMID153_VAL220_HELP},
               {221, ENUMID153_VAL221_MNEMONIC, ENUMID153_VAL221_HELP},
               {222, ENUMID153_VAL222_MNEMONIC, ENUMID153_VAL222_HELP},
               {223, ENUMID153_VAL223_MNEMONIC, ENUMID153_VAL223_HELP},
               {224, ENUMID153_VAL224_MNEMONIC, ENUMID153_VAL224_HELP},
               {225, ENUMID153_VAL225_MNEMONIC, ENUMID153_VAL225_HELP},
               {226, ENUMID153_VAL226_MNEMONIC, ENUMID153_VAL226_HELP},
               {227, ENUMID153_VAL227_MNEMONIC, ENUMID153_VAL227_HELP},
               {228, ENUMID153_VAL228_MNEMONIC, ENUMID153_VAL228_HELP},
               {229, ENUMID153_VAL229_MNEMONIC, ENUMID153_VAL229_HELP},
               {230, ENUMID153_VAL230_MNEMONIC, ENUMID153_VAL230_HELP},
               {231, ENUMID153_VAL231_MNEMONIC, ENUMID153_VAL231_HELP},
               {232, ENUMID153_VAL232_MNEMONIC, ENUMID153_VAL232_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P24_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B10);
               }
          }
}

VARIABLE M10_P25
{
          // Trip 5

          LABEL  M10_P25_LABEL;
          HELP  M10_P25_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID153_VAL0_MNEMONIC, ENUMID153_VAL0_HELP},
               {1, ENUMID153_VAL1_MNEMONIC, ENUMID153_VAL1_HELP},
               {2, ENUMID153_VAL2_MNEMONIC, ENUMID153_VAL2_HELP},
               {3, ENUMID153_VAL3_MNEMONIC, ENUMID153_VAL3_HELP},
               {4, ENUMID153_VAL4_MNEMONIC, ENUMID153_VAL4_HELP},
               {5, ENUMID153_VAL5_MNEMONIC, ENUMID153_VAL5_HELP},
               {6, ENUMID153_VAL6_MNEMONIC, ENUMID153_VAL6_HELP},
               {7, ENUMID153_VAL7_MNEMONIC, ENUMID153_VAL7_HELP},
               {8, ENUMID153_VAL8_MNEMONIC, ENUMID153_VAL8_HELP},
               {9, ENUMID153_VAL9_MNEMONIC, ENUMID153_VAL9_HELP},
               {10, ENUMID153_VAL10_MNEMONIC, ENUMID153_VAL10_HELP},
               {11, ENUMID153_VAL11_MNEMONIC, ENUMID153_VAL11_HELP},
               {12, ENUMID153_VAL12_MNEMONIC, ENUMID153_VAL12_HELP},
               {13, ENUMID153_VAL13_MNEMONIC, ENUMID153_VAL13_HELP},
               {14, ENUMID153_VAL14_MNEMONIC, ENUMID153_VAL14_HELP},
               {15, ENUMID153_VAL15_MNEMONIC, ENUMID153_VAL15_HELP},
               {16, ENUMID153_VAL16_MNEMONIC, ENUMID153_VAL16_HELP},
               {17, ENUMID153_VAL17_MNEMONIC, ENUMID153_VAL17_HELP},
               {18, ENUMID153_VAL18_MNEMONIC, ENUMID153_VAL18_HELP},
               {19, ENUMID153_VAL19_MNEMONIC, ENUMID153_VAL19_HELP},
               {20, ENUMID153_VAL20_MNEMONIC, ENUMID153_VAL20_HELP},
               {21, ENUMID153_VAL21_MNEMONIC, ENUMID153_VAL21_HELP},
               {22, ENUMID153_VAL22_MNEMONIC, ENUMID153_VAL22_HELP},
               {23, ENUMID153_VAL23_MNEMONIC, ENUMID153_VAL23_HELP},
               {24, ENUMID153_VAL24_MNEMONIC, ENUMID153_VAL24_HELP},
               {25, ENUMID153_VAL25_MNEMONIC, ENUMID153_VAL25_HELP},
               {26, ENUMID153_VAL26_MNEMONIC, ENUMID153_VAL26_HELP},
               {27, ENUMID153_VAL27_MNEMONIC, ENUMID153_VAL27_HELP},
               {28, ENUMID153_VAL28_MNEMONIC, ENUMID153_VAL28_HELP},
               {29, ENUMID153_VAL29_MNEMONIC, ENUMID153_VAL29_HELP},
               {30, ENUMID153_VAL30_MNEMONIC, ENUMID153_VAL30_HELP},
               {31, ENUMID153_VAL31_MNEMONIC, ENUMID153_VAL31_HELP},
               {32, ENUMID153_VAL32_MNEMONIC, ENUMID153_VAL32_HELP},
               {33, ENUMID153_VAL33_MNEMONIC, ENUMID153_VAL33_HELP},
               {34, ENUMID153_VAL34_MNEMONIC, ENUMID153_VAL34_HELP},
               {35, ENUMID153_VAL35_MNEMONIC, ENUMID153_VAL35_HELP},
               {36, ENUMID153_VAL36_MNEMONIC, ENUMID153_VAL36_HELP},
               {37, ENUMID153_VAL37_MNEMONIC, ENUMID153_VAL37_HELP},
               {38, ENUMID153_VAL38_MNEMONIC, ENUMID153_VAL38_HELP},
               {39, ENUMID153_VAL39_MNEMONIC, ENUMID153_VAL39_HELP},
               {40, ENUMID153_VAL40_MNEMONIC, ENUMID153_VAL40_HELP},
               {41, ENUMID153_VAL41_MNEMONIC, ENUMID153_VAL41_HELP},
               {42, ENUMID153_VAL42_MNEMONIC, ENUMID153_VAL42_HELP},
               {43, ENUMID153_VAL43_MNEMONIC, ENUMID153_VAL43_HELP},
               {44, ENUMID153_VAL44_MNEMONIC, ENUMID153_VAL44_HELP},
               {45, ENUMID153_VAL45_MNEMONIC, ENUMID153_VAL45_HELP},
               {46, ENUMID153_VAL46_MNEMONIC, ENUMID153_VAL46_HELP},
               {47, ENUMID153_VAL47_MNEMONIC, ENUMID153_VAL47_HELP},
               {48, ENUMID153_VAL48_MNEMONIC, ENUMID153_VAL48_HELP},
               {49, ENUMID153_VAL49_MNEMONIC, ENUMID153_VAL49_HELP},
               {50, ENUMID153_VAL50_MNEMONIC, ENUMID153_VAL50_HELP},
               {51, ENUMID153_VAL51_MNEMONIC, ENUMID153_VAL51_HELP},
               {52, ENUMID153_VAL52_MNEMONIC, ENUMID153_VAL52_HELP},
               {53, ENUMID153_VAL53_MNEMONIC, ENUMID153_VAL53_HELP},
               {54, ENUMID153_VAL54_MNEMONIC, ENUMID153_VAL54_HELP},
               {55, ENUMID153_VAL55_MNEMONIC, ENUMID153_VAL55_HELP},
               {56, ENUMID153_VAL56_MNEMONIC, ENUMID153_VAL56_HELP},
               {57, ENUMID153_VAL57_MNEMONIC, ENUMID153_VAL57_HELP},
               {58, ENUMID153_VAL58_MNEMONIC, ENUMID153_VAL58_HELP},
               {59, ENUMID153_VAL59_MNEMONIC, ENUMID153_VAL59_HELP},
               {60, ENUMID153_VAL60_MNEMONIC, ENUMID153_VAL60_HELP},
               {61, ENUMID153_VAL61_MNEMONIC, ENUMID153_VAL61_HELP},
               {62, ENUMID153_VAL62_MNEMONIC, ENUMID153_VAL62_HELP},
               {63, ENUMID153_VAL63_MNEMONIC, ENUMID153_VAL63_HELP},
               {64, ENUMID153_VAL64_MNEMONIC, ENUMID153_VAL64_HELP},
               {65, ENUMID153_VAL65_MNEMONIC, ENUMID153_VAL65_HELP},
               {66, ENUMID153_VAL66_MNEMONIC, ENUMID153_VAL66_HELP},
               {67, ENUMID153_VAL67_MNEMONIC, ENUMID153_VAL67_HELP},
               {68, ENUMID153_VAL68_MNEMONIC, ENUMID153_VAL68_HELP},
               {69, ENUMID153_VAL69_MNEMONIC, ENUMID153_VAL69_HELP},
               {70, ENUMID153_VAL70_MNEMONIC, ENUMID153_VAL70_HELP},
               {71, ENUMID153_VAL71_MNEMONIC, ENUMID153_VAL71_HELP},
               {72, ENUMID153_VAL72_MNEMONIC, ENUMID153_VAL72_HELP},
               {73, ENUMID153_VAL73_MNEMONIC, ENUMID153_VAL73_HELP},
               {74, ENUMID153_VAL74_MNEMONIC, ENUMID153_VAL74_HELP},
               {75, ENUMID153_VAL75_MNEMONIC, ENUMID153_VAL75_HELP},
               {76, ENUMID153_VAL76_MNEMONIC, ENUMID153_VAL76_HELP},
               {77, ENUMID153_VAL77_MNEMONIC, ENUMID153_VAL77_HELP},
               {78, ENUMID153_VAL78_MNEMONIC, ENUMID153_VAL78_HELP},
               {79, ENUMID153_VAL79_MNEMONIC, ENUMID153_VAL79_HELP},
               {80, ENUMID153_VAL80_MNEMONIC, ENUMID153_VAL80_HELP},
               {81, ENUMID153_VAL81_MNEMONIC, ENUMID153_VAL81_HELP},
               {82, ENUMID153_VAL82_MNEMONIC, ENUMID153_VAL82_HELP},
               {83, ENUMID153_VAL83_MNEMONIC, ENUMID153_VAL83_HELP},
               {84, ENUMID153_VAL84_MNEMONIC, ENUMID153_VAL84_HELP},
               {85, ENUMID153_VAL85_MNEMONIC, ENUMID153_VAL85_HELP},
               {86, ENUMID153_VAL86_MNEMONIC, ENUMID153_VAL86_HELP},
               {87, ENUMID153_VAL87_MNEMONIC, ENUMID153_VAL87_HELP},
               {88, ENUMID153_VAL88_MNEMONIC, ENUMID153_VAL88_HELP},
               {89, ENUMID153_VAL89_MNEMONIC, ENUMID153_VAL89_HELP},
               {90, ENUMID153_VAL90_MNEMONIC, ENUMID153_VAL90_HELP},
               {91, ENUMID153_VAL91_MNEMONIC, ENUMID153_VAL91_HELP},
               {92, ENUMID153_VAL92_MNEMONIC, ENUMID153_VAL92_HELP},
               {93, ENUMID153_VAL93_MNEMONIC, ENUMID153_VAL93_HELP},
               {94, ENUMID153_VAL94_MNEMONIC, ENUMID153_VAL94_HELP},
               {95, ENUMID153_VAL95_MNEMONIC, ENUMID153_VAL95_HELP},
               {96, ENUMID153_VAL96_MNEMONIC, ENUMID153_VAL96_HELP},
               {97, ENUMID153_VAL97_MNEMONIC, ENUMID153_VAL97_HELP},
               {98, ENUMID153_VAL98_MNEMONIC, ENUMID153_VAL98_HELP},
               {99, ENUMID153_VAL99_MNEMONIC, ENUMID153_VAL99_HELP},
               {100, ENUMID153_VAL100_MNEMONIC, ENUMID153_VAL100_HELP},
               {101, ENUMID153_VAL101_MNEMONIC, ENUMID153_VAL101_HELP},
               {102, ENUMID153_VAL102_MNEMONIC, ENUMID153_VAL102_HELP},
               {103, ENUMID153_VAL103_MNEMONIC, ENUMID153_VAL103_HELP},
               {104, ENUMID153_VAL104_MNEMONIC, ENUMID153_VAL104_HELP},
               {105, ENUMID153_VAL105_MNEMONIC, ENUMID153_VAL105_HELP},
               {106, ENUMID153_VAL106_MNEMONIC, ENUMID153_VAL106_HELP},
               {107, ENUMID153_VAL107_MNEMONIC, ENUMID153_VAL107_HELP},
               {108, ENUMID153_VAL108_MNEMONIC, ENUMID153_VAL108_HELP},
               {109, ENUMID153_VAL109_MNEMONIC, ENUMID153_VAL109_HELP},
               {110, ENUMID153_VAL110_MNEMONIC, ENUMID153_VAL110_HELP},
               {111, ENUMID153_VAL111_MNEMONIC, ENUMID153_VAL111_HELP},
               {112, ENUMID153_VAL112_MNEMONIC, ENUMID153_VAL112_HELP},
               {113, ENUMID153_VAL113_MNEMONIC, ENUMID153_VAL113_HELP},
               {114, ENUMID153_VAL114_MNEMONIC, ENUMID153_VAL114_HELP},
               {115, ENUMID153_VAL115_MNEMONIC, ENUMID153_VAL115_HELP},
               {116, ENUMID153_VAL116_MNEMONIC, ENUMID153_VAL116_HELP},
               {117, ENUMID153_VAL117_MNEMONIC, ENUMID153_VAL117_HELP},
               {118, ENUMID153_VAL118_MNEMONIC, ENUMID153_VAL118_HELP},
               {119, ENUMID153_VAL119_MNEMONIC, ENUMID153_VAL119_HELP},
               {120, ENUMID153_VAL120_MNEMONIC, ENUMID153_VAL120_HELP},
               {121, ENUMID153_VAL121_MNEMONIC, ENUMID153_VAL121_HELP},
               {122, ENUMID153_VAL122_MNEMONIC, ENUMID153_VAL122_HELP},
               {123, ENUMID153_VAL123_MNEMONIC, ENUMID153_VAL123_HELP},
               {124, ENUMID153_VAL124_MNEMONIC, ENUMID153_VAL124_HELP},
               {125, ENUMID153_VAL125_MNEMONIC, ENUMID153_VAL125_HELP},
               {126, ENUMID153_VAL126_MNEMONIC, ENUMID153_VAL126_HELP},
               {127, ENUMID153_VAL127_MNEMONIC, ENUMID153_VAL127_HELP},
               {128, ENUMID153_VAL128_MNEMONIC, ENUMID153_VAL128_HELP},
               {129, ENUMID153_VAL129_MNEMONIC, ENUMID153_VAL129_HELP},
               {130, ENUMID153_VAL130_MNEMONIC, ENUMID153_VAL130_HELP},
               {131, ENUMID153_VAL131_MNEMONIC, ENUMID153_VAL131_HELP},
               {132, ENUMID153_VAL132_MNEMONIC, ENUMID153_VAL132_HELP},
               {133, ENUMID153_VAL133_MNEMONIC, ENUMID153_VAL133_HELP},
               {134, ENUMID153_VAL134_MNEMONIC, ENUMID153_VAL134_HELP},
               {135, ENUMID153_VAL135_MNEMONIC, ENUMID153_VAL135_HELP},
               {136, ENUMID153_VAL136_MNEMONIC, ENUMID153_VAL136_HELP},
               {137, ENUMID153_VAL137_MNEMONIC, ENUMID153_VAL137_HELP},
               {138, ENUMID153_VAL138_MNEMONIC, ENUMID153_VAL138_HELP},
               {139, ENUMID153_VAL139_MNEMONIC, ENUMID153_VAL139_HELP},
               {140, ENUMID153_VAL140_MNEMONIC, ENUMID153_VAL140_HELP},
               {141, ENUMID153_VAL141_MNEMONIC, ENUMID153_VAL141_HELP},
               {142, ENUMID153_VAL142_MNEMONIC, ENUMID153_VAL142_HELP},
               {143, ENUMID153_VAL143_MNEMONIC, ENUMID153_VAL143_HELP},
               {144, ENUMID153_VAL144_MNEMONIC, ENUMID153_VAL144_HELP},
               {145, ENUMID153_VAL145_MNEMONIC, ENUMID153_VAL145_HELP},
               {146, ENUMID153_VAL146_MNEMONIC, ENUMID153_VAL146_HELP},
               {147, ENUMID153_VAL147_MNEMONIC, ENUMID153_VAL147_HELP},
               {148, ENUMID153_VAL148_MNEMONIC, ENUMID153_VAL148_HELP},
               {149, ENUMID153_VAL149_MNEMONIC, ENUMID153_VAL149_HELP},
               {150, ENUMID153_VAL150_MNEMONIC, ENUMID153_VAL150_HELP},
               {151, ENUMID153_VAL151_MNEMONIC, ENUMID153_VAL151_HELP},
               {152, ENUMID153_VAL152_MNEMONIC, ENUMID153_VAL152_HELP},
               {153, ENUMID153_VAL153_MNEMONIC, ENUMID153_VAL153_HELP},
               {154, ENUMID153_VAL154_MNEMONIC, ENUMID153_VAL154_HELP},
               {155, ENUMID153_VAL155_MNEMONIC, ENUMID153_VAL155_HELP},
               {156, ENUMID153_VAL156_MNEMONIC, ENUMID153_VAL156_HELP},
               {157, ENUMID153_VAL157_MNEMONIC, ENUMID153_VAL157_HELP},
               {158, ENUMID153_VAL158_MNEMONIC, ENUMID153_VAL158_HELP},
               {159, ENUMID153_VAL159_MNEMONIC, ENUMID153_VAL159_HELP},
               {160, ENUMID153_VAL160_MNEMONIC, ENUMID153_VAL160_HELP},
               {161, ENUMID153_VAL161_MNEMONIC, ENUMID153_VAL161_HELP},
               {162, ENUMID153_VAL162_MNEMONIC, ENUMID153_VAL162_HELP},
               {163, ENUMID153_VAL163_MNEMONIC, ENUMID153_VAL163_HELP},
               {164, ENUMID153_VAL164_MNEMONIC, ENUMID153_VAL164_HELP},
               {165, ENUMID153_VAL165_MNEMONIC, ENUMID153_VAL165_HELP},
               {166, ENUMID153_VAL166_MNEMONIC, ENUMID153_VAL166_HELP},
               {167, ENUMID153_VAL167_MNEMONIC, ENUMID153_VAL167_HELP},
               {168, ENUMID153_VAL168_MNEMONIC, ENUMID153_VAL168_HELP},
               {169, ENUMID153_VAL169_MNEMONIC, ENUMID153_VAL169_HELP},
               {170, ENUMID153_VAL170_MNEMONIC, ENUMID153_VAL170_HELP},
               {171, ENUMID153_VAL171_MNEMONIC, ENUMID153_VAL171_HELP},
               {172, ENUMID153_VAL172_MNEMONIC, ENUMID153_VAL172_HELP},
               {173, ENUMID153_VAL173_MNEMONIC, ENUMID153_VAL173_HELP},
               {174, ENUMID153_VAL174_MNEMONIC, ENUMID153_VAL174_HELP},
               {175, ENUMID153_VAL175_MNEMONIC, ENUMID153_VAL175_HELP},
               {176, ENUMID153_VAL176_MNEMONIC, ENUMID153_VAL176_HELP},
               {177, ENUMID153_VAL177_MNEMONIC, ENUMID153_VAL177_HELP},
               {178, ENUMID153_VAL178_MNEMONIC, ENUMID153_VAL178_HELP},
               {179, ENUMID153_VAL179_MNEMONIC, ENUMID153_VAL179_HELP},
               {180, ENUMID153_VAL180_MNEMONIC, ENUMID153_VAL180_HELP},
               {181, ENUMID153_VAL181_MNEMONIC, ENUMID153_VAL181_HELP},
               {182, ENUMID153_VAL182_MNEMONIC, ENUMID153_VAL182_HELP},
               {183, ENUMID153_VAL183_MNEMONIC, ENUMID153_VAL183_HELP},
               {184, ENUMID153_VAL184_MNEMONIC, ENUMID153_VAL184_HELP},
               {185, ENUMID153_VAL185_MNEMONIC, ENUMID153_VAL185_HELP},
               {186, ENUMID153_VAL186_MNEMONIC, ENUMID153_VAL186_HELP},
               {187, ENUMID153_VAL187_MNEMONIC, ENUMID153_VAL187_HELP},
               {188, ENUMID153_VAL188_MNEMONIC, ENUMID153_VAL188_HELP},
               {189, ENUMID153_VAL189_MNEMONIC, ENUMID153_VAL189_HELP},
               {190, ENUMID153_VAL190_MNEMONIC, ENUMID153_VAL190_HELP},
               {191, ENUMID153_VAL191_MNEMONIC, ENUMID153_VAL191_HELP},
               {192, ENUMID153_VAL192_MNEMONIC, ENUMID153_VAL192_HELP},
               {193, ENUMID153_VAL193_MNEMONIC, ENUMID153_VAL193_HELP},
               {194, ENUMID153_VAL194_MNEMONIC, ENUMID153_VAL194_HELP},
               {195, ENUMID153_VAL195_MNEMONIC, ENUMID153_VAL195_HELP},
               {196, ENUMID153_VAL196_MNEMONIC, ENUMID153_VAL196_HELP},
               {197, ENUMID153_VAL197_MNEMONIC, ENUMID153_VAL197_HELP},
               {198, ENUMID153_VAL198_MNEMONIC, ENUMID153_VAL198_HELP},
               {199, ENUMID153_VAL199_MNEMONIC, ENUMID153_VAL199_HELP},
               {200, ENUMID153_VAL200_MNEMONIC, ENUMID153_VAL200_HELP},
               {201, ENUMID153_VAL201_MNEMONIC, ENUMID153_VAL201_HELP},
               {202, ENUMID153_VAL202_MNEMONIC, ENUMID153_VAL202_HELP},
               {203, ENUMID153_VAL203_MNEMONIC, ENUMID153_VAL203_HELP},
               {204, ENUMID153_VAL204_MNEMONIC, ENUMID153_VAL204_HELP},
               {205, ENUMID153_VAL205_MNEMONIC, ENUMID153_VAL205_HELP},
               {206, ENUMID153_VAL206_MNEMONIC, ENUMID153_VAL206_HELP},
               {207, ENUMID153_VAL207_MNEMONIC, ENUMID153_VAL207_HELP},
               {208, ENUMID153_VAL208_MNEMONIC, ENUMID153_VAL208_HELP},
               {209, ENUMID153_VAL209_MNEMONIC, ENUMID153_VAL209_HELP},
               {210, ENUMID153_VAL210_MNEMONIC, ENUMID153_VAL210_HELP},
               {211, ENUMID153_VAL211_MNEMONIC, ENUMID153_VAL211_HELP},
               {212, ENUMID153_VAL212_MNEMONIC, ENUMID153_VAL212_HELP},
               {213, ENUMID153_VAL213_MNEMONIC, ENUMID153_VAL213_HELP},
               {214, ENUMID153_VAL214_MNEMONIC, ENUMID153_VAL214_HELP},
               {215, ENUMID153_VAL215_MNEMONIC, ENUMID153_VAL215_HELP},
               {216, ENUMID153_VAL216_MNEMONIC, ENUMID153_VAL216_HELP},
               {217, ENUMID153_VAL217_MNEMONIC, ENUMID153_VAL217_HELP},
               {218, ENUMID153_VAL218_MNEMONIC, ENUMID153_VAL218_HELP},
               {219, ENUMID153_VAL219_MNEMONIC, ENUMID153_VAL219_HELP},
               {220, ENUMID153_VAL220_MNEMONIC, ENUMID153_VAL220_HELP},
               {221, ENUMID153_VAL221_MNEMONIC, ENUMID153_VAL221_HELP},
               {222, ENUMID153_VAL222_MNEMONIC, ENUMID153_VAL222_HELP},
               {223, ENUMID153_VAL223_MNEMONIC, ENUMID153_VAL223_HELP},
               {224, ENUMID153_VAL224_MNEMONIC, ENUMID153_VAL224_HELP},
               {225, ENUMID153_VAL225_MNEMONIC, ENUMID153_VAL225_HELP},
               {226, ENUMID153_VAL226_MNEMONIC, ENUMID153_VAL226_HELP},
               {227, ENUMID153_VAL227_MNEMONIC, ENUMID153_VAL227_HELP},
               {228, ENUMID153_VAL228_MNEMONIC, ENUMID153_VAL228_HELP},
               {229, ENUMID153_VAL229_MNEMONIC, ENUMID153_VAL229_HELP},
               {230, ENUMID153_VAL230_MNEMONIC, ENUMID153_VAL230_HELP},
               {231, ENUMID153_VAL231_MNEMONIC, ENUMID153_VAL231_HELP},
               {232, ENUMID153_VAL232_MNEMONIC, ENUMID153_VAL232_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P25_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B11);
               }
          }
}

VARIABLE M10_P26
{
          // Trip 6

          LABEL  M10_P26_LABEL;
          HELP  M10_P26_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID153_VAL0_MNEMONIC, ENUMID153_VAL0_HELP},
               {1, ENUMID153_VAL1_MNEMONIC, ENUMID153_VAL1_HELP},
               {2, ENUMID153_VAL2_MNEMONIC, ENUMID153_VAL2_HELP},
               {3, ENUMID153_VAL3_MNEMONIC, ENUMID153_VAL3_HELP},
               {4, ENUMID153_VAL4_MNEMONIC, ENUMID153_VAL4_HELP},
               {5, ENUMID153_VAL5_MNEMONIC, ENUMID153_VAL5_HELP},
               {6, ENUMID153_VAL6_MNEMONIC, ENUMID153_VAL6_HELP},
               {7, ENUMID153_VAL7_MNEMONIC, ENUMID153_VAL7_HELP},
               {8, ENUMID153_VAL8_MNEMONIC, ENUMID153_VAL8_HELP},
               {9, ENUMID153_VAL9_MNEMONIC, ENUMID153_VAL9_HELP},
               {10, ENUMID153_VAL10_MNEMONIC, ENUMID153_VAL10_HELP},
               {11, ENUMID153_VAL11_MNEMONIC, ENUMID153_VAL11_HELP},
               {12, ENUMID153_VAL12_MNEMONIC, ENUMID153_VAL12_HELP},
               {13, ENUMID153_VAL13_MNEMONIC, ENUMID153_VAL13_HELP},
               {14, ENUMID153_VAL14_MNEMONIC, ENUMID153_VAL14_HELP},
               {15, ENUMID153_VAL15_MNEMONIC, ENUMID153_VAL15_HELP},
               {16, ENUMID153_VAL16_MNEMONIC, ENUMID153_VAL16_HELP},
               {17, ENUMID153_VAL17_MNEMONIC, ENUMID153_VAL17_HELP},
               {18, ENUMID153_VAL18_MNEMONIC, ENUMID153_VAL18_HELP},
               {19, ENUMID153_VAL19_MNEMONIC, ENUMID153_VAL19_HELP},
               {20, ENUMID153_VAL20_MNEMONIC, ENUMID153_VAL20_HELP},
               {21, ENUMID153_VAL21_MNEMONIC, ENUMID153_VAL21_HELP},
               {22, ENUMID153_VAL22_MNEMONIC, ENUMID153_VAL22_HELP},
               {23, ENUMID153_VAL23_MNEMONIC, ENUMID153_VAL23_HELP},
               {24, ENUMID153_VAL24_MNEMONIC, ENUMID153_VAL24_HELP},
               {25, ENUMID153_VAL25_MNEMONIC, ENUMID153_VAL25_HELP},
               {26, ENUMID153_VAL26_MNEMONIC, ENUMID153_VAL26_HELP},
               {27, ENUMID153_VAL27_MNEMONIC, ENUMID153_VAL27_HELP},
               {28, ENUMID153_VAL28_MNEMONIC, ENUMID153_VAL28_HELP},
               {29, ENUMID153_VAL29_MNEMONIC, ENUMID153_VAL29_HELP},
               {30, ENUMID153_VAL30_MNEMONIC, ENUMID153_VAL30_HELP},
               {31, ENUMID153_VAL31_MNEMONIC, ENUMID153_VAL31_HELP},
               {32, ENUMID153_VAL32_MNEMONIC, ENUMID153_VAL32_HELP},
               {33, ENUMID153_VAL33_MNEMONIC, ENUMID153_VAL33_HELP},
               {34, ENUMID153_VAL34_MNEMONIC, ENUMID153_VAL34_HELP},
               {35, ENUMID153_VAL35_MNEMONIC, ENUMID153_VAL35_HELP},
               {36, ENUMID153_VAL36_MNEMONIC, ENUMID153_VAL36_HELP},
               {37, ENUMID153_VAL37_MNEMONIC, ENUMID153_VAL37_HELP},
               {38, ENUMID153_VAL38_MNEMONIC, ENUMID153_VAL38_HELP},
               {39, ENUMID153_VAL39_MNEMONIC, ENUMID153_VAL39_HELP},
               {40, ENUMID153_VAL40_MNEMONIC, ENUMID153_VAL40_HELP},
               {41, ENUMID153_VAL41_MNEMONIC, ENUMID153_VAL41_HELP},
               {42, ENUMID153_VAL42_MNEMONIC, ENUMID153_VAL42_HELP},
               {43, ENUMID153_VAL43_MNEMONIC, ENUMID153_VAL43_HELP},
               {44, ENUMID153_VAL44_MNEMONIC, ENUMID153_VAL44_HELP},
               {45, ENUMID153_VAL45_MNEMONIC, ENUMID153_VAL45_HELP},
               {46, ENUMID153_VAL46_MNEMONIC, ENUMID153_VAL46_HELP},
               {47, ENUMID153_VAL47_MNEMONIC, ENUMID153_VAL47_HELP},
               {48, ENUMID153_VAL48_MNEMONIC, ENUMID153_VAL48_HELP},
               {49, ENUMID153_VAL49_MNEMONIC, ENUMID153_VAL49_HELP},
               {50, ENUMID153_VAL50_MNEMONIC, ENUMID153_VAL50_HELP},
               {51, ENUMID153_VAL51_MNEMONIC, ENUMID153_VAL51_HELP},
               {52, ENUMID153_VAL52_MNEMONIC, ENUMID153_VAL52_HELP},
               {53, ENUMID153_VAL53_MNEMONIC, ENUMID153_VAL53_HELP},
               {54, ENUMID153_VAL54_MNEMONIC, ENUMID153_VAL54_HELP},
               {55, ENUMID153_VAL55_MNEMONIC, ENUMID153_VAL55_HELP},
               {56, ENUMID153_VAL56_MNEMONIC, ENUMID153_VAL56_HELP},
               {57, ENUMID153_VAL57_MNEMONIC, ENUMID153_VAL57_HELP},
               {58, ENUMID153_VAL58_MNEMONIC, ENUMID153_VAL58_HELP},
               {59, ENUMID153_VAL59_MNEMONIC, ENUMID153_VAL59_HELP},
               {60, ENUMID153_VAL60_MNEMONIC, ENUMID153_VAL60_HELP},
               {61, ENUMID153_VAL61_MNEMONIC, ENUMID153_VAL61_HELP},
               {62, ENUMID153_VAL62_MNEMONIC, ENUMID153_VAL62_HELP},
               {63, ENUMID153_VAL63_MNEMONIC, ENUMID153_VAL63_HELP},
               {64, ENUMID153_VAL64_MNEMONIC, ENUMID153_VAL64_HELP},
               {65, ENUMID153_VAL65_MNEMONIC, ENUMID153_VAL65_HELP},
               {66, ENUMID153_VAL66_MNEMONIC, ENUMID153_VAL66_HELP},
               {67, ENUMID153_VAL67_MNEMONIC, ENUMID153_VAL67_HELP},
               {68, ENUMID153_VAL68_MNEMONIC, ENUMID153_VAL68_HELP},
               {69, ENUMID153_VAL69_MNEMONIC, ENUMID153_VAL69_HELP},
               {70, ENUMID153_VAL70_MNEMONIC, ENUMID153_VAL70_HELP},
               {71, ENUMID153_VAL71_MNEMONIC, ENUMID153_VAL71_HELP},
               {72, ENUMID153_VAL72_MNEMONIC, ENUMID153_VAL72_HELP},
               {73, ENUMID153_VAL73_MNEMONIC, ENUMID153_VAL73_HELP},
               {74, ENUMID153_VAL74_MNEMONIC, ENUMID153_VAL74_HELP},
               {75, ENUMID153_VAL75_MNEMONIC, ENUMID153_VAL75_HELP},
               {76, ENUMID153_VAL76_MNEMONIC, ENUMID153_VAL76_HELP},
               {77, ENUMID153_VAL77_MNEMONIC, ENUMID153_VAL77_HELP},
               {78, ENUMID153_VAL78_MNEMONIC, ENUMID153_VAL78_HELP},
               {79, ENUMID153_VAL79_MNEMONIC, ENUMID153_VAL79_HELP},
               {80, ENUMID153_VAL80_MNEMONIC, ENUMID153_VAL80_HELP},
               {81, ENUMID153_VAL81_MNEMONIC, ENUMID153_VAL81_HELP},
               {82, ENUMID153_VAL82_MNEMONIC, ENUMID153_VAL82_HELP},
               {83, ENUMID153_VAL83_MNEMONIC, ENUMID153_VAL83_HELP},
               {84, ENUMID153_VAL84_MNEMONIC, ENUMID153_VAL84_HELP},
               {85, ENUMID153_VAL85_MNEMONIC, ENUMID153_VAL85_HELP},
               {86, ENUMID153_VAL86_MNEMONIC, ENUMID153_VAL86_HELP},
               {87, ENUMID153_VAL87_MNEMONIC, ENUMID153_VAL87_HELP},
               {88, ENUMID153_VAL88_MNEMONIC, ENUMID153_VAL88_HELP},
               {89, ENUMID153_VAL89_MNEMONIC, ENUMID153_VAL89_HELP},
               {90, ENUMID153_VAL90_MNEMONIC, ENUMID153_VAL90_HELP},
               {91, ENUMID153_VAL91_MNEMONIC, ENUMID153_VAL91_HELP},
               {92, ENUMID153_VAL92_MNEMONIC, ENUMID153_VAL92_HELP},
               {93, ENUMID153_VAL93_MNEMONIC, ENUMID153_VAL93_HELP},
               {94, ENUMID153_VAL94_MNEMONIC, ENUMID153_VAL94_HELP},
               {95, ENUMID153_VAL95_MNEMONIC, ENUMID153_VAL95_HELP},
               {96, ENUMID153_VAL96_MNEMONIC, ENUMID153_VAL96_HELP},
               {97, ENUMID153_VAL97_MNEMONIC, ENUMID153_VAL97_HELP},
               {98, ENUMID153_VAL98_MNEMONIC, ENUMID153_VAL98_HELP},
               {99, ENUMID153_VAL99_MNEMONIC, ENUMID153_VAL99_HELP},
               {100, ENUMID153_VAL100_MNEMONIC, ENUMID153_VAL100_HELP},
               {101, ENUMID153_VAL101_MNEMONIC, ENUMID153_VAL101_HELP},
               {102, ENUMID153_VAL102_MNEMONIC, ENUMID153_VAL102_HELP},
               {103, ENUMID153_VAL103_MNEMONIC, ENUMID153_VAL103_HELP},
               {104, ENUMID153_VAL104_MNEMONIC, ENUMID153_VAL104_HELP},
               {105, ENUMID153_VAL105_MNEMONIC, ENUMID153_VAL105_HELP},
               {106, ENUMID153_VAL106_MNEMONIC, ENUMID153_VAL106_HELP},
               {107, ENUMID153_VAL107_MNEMONIC, ENUMID153_VAL107_HELP},
               {108, ENUMID153_VAL108_MNEMONIC, ENUMID153_VAL108_HELP},
               {109, ENUMID153_VAL109_MNEMONIC, ENUMID153_VAL109_HELP},
               {110, ENUMID153_VAL110_MNEMONIC, ENUMID153_VAL110_HELP},
               {111, ENUMID153_VAL111_MNEMONIC, ENUMID153_VAL111_HELP},
               {112, ENUMID153_VAL112_MNEMONIC, ENUMID153_VAL112_HELP},
               {113, ENUMID153_VAL113_MNEMONIC, ENUMID153_VAL113_HELP},
               {114, ENUMID153_VAL114_MNEMONIC, ENUMID153_VAL114_HELP},
               {115, ENUMID153_VAL115_MNEMONIC, ENUMID153_VAL115_HELP},
               {116, ENUMID153_VAL116_MNEMONIC, ENUMID153_VAL116_HELP},
               {117, ENUMID153_VAL117_MNEMONIC, ENUMID153_VAL117_HELP},
               {118, ENUMID153_VAL118_MNEMONIC, ENUMID153_VAL118_HELP},
               {119, ENUMID153_VAL119_MNEMONIC, ENUMID153_VAL119_HELP},
               {120, ENUMID153_VAL120_MNEMONIC, ENUMID153_VAL120_HELP},
               {121, ENUMID153_VAL121_MNEMONIC, ENUMID153_VAL121_HELP},
               {122, ENUMID153_VAL122_MNEMONIC, ENUMID153_VAL122_HELP},
               {123, ENUMID153_VAL123_MNEMONIC, ENUMID153_VAL123_HELP},
               {124, ENUMID153_VAL124_MNEMONIC, ENUMID153_VAL124_HELP},
               {125, ENUMID153_VAL125_MNEMONIC, ENUMID153_VAL125_HELP},
               {126, ENUMID153_VAL126_MNEMONIC, ENUMID153_VAL126_HELP},
               {127, ENUMID153_VAL127_MNEMONIC, ENUMID153_VAL127_HELP},
               {128, ENUMID153_VAL128_MNEMONIC, ENUMID153_VAL128_HELP},
               {129, ENUMID153_VAL129_MNEMONIC, ENUMID153_VAL129_HELP},
               {130, ENUMID153_VAL130_MNEMONIC, ENUMID153_VAL130_HELP},
               {131, ENUMID153_VAL131_MNEMONIC, ENUMID153_VAL131_HELP},
               {132, ENUMID153_VAL132_MNEMONIC, ENUMID153_VAL132_HELP},
               {133, ENUMID153_VAL133_MNEMONIC, ENUMID153_VAL133_HELP},
               {134, ENUMID153_VAL134_MNEMONIC, ENUMID153_VAL134_HELP},
               {135, ENUMID153_VAL135_MNEMONIC, ENUMID153_VAL135_HELP},
               {136, ENUMID153_VAL136_MNEMONIC, ENUMID153_VAL136_HELP},
               {137, ENUMID153_VAL137_MNEMONIC, ENUMID153_VAL137_HELP},
               {138, ENUMID153_VAL138_MNEMONIC, ENUMID153_VAL138_HELP},
               {139, ENUMID153_VAL139_MNEMONIC, ENUMID153_VAL139_HELP},
               {140, ENUMID153_VAL140_MNEMONIC, ENUMID153_VAL140_HELP},
               {141, ENUMID153_VAL141_MNEMONIC, ENUMID153_VAL141_HELP},
               {142, ENUMID153_VAL142_MNEMONIC, ENUMID153_VAL142_HELP},
               {143, ENUMID153_VAL143_MNEMONIC, ENUMID153_VAL143_HELP},
               {144, ENUMID153_VAL144_MNEMONIC, ENUMID153_VAL144_HELP},
               {145, ENUMID153_VAL145_MNEMONIC, ENUMID153_VAL145_HELP},
               {146, ENUMID153_VAL146_MNEMONIC, ENUMID153_VAL146_HELP},
               {147, ENUMID153_VAL147_MNEMONIC, ENUMID153_VAL147_HELP},
               {148, ENUMID153_VAL148_MNEMONIC, ENUMID153_VAL148_HELP},
               {149, ENUMID153_VAL149_MNEMONIC, ENUMID153_VAL149_HELP},
               {150, ENUMID153_VAL150_MNEMONIC, ENUMID153_VAL150_HELP},
               {151, ENUMID153_VAL151_MNEMONIC, ENUMID153_VAL151_HELP},
               {152, ENUMID153_VAL152_MNEMONIC, ENUMID153_VAL152_HELP},
               {153, ENUMID153_VAL153_MNEMONIC, ENUMID153_VAL153_HELP},
               {154, ENUMID153_VAL154_MNEMONIC, ENUMID153_VAL154_HELP},
               {155, ENUMID153_VAL155_MNEMONIC, ENUMID153_VAL155_HELP},
               {156, ENUMID153_VAL156_MNEMONIC, ENUMID153_VAL156_HELP},
               {157, ENUMID153_VAL157_MNEMONIC, ENUMID153_VAL157_HELP},
               {158, ENUMID153_VAL158_MNEMONIC, ENUMID153_VAL158_HELP},
               {159, ENUMID153_VAL159_MNEMONIC, ENUMID153_VAL159_HELP},
               {160, ENUMID153_VAL160_MNEMONIC, ENUMID153_VAL160_HELP},
               {161, ENUMID153_VAL161_MNEMONIC, ENUMID153_VAL161_HELP},
               {162, ENUMID153_VAL162_MNEMONIC, ENUMID153_VAL162_HELP},
               {163, ENUMID153_VAL163_MNEMONIC, ENUMID153_VAL163_HELP},
               {164, ENUMID153_VAL164_MNEMONIC, ENUMID153_VAL164_HELP},
               {165, ENUMID153_VAL165_MNEMONIC, ENUMID153_VAL165_HELP},
               {166, ENUMID153_VAL166_MNEMONIC, ENUMID153_VAL166_HELP},
               {167, ENUMID153_VAL167_MNEMONIC, ENUMID153_VAL167_HELP},
               {168, ENUMID153_VAL168_MNEMONIC, ENUMID153_VAL168_HELP},
               {169, ENUMID153_VAL169_MNEMONIC, ENUMID153_VAL169_HELP},
               {170, ENUMID153_VAL170_MNEMONIC, ENUMID153_VAL170_HELP},
               {171, ENUMID153_VAL171_MNEMONIC, ENUMID153_VAL171_HELP},
               {172, ENUMID153_VAL172_MNEMONIC, ENUMID153_VAL172_HELP},
               {173, ENUMID153_VAL173_MNEMONIC, ENUMID153_VAL173_HELP},
               {174, ENUMID153_VAL174_MNEMONIC, ENUMID153_VAL174_HELP},
               {175, ENUMID153_VAL175_MNEMONIC, ENUMID153_VAL175_HELP},
               {176, ENUMID153_VAL176_MNEMONIC, ENUMID153_VAL176_HELP},
               {177, ENUMID153_VAL177_MNEMONIC, ENUMID153_VAL177_HELP},
               {178, ENUMID153_VAL178_MNEMONIC, ENUMID153_VAL178_HELP},
               {179, ENUMID153_VAL179_MNEMONIC, ENUMID153_VAL179_HELP},
               {180, ENUMID153_VAL180_MNEMONIC, ENUMID153_VAL180_HELP},
               {181, ENUMID153_VAL181_MNEMONIC, ENUMID153_VAL181_HELP},
               {182, ENUMID153_VAL182_MNEMONIC, ENUMID153_VAL182_HELP},
               {183, ENUMID153_VAL183_MNEMONIC, ENUMID153_VAL183_HELP},
               {184, ENUMID153_VAL184_MNEMONIC, ENUMID153_VAL184_HELP},
               {185, ENUMID153_VAL185_MNEMONIC, ENUMID153_VAL185_HELP},
               {186, ENUMID153_VAL186_MNEMONIC, ENUMID153_VAL186_HELP},
               {187, ENUMID153_VAL187_MNEMONIC, ENUMID153_VAL187_HELP},
               {188, ENUMID153_VAL188_MNEMONIC, ENUMID153_VAL188_HELP},
               {189, ENUMID153_VAL189_MNEMONIC, ENUMID153_VAL189_HELP},
               {190, ENUMID153_VAL190_MNEMONIC, ENUMID153_VAL190_HELP},
               {191, ENUMID153_VAL191_MNEMONIC, ENUMID153_VAL191_HELP},
               {192, ENUMID153_VAL192_MNEMONIC, ENUMID153_VAL192_HELP},
               {193, ENUMID153_VAL193_MNEMONIC, ENUMID153_VAL193_HELP},
               {194, ENUMID153_VAL194_MNEMONIC, ENUMID153_VAL194_HELP},
               {195, ENUMID153_VAL195_MNEMONIC, ENUMID153_VAL195_HELP},
               {196, ENUMID153_VAL196_MNEMONIC, ENUMID153_VAL196_HELP},
               {197, ENUMID153_VAL197_MNEMONIC, ENUMID153_VAL197_HELP},
               {198, ENUMID153_VAL198_MNEMONIC, ENUMID153_VAL198_HELP},
               {199, ENUMID153_VAL199_MNEMONIC, ENUMID153_VAL199_HELP},
               {200, ENUMID153_VAL200_MNEMONIC, ENUMID153_VAL200_HELP},
               {201, ENUMID153_VAL201_MNEMONIC, ENUMID153_VAL201_HELP},
               {202, ENUMID153_VAL202_MNEMONIC, ENUMID153_VAL202_HELP},
               {203, ENUMID153_VAL203_MNEMONIC, ENUMID153_VAL203_HELP},
               {204, ENUMID153_VAL204_MNEMONIC, ENUMID153_VAL204_HELP},
               {205, ENUMID153_VAL205_MNEMONIC, ENUMID153_VAL205_HELP},
               {206, ENUMID153_VAL206_MNEMONIC, ENUMID153_VAL206_HELP},
               {207, ENUMID153_VAL207_MNEMONIC, ENUMID153_VAL207_HELP},
               {208, ENUMID153_VAL208_MNEMONIC, ENUMID153_VAL208_HELP},
               {209, ENUMID153_VAL209_MNEMONIC, ENUMID153_VAL209_HELP},
               {210, ENUMID153_VAL210_MNEMONIC, ENUMID153_VAL210_HELP},
               {211, ENUMID153_VAL211_MNEMONIC, ENUMID153_VAL211_HELP},
               {212, ENUMID153_VAL212_MNEMONIC, ENUMID153_VAL212_HELP},
               {213, ENUMID153_VAL213_MNEMONIC, ENUMID153_VAL213_HELP},
               {214, ENUMID153_VAL214_MNEMONIC, ENUMID153_VAL214_HELP},
               {215, ENUMID153_VAL215_MNEMONIC, ENUMID153_VAL215_HELP},
               {216, ENUMID153_VAL216_MNEMONIC, ENUMID153_VAL216_HELP},
               {217, ENUMID153_VAL217_MNEMONIC, ENUMID153_VAL217_HELP},
               {218, ENUMID153_VAL218_MNEMONIC, ENUMID153_VAL218_HELP},
               {219, ENUMID153_VAL219_MNEMONIC, ENUMID153_VAL219_HELP},
               {220, ENUMID153_VAL220_MNEMONIC, ENUMID153_VAL220_HELP},
               {221, ENUMID153_VAL221_MNEMONIC, ENUMID153_VAL221_HELP},
               {222, ENUMID153_VAL222_MNEMONIC, ENUMID153_VAL222_HELP},
               {223, ENUMID153_VAL223_MNEMONIC, ENUMID153_VAL223_HELP},
               {224, ENUMID153_VAL224_MNEMONIC, ENUMID153_VAL224_HELP},
               {225, ENUMID153_VAL225_MNEMONIC, ENUMID153_VAL225_HELP},
               {226, ENUMID153_VAL226_MNEMONIC, ENUMID153_VAL226_HELP},
               {227, ENUMID153_VAL227_MNEMONIC, ENUMID153_VAL227_HELP},
               {228, ENUMID153_VAL228_MNEMONIC, ENUMID153_VAL228_HELP},
               {229, ENUMID153_VAL229_MNEMONIC, ENUMID153_VAL229_HELP},
               {230, ENUMID153_VAL230_MNEMONIC, ENUMID153_VAL230_HELP},
               {231, ENUMID153_VAL231_MNEMONIC, ENUMID153_VAL231_HELP},
               {232, ENUMID153_VAL232_MNEMONIC, ENUMID153_VAL232_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P26_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B12);
               }
          }
}

VARIABLE M10_P27
{
          // Trip 7

          LABEL  M10_P27_LABEL;
          HELP  M10_P27_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID153_VAL0_MNEMONIC, ENUMID153_VAL0_HELP},
               {1, ENUMID153_VAL1_MNEMONIC, ENUMID153_VAL1_HELP},
               {2, ENUMID153_VAL2_MNEMONIC, ENUMID153_VAL2_HELP},
               {3, ENUMID153_VAL3_MNEMONIC, ENUMID153_VAL3_HELP},
               {4, ENUMID153_VAL4_MNEMONIC, ENUMID153_VAL4_HELP},
               {5, ENUMID153_VAL5_MNEMONIC, ENUMID153_VAL5_HELP},
               {6, ENUMID153_VAL6_MNEMONIC, ENUMID153_VAL6_HELP},
               {7, ENUMID153_VAL7_MNEMONIC, ENUMID153_VAL7_HELP},
               {8, ENUMID153_VAL8_MNEMONIC, ENUMID153_VAL8_HELP},
               {9, ENUMID153_VAL9_MNEMONIC, ENUMID153_VAL9_HELP},
               {10, ENUMID153_VAL10_MNEMONIC, ENUMID153_VAL10_HELP},
               {11, ENUMID153_VAL11_MNEMONIC, ENUMID153_VAL11_HELP},
               {12, ENUMID153_VAL12_MNEMONIC, ENUMID153_VAL12_HELP},
               {13, ENUMID153_VAL13_MNEMONIC, ENUMID153_VAL13_HELP},
               {14, ENUMID153_VAL14_MNEMONIC, ENUMID153_VAL14_HELP},
               {15, ENUMID153_VAL15_MNEMONIC, ENUMID153_VAL15_HELP},
               {16, ENUMID153_VAL16_MNEMONIC, ENUMID153_VAL16_HELP},
               {17, ENUMID153_VAL17_MNEMONIC, ENUMID153_VAL17_HELP},
               {18, ENUMID153_VAL18_MNEMONIC, ENUMID153_VAL18_HELP},
               {19, ENUMID153_VAL19_MNEMONIC, ENUMID153_VAL19_HELP},
               {20, ENUMID153_VAL20_MNEMONIC, ENUMID153_VAL20_HELP},
               {21, ENUMID153_VAL21_MNEMONIC, ENUMID153_VAL21_HELP},
               {22, ENUMID153_VAL22_MNEMONIC, ENUMID153_VAL22_HELP},
               {23, ENUMID153_VAL23_MNEMONIC, ENUMID153_VAL23_HELP},
               {24, ENUMID153_VAL24_MNEMONIC, ENUMID153_VAL24_HELP},
               {25, ENUMID153_VAL25_MNEMONIC, ENUMID153_VAL25_HELP},
               {26, ENUMID153_VAL26_MNEMONIC, ENUMID153_VAL26_HELP},
               {27, ENUMID153_VAL27_MNEMONIC, ENUMID153_VAL27_HELP},
               {28, ENUMID153_VAL28_MNEMONIC, ENUMID153_VAL28_HELP},
               {29, ENUMID153_VAL29_MNEMONIC, ENUMID153_VAL29_HELP},
               {30, ENUMID153_VAL30_MNEMONIC, ENUMID153_VAL30_HELP},
               {31, ENUMID153_VAL31_MNEMONIC, ENUMID153_VAL31_HELP},
               {32, ENUMID153_VAL32_MNEMONIC, ENUMID153_VAL32_HELP},
               {33, ENUMID153_VAL33_MNEMONIC, ENUMID153_VAL33_HELP},
               {34, ENUMID153_VAL34_MNEMONIC, ENUMID153_VAL34_HELP},
               {35, ENUMID153_VAL35_MNEMONIC, ENUMID153_VAL35_HELP},
               {36, ENUMID153_VAL36_MNEMONIC, ENUMID153_VAL36_HELP},
               {37, ENUMID153_VAL37_MNEMONIC, ENUMID153_VAL37_HELP},
               {38, ENUMID153_VAL38_MNEMONIC, ENUMID153_VAL38_HELP},
               {39, ENUMID153_VAL39_MNEMONIC, ENUMID153_VAL39_HELP},
               {40, ENUMID153_VAL40_MNEMONIC, ENUMID153_VAL40_HELP},
               {41, ENUMID153_VAL41_MNEMONIC, ENUMID153_VAL41_HELP},
               {42, ENUMID153_VAL42_MNEMONIC, ENUMID153_VAL42_HELP},
               {43, ENUMID153_VAL43_MNEMONIC, ENUMID153_VAL43_HELP},
               {44, ENUMID153_VAL44_MNEMONIC, ENUMID153_VAL44_HELP},
               {45, ENUMID153_VAL45_MNEMONIC, ENUMID153_VAL45_HELP},
               {46, ENUMID153_VAL46_MNEMONIC, ENUMID153_VAL46_HELP},
               {47, ENUMID153_VAL47_MNEMONIC, ENUMID153_VAL47_HELP},
               {48, ENUMID153_VAL48_MNEMONIC, ENUMID153_VAL48_HELP},
               {49, ENUMID153_VAL49_MNEMONIC, ENUMID153_VAL49_HELP},
               {50, ENUMID153_VAL50_MNEMONIC, ENUMID153_VAL50_HELP},
               {51, ENUMID153_VAL51_MNEMONIC, ENUMID153_VAL51_HELP},
               {52, ENUMID153_VAL52_MNEMONIC, ENUMID153_VAL52_HELP},
               {53, ENUMID153_VAL53_MNEMONIC, ENUMID153_VAL53_HELP},
               {54, ENUMID153_VAL54_MNEMONIC, ENUMID153_VAL54_HELP},
               {55, ENUMID153_VAL55_MNEMONIC, ENUMID153_VAL55_HELP},
               {56, ENUMID153_VAL56_MNEMONIC, ENUMID153_VAL56_HELP},
               {57, ENUMID153_VAL57_MNEMONIC, ENUMID153_VAL57_HELP},
               {58, ENUMID153_VAL58_MNEMONIC, ENUMID153_VAL58_HELP},
               {59, ENUMID153_VAL59_MNEMONIC, ENUMID153_VAL59_HELP},
               {60, ENUMID153_VAL60_MNEMONIC, ENUMID153_VAL60_HELP},
               {61, ENUMID153_VAL61_MNEMONIC, ENUMID153_VAL61_HELP},
               {62, ENUMID153_VAL62_MNEMONIC, ENUMID153_VAL62_HELP},
               {63, ENUMID153_VAL63_MNEMONIC, ENUMID153_VAL63_HELP},
               {64, ENUMID153_VAL64_MNEMONIC, ENUMID153_VAL64_HELP},
               {65, ENUMID153_VAL65_MNEMONIC, ENUMID153_VAL65_HELP},
               {66, ENUMID153_VAL66_MNEMONIC, ENUMID153_VAL66_HELP},
               {67, ENUMID153_VAL67_MNEMONIC, ENUMID153_VAL67_HELP},
               {68, ENUMID153_VAL68_MNEMONIC, ENUMID153_VAL68_HELP},
               {69, ENUMID153_VAL69_MNEMONIC, ENUMID153_VAL69_HELP},
               {70, ENUMID153_VAL70_MNEMONIC, ENUMID153_VAL70_HELP},
               {71, ENUMID153_VAL71_MNEMONIC, ENUMID153_VAL71_HELP},
               {72, ENUMID153_VAL72_MNEMONIC, ENUMID153_VAL72_HELP},
               {73, ENUMID153_VAL73_MNEMONIC, ENUMID153_VAL73_HELP},
               {74, ENUMID153_VAL74_MNEMONIC, ENUMID153_VAL74_HELP},
               {75, ENUMID153_VAL75_MNEMONIC, ENUMID153_VAL75_HELP},
               {76, ENUMID153_VAL76_MNEMONIC, ENUMID153_VAL76_HELP},
               {77, ENUMID153_VAL77_MNEMONIC, ENUMID153_VAL77_HELP},
               {78, ENUMID153_VAL78_MNEMONIC, ENUMID153_VAL78_HELP},
               {79, ENUMID153_VAL79_MNEMONIC, ENUMID153_VAL79_HELP},
               {80, ENUMID153_VAL80_MNEMONIC, ENUMID153_VAL80_HELP},
               {81, ENUMID153_VAL81_MNEMONIC, ENUMID153_VAL81_HELP},
               {82, ENUMID153_VAL82_MNEMONIC, ENUMID153_VAL82_HELP},
               {83, ENUMID153_VAL83_MNEMONIC, ENUMID153_VAL83_HELP},
               {84, ENUMID153_VAL84_MNEMONIC, ENUMID153_VAL84_HELP},
               {85, ENUMID153_VAL85_MNEMONIC, ENUMID153_VAL85_HELP},
               {86, ENUMID153_VAL86_MNEMONIC, ENUMID153_VAL86_HELP},
               {87, ENUMID153_VAL87_MNEMONIC, ENUMID153_VAL87_HELP},
               {88, ENUMID153_VAL88_MNEMONIC, ENUMID153_VAL88_HELP},
               {89, ENUMID153_VAL89_MNEMONIC, ENUMID153_VAL89_HELP},
               {90, ENUMID153_VAL90_MNEMONIC, ENUMID153_VAL90_HELP},
               {91, ENUMID153_VAL91_MNEMONIC, ENUMID153_VAL91_HELP},
               {92, ENUMID153_VAL92_MNEMONIC, ENUMID153_VAL92_HELP},
               {93, ENUMID153_VAL93_MNEMONIC, ENUMID153_VAL93_HELP},
               {94, ENUMID153_VAL94_MNEMONIC, ENUMID153_VAL94_HELP},
               {95, ENUMID153_VAL95_MNEMONIC, ENUMID153_VAL95_HELP},
               {96, ENUMID153_VAL96_MNEMONIC, ENUMID153_VAL96_HELP},
               {97, ENUMID153_VAL97_MNEMONIC, ENUMID153_VAL97_HELP},
               {98, ENUMID153_VAL98_MNEMONIC, ENUMID153_VAL98_HELP},
               {99, ENUMID153_VAL99_MNEMONIC, ENUMID153_VAL99_HELP},
               {100, ENUMID153_VAL100_MNEMONIC, ENUMID153_VAL100_HELP},
               {101, ENUMID153_VAL101_MNEMONIC, ENUMID153_VAL101_HELP},
               {102, ENUMID153_VAL102_MNEMONIC, ENUMID153_VAL102_HELP},
               {103, ENUMID153_VAL103_MNEMONIC, ENUMID153_VAL103_HELP},
               {104, ENUMID153_VAL104_MNEMONIC, ENUMID153_VAL104_HELP},
               {105, ENUMID153_VAL105_MNEMONIC, ENUMID153_VAL105_HELP},
               {106, ENUMID153_VAL106_MNEMONIC, ENUMID153_VAL106_HELP},
               {107, ENUMID153_VAL107_MNEMONIC, ENUMID153_VAL107_HELP},
               {108, ENUMID153_VAL108_MNEMONIC, ENUMID153_VAL108_HELP},
               {109, ENUMID153_VAL109_MNEMONIC, ENUMID153_VAL109_HELP},
               {110, ENUMID153_VAL110_MNEMONIC, ENUMID153_VAL110_HELP},
               {111, ENUMID153_VAL111_MNEMONIC, ENUMID153_VAL111_HELP},
               {112, ENUMID153_VAL112_MNEMONIC, ENUMID153_VAL112_HELP},
               {113, ENUMID153_VAL113_MNEMONIC, ENUMID153_VAL113_HELP},
               {114, ENUMID153_VAL114_MNEMONIC, ENUMID153_VAL114_HELP},
               {115, ENUMID153_VAL115_MNEMONIC, ENUMID153_VAL115_HELP},
               {116, ENUMID153_VAL116_MNEMONIC, ENUMID153_VAL116_HELP},
               {117, ENUMID153_VAL117_MNEMONIC, ENUMID153_VAL117_HELP},
               {118, ENUMID153_VAL118_MNEMONIC, ENUMID153_VAL118_HELP},
               {119, ENUMID153_VAL119_MNEMONIC, ENUMID153_VAL119_HELP},
               {120, ENUMID153_VAL120_MNEMONIC, ENUMID153_VAL120_HELP},
               {121, ENUMID153_VAL121_MNEMONIC, ENUMID153_VAL121_HELP},
               {122, ENUMID153_VAL122_MNEMONIC, ENUMID153_VAL122_HELP},
               {123, ENUMID153_VAL123_MNEMONIC, ENUMID153_VAL123_HELP},
               {124, ENUMID153_VAL124_MNEMONIC, ENUMID153_VAL124_HELP},
               {125, ENUMID153_VAL125_MNEMONIC, ENUMID153_VAL125_HELP},
               {126, ENUMID153_VAL126_MNEMONIC, ENUMID153_VAL126_HELP},
               {127, ENUMID153_VAL127_MNEMONIC, ENUMID153_VAL127_HELP},
               {128, ENUMID153_VAL128_MNEMONIC, ENUMID153_VAL128_HELP},
               {129, ENUMID153_VAL129_MNEMONIC, ENUMID153_VAL129_HELP},
               {130, ENUMID153_VAL130_MNEMONIC, ENUMID153_VAL130_HELP},
               {131, ENUMID153_VAL131_MNEMONIC, ENUMID153_VAL131_HELP},
               {132, ENUMID153_VAL132_MNEMONIC, ENUMID153_VAL132_HELP},
               {133, ENUMID153_VAL133_MNEMONIC, ENUMID153_VAL133_HELP},
               {134, ENUMID153_VAL134_MNEMONIC, ENUMID153_VAL134_HELP},
               {135, ENUMID153_VAL135_MNEMONIC, ENUMID153_VAL135_HELP},
               {136, ENUMID153_VAL136_MNEMONIC, ENUMID153_VAL136_HELP},
               {137, ENUMID153_VAL137_MNEMONIC, ENUMID153_VAL137_HELP},
               {138, ENUMID153_VAL138_MNEMONIC, ENUMID153_VAL138_HELP},
               {139, ENUMID153_VAL139_MNEMONIC, ENUMID153_VAL139_HELP},
               {140, ENUMID153_VAL140_MNEMONIC, ENUMID153_VAL140_HELP},
               {141, ENUMID153_VAL141_MNEMONIC, ENUMID153_VAL141_HELP},
               {142, ENUMID153_VAL142_MNEMONIC, ENUMID153_VAL142_HELP},
               {143, ENUMID153_VAL143_MNEMONIC, ENUMID153_VAL143_HELP},
               {144, ENUMID153_VAL144_MNEMONIC, ENUMID153_VAL144_HELP},
               {145, ENUMID153_VAL145_MNEMONIC, ENUMID153_VAL145_HELP},
               {146, ENUMID153_VAL146_MNEMONIC, ENUMID153_VAL146_HELP},
               {147, ENUMID153_VAL147_MNEMONIC, ENUMID153_VAL147_HELP},
               {148, ENUMID153_VAL148_MNEMONIC, ENUMID153_VAL148_HELP},
               {149, ENUMID153_VAL149_MNEMONIC, ENUMID153_VAL149_HELP},
               {150, ENUMID153_VAL150_MNEMONIC, ENUMID153_VAL150_HELP},
               {151, ENUMID153_VAL151_MNEMONIC, ENUMID153_VAL151_HELP},
               {152, ENUMID153_VAL152_MNEMONIC, ENUMID153_VAL152_HELP},
               {153, ENUMID153_VAL153_MNEMONIC, ENUMID153_VAL153_HELP},
               {154, ENUMID153_VAL154_MNEMONIC, ENUMID153_VAL154_HELP},
               {155, ENUMID153_VAL155_MNEMONIC, ENUMID153_VAL155_HELP},
               {156, ENUMID153_VAL156_MNEMONIC, ENUMID153_VAL156_HELP},
               {157, ENUMID153_VAL157_MNEMONIC, ENUMID153_VAL157_HELP},
               {158, ENUMID153_VAL158_MNEMONIC, ENUMID153_VAL158_HELP},
               {159, ENUMID153_VAL159_MNEMONIC, ENUMID153_VAL159_HELP},
               {160, ENUMID153_VAL160_MNEMONIC, ENUMID153_VAL160_HELP},
               {161, ENUMID153_VAL161_MNEMONIC, ENUMID153_VAL161_HELP},
               {162, ENUMID153_VAL162_MNEMONIC, ENUMID153_VAL162_HELP},
               {163, ENUMID153_VAL163_MNEMONIC, ENUMID153_VAL163_HELP},
               {164, ENUMID153_VAL164_MNEMONIC, ENUMID153_VAL164_HELP},
               {165, ENUMID153_VAL165_MNEMONIC, ENUMID153_VAL165_HELP},
               {166, ENUMID153_VAL166_MNEMONIC, ENUMID153_VAL166_HELP},
               {167, ENUMID153_VAL167_MNEMONIC, ENUMID153_VAL167_HELP},
               {168, ENUMID153_VAL168_MNEMONIC, ENUMID153_VAL168_HELP},
               {169, ENUMID153_VAL169_MNEMONIC, ENUMID153_VAL169_HELP},
               {170, ENUMID153_VAL170_MNEMONIC, ENUMID153_VAL170_HELP},
               {171, ENUMID153_VAL171_MNEMONIC, ENUMID153_VAL171_HELP},
               {172, ENUMID153_VAL172_MNEMONIC, ENUMID153_VAL172_HELP},
               {173, ENUMID153_VAL173_MNEMONIC, ENUMID153_VAL173_HELP},
               {174, ENUMID153_VAL174_MNEMONIC, ENUMID153_VAL174_HELP},
               {175, ENUMID153_VAL175_MNEMONIC, ENUMID153_VAL175_HELP},
               {176, ENUMID153_VAL176_MNEMONIC, ENUMID153_VAL176_HELP},
               {177, ENUMID153_VAL177_MNEMONIC, ENUMID153_VAL177_HELP},
               {178, ENUMID153_VAL178_MNEMONIC, ENUMID153_VAL178_HELP},
               {179, ENUMID153_VAL179_MNEMONIC, ENUMID153_VAL179_HELP},
               {180, ENUMID153_VAL180_MNEMONIC, ENUMID153_VAL180_HELP},
               {181, ENUMID153_VAL181_MNEMONIC, ENUMID153_VAL181_HELP},
               {182, ENUMID153_VAL182_MNEMONIC, ENUMID153_VAL182_HELP},
               {183, ENUMID153_VAL183_MNEMONIC, ENUMID153_VAL183_HELP},
               {184, ENUMID153_VAL184_MNEMONIC, ENUMID153_VAL184_HELP},
               {185, ENUMID153_VAL185_MNEMONIC, ENUMID153_VAL185_HELP},
               {186, ENUMID153_VAL186_MNEMONIC, ENUMID153_VAL186_HELP},
               {187, ENUMID153_VAL187_MNEMONIC, ENUMID153_VAL187_HELP},
               {188, ENUMID153_VAL188_MNEMONIC, ENUMID153_VAL188_HELP},
               {189, ENUMID153_VAL189_MNEMONIC, ENUMID153_VAL189_HELP},
               {190, ENUMID153_VAL190_MNEMONIC, ENUMID153_VAL190_HELP},
               {191, ENUMID153_VAL191_MNEMONIC, ENUMID153_VAL191_HELP},
               {192, ENUMID153_VAL192_MNEMONIC, ENUMID153_VAL192_HELP},
               {193, ENUMID153_VAL193_MNEMONIC, ENUMID153_VAL193_HELP},
               {194, ENUMID153_VAL194_MNEMONIC, ENUMID153_VAL194_HELP},
               {195, ENUMID153_VAL195_MNEMONIC, ENUMID153_VAL195_HELP},
               {196, ENUMID153_VAL196_MNEMONIC, ENUMID153_VAL196_HELP},
               {197, ENUMID153_VAL197_MNEMONIC, ENUMID153_VAL197_HELP},
               {198, ENUMID153_VAL198_MNEMONIC, ENUMID153_VAL198_HELP},
               {199, ENUMID153_VAL199_MNEMONIC, ENUMID153_VAL199_HELP},
               {200, ENUMID153_VAL200_MNEMONIC, ENUMID153_VAL200_HELP},
               {201, ENUMID153_VAL201_MNEMONIC, ENUMID153_VAL201_HELP},
               {202, ENUMID153_VAL202_MNEMONIC, ENUMID153_VAL202_HELP},
               {203, ENUMID153_VAL203_MNEMONIC, ENUMID153_VAL203_HELP},
               {204, ENUMID153_VAL204_MNEMONIC, ENUMID153_VAL204_HELP},
               {205, ENUMID153_VAL205_MNEMONIC, ENUMID153_VAL205_HELP},
               {206, ENUMID153_VAL206_MNEMONIC, ENUMID153_VAL206_HELP},
               {207, ENUMID153_VAL207_MNEMONIC, ENUMID153_VAL207_HELP},
               {208, ENUMID153_VAL208_MNEMONIC, ENUMID153_VAL208_HELP},
               {209, ENUMID153_VAL209_MNEMONIC, ENUMID153_VAL209_HELP},
               {210, ENUMID153_VAL210_MNEMONIC, ENUMID153_VAL210_HELP},
               {211, ENUMID153_VAL211_MNEMONIC, ENUMID153_VAL211_HELP},
               {212, ENUMID153_VAL212_MNEMONIC, ENUMID153_VAL212_HELP},
               {213, ENUMID153_VAL213_MNEMONIC, ENUMID153_VAL213_HELP},
               {214, ENUMID153_VAL214_MNEMONIC, ENUMID153_VAL214_HELP},
               {215, ENUMID153_VAL215_MNEMONIC, ENUMID153_VAL215_HELP},
               {216, ENUMID153_VAL216_MNEMONIC, ENUMID153_VAL216_HELP},
               {217, ENUMID153_VAL217_MNEMONIC, ENUMID153_VAL217_HELP},
               {218, ENUMID153_VAL218_MNEMONIC, ENUMID153_VAL218_HELP},
               {219, ENUMID153_VAL219_MNEMONIC, ENUMID153_VAL219_HELP},
               {220, ENUMID153_VAL220_MNEMONIC, ENUMID153_VAL220_HELP},
               {221, ENUMID153_VAL221_MNEMONIC, ENUMID153_VAL221_HELP},
               {222, ENUMID153_VAL222_MNEMONIC, ENUMID153_VAL222_HELP},
               {223, ENUMID153_VAL223_MNEMONIC, ENUMID153_VAL223_HELP},
               {224, ENUMID153_VAL224_MNEMONIC, ENUMID153_VAL224_HELP},
               {225, ENUMID153_VAL225_MNEMONIC, ENUMID153_VAL225_HELP},
               {226, ENUMID153_VAL226_MNEMONIC, ENUMID153_VAL226_HELP},
               {227, ENUMID153_VAL227_MNEMONIC, ENUMID153_VAL227_HELP},
               {228, ENUMID153_VAL228_MNEMONIC, ENUMID153_VAL228_HELP},
               {229, ENUMID153_VAL229_MNEMONIC, ENUMID153_VAL229_HELP},
               {230, ENUMID153_VAL230_MNEMONIC, ENUMID153_VAL230_HELP},
               {231, ENUMID153_VAL231_MNEMONIC, ENUMID153_VAL231_HELP},
               {232, ENUMID153_VAL232_MNEMONIC, ENUMID153_VAL232_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P27_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B13);
               }
          }
}

VARIABLE M10_P28
{
          // Trip 8

          LABEL  M10_P28_LABEL;
          HELP  M10_P28_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID153_VAL0_MNEMONIC, ENUMID153_VAL0_HELP},
               {1, ENUMID153_VAL1_MNEMONIC, ENUMID153_VAL1_HELP},
               {2, ENUMID153_VAL2_MNEMONIC, ENUMID153_VAL2_HELP},
               {3, ENUMID153_VAL3_MNEMONIC, ENUMID153_VAL3_HELP},
               {4, ENUMID153_VAL4_MNEMONIC, ENUMID153_VAL4_HELP},
               {5, ENUMID153_VAL5_MNEMONIC, ENUMID153_VAL5_HELP},
               {6, ENUMID153_VAL6_MNEMONIC, ENUMID153_VAL6_HELP},
               {7, ENUMID153_VAL7_MNEMONIC, ENUMID153_VAL7_HELP},
               {8, ENUMID153_VAL8_MNEMONIC, ENUMID153_VAL8_HELP},
               {9, ENUMID153_VAL9_MNEMONIC, ENUMID153_VAL9_HELP},
               {10, ENUMID153_VAL10_MNEMONIC, ENUMID153_VAL10_HELP},
               {11, ENUMID153_VAL11_MNEMONIC, ENUMID153_VAL11_HELP},
               {12, ENUMID153_VAL12_MNEMONIC, ENUMID153_VAL12_HELP},
               {13, ENUMID153_VAL13_MNEMONIC, ENUMID153_VAL13_HELP},
               {14, ENUMID153_VAL14_MNEMONIC, ENUMID153_VAL14_HELP},
               {15, ENUMID153_VAL15_MNEMONIC, ENUMID153_VAL15_HELP},
               {16, ENUMID153_VAL16_MNEMONIC, ENUMID153_VAL16_HELP},
               {17, ENUMID153_VAL17_MNEMONIC, ENUMID153_VAL17_HELP},
               {18, ENUMID153_VAL18_MNEMONIC, ENUMID153_VAL18_HELP},
               {19, ENUMID153_VAL19_MNEMONIC, ENUMID153_VAL19_HELP},
               {20, ENUMID153_VAL20_MNEMONIC, ENUMID153_VAL20_HELP},
               {21, ENUMID153_VAL21_MNEMONIC, ENUMID153_VAL21_HELP},
               {22, ENUMID153_VAL22_MNEMONIC, ENUMID153_VAL22_HELP},
               {23, ENUMID153_VAL23_MNEMONIC, ENUMID153_VAL23_HELP},
               {24, ENUMID153_VAL24_MNEMONIC, ENUMID153_VAL24_HELP},
               {25, ENUMID153_VAL25_MNEMONIC, ENUMID153_VAL25_HELP},
               {26, ENUMID153_VAL26_MNEMONIC, ENUMID153_VAL26_HELP},
               {27, ENUMID153_VAL27_MNEMONIC, ENUMID153_VAL27_HELP},
               {28, ENUMID153_VAL28_MNEMONIC, ENUMID153_VAL28_HELP},
               {29, ENUMID153_VAL29_MNEMONIC, ENUMID153_VAL29_HELP},
               {30, ENUMID153_VAL30_MNEMONIC, ENUMID153_VAL30_HELP},
               {31, ENUMID153_VAL31_MNEMONIC, ENUMID153_VAL31_HELP},
               {32, ENUMID153_VAL32_MNEMONIC, ENUMID153_VAL32_HELP},
               {33, ENUMID153_VAL33_MNEMONIC, ENUMID153_VAL33_HELP},
               {34, ENUMID153_VAL34_MNEMONIC, ENUMID153_VAL34_HELP},
               {35, ENUMID153_VAL35_MNEMONIC, ENUMID153_VAL35_HELP},
               {36, ENUMID153_VAL36_MNEMONIC, ENUMID153_VAL36_HELP},
               {37, ENUMID153_VAL37_MNEMONIC, ENUMID153_VAL37_HELP},
               {38, ENUMID153_VAL38_MNEMONIC, ENUMID153_VAL38_HELP},
               {39, ENUMID153_VAL39_MNEMONIC, ENUMID153_VAL39_HELP},
               {40, ENUMID153_VAL40_MNEMONIC, ENUMID153_VAL40_HELP},
               {41, ENUMID153_VAL41_MNEMONIC, ENUMID153_VAL41_HELP},
               {42, ENUMID153_VAL42_MNEMONIC, ENUMID153_VAL42_HELP},
               {43, ENUMID153_VAL43_MNEMONIC, ENUMID153_VAL43_HELP},
               {44, ENUMID153_VAL44_MNEMONIC, ENUMID153_VAL44_HELP},
               {45, ENUMID153_VAL45_MNEMONIC, ENUMID153_VAL45_HELP},
               {46, ENUMID153_VAL46_MNEMONIC, ENUMID153_VAL46_HELP},
               {47, ENUMID153_VAL47_MNEMONIC, ENUMID153_VAL47_HELP},
               {48, ENUMID153_VAL48_MNEMONIC, ENUMID153_VAL48_HELP},
               {49, ENUMID153_VAL49_MNEMONIC, ENUMID153_VAL49_HELP},
               {50, ENUMID153_VAL50_MNEMONIC, ENUMID153_VAL50_HELP},
               {51, ENUMID153_VAL51_MNEMONIC, ENUMID153_VAL51_HELP},
               {52, ENUMID153_VAL52_MNEMONIC, ENUMID153_VAL52_HELP},
               {53, ENUMID153_VAL53_MNEMONIC, ENUMID153_VAL53_HELP},
               {54, ENUMID153_VAL54_MNEMONIC, ENUMID153_VAL54_HELP},
               {55, ENUMID153_VAL55_MNEMONIC, ENUMID153_VAL55_HELP},
               {56, ENUMID153_VAL56_MNEMONIC, ENUMID153_VAL56_HELP},
               {57, ENUMID153_VAL57_MNEMONIC, ENUMID153_VAL57_HELP},
               {58, ENUMID153_VAL58_MNEMONIC, ENUMID153_VAL58_HELP},
               {59, ENUMID153_VAL59_MNEMONIC, ENUMID153_VAL59_HELP},
               {60, ENUMID153_VAL60_MNEMONIC, ENUMID153_VAL60_HELP},
               {61, ENUMID153_VAL61_MNEMONIC, ENUMID153_VAL61_HELP},
               {62, ENUMID153_VAL62_MNEMONIC, ENUMID153_VAL62_HELP},
               {63, ENUMID153_VAL63_MNEMONIC, ENUMID153_VAL63_HELP},
               {64, ENUMID153_VAL64_MNEMONIC, ENUMID153_VAL64_HELP},
               {65, ENUMID153_VAL65_MNEMONIC, ENUMID153_VAL65_HELP},
               {66, ENUMID153_VAL66_MNEMONIC, ENUMID153_VAL66_HELP},
               {67, ENUMID153_VAL67_MNEMONIC, ENUMID153_VAL67_HELP},
               {68, ENUMID153_VAL68_MNEMONIC, ENUMID153_VAL68_HELP},
               {69, ENUMID153_VAL69_MNEMONIC, ENUMID153_VAL69_HELP},
               {70, ENUMID153_VAL70_MNEMONIC, ENUMID153_VAL70_HELP},
               {71, ENUMID153_VAL71_MNEMONIC, ENUMID153_VAL71_HELP},
               {72, ENUMID153_VAL72_MNEMONIC, ENUMID153_VAL72_HELP},
               {73, ENUMID153_VAL73_MNEMONIC, ENUMID153_VAL73_HELP},
               {74, ENUMID153_VAL74_MNEMONIC, ENUMID153_VAL74_HELP},
               {75, ENUMID153_VAL75_MNEMONIC, ENUMID153_VAL75_HELP},
               {76, ENUMID153_VAL76_MNEMONIC, ENUMID153_VAL76_HELP},
               {77, ENUMID153_VAL77_MNEMONIC, ENUMID153_VAL77_HELP},
               {78, ENUMID153_VAL78_MNEMONIC, ENUMID153_VAL78_HELP},
               {79, ENUMID153_VAL79_MNEMONIC, ENUMID153_VAL79_HELP},
               {80, ENUMID153_VAL80_MNEMONIC, ENUMID153_VAL80_HELP},
               {81, ENUMID153_VAL81_MNEMONIC, ENUMID153_VAL81_HELP},
               {82, ENUMID153_VAL82_MNEMONIC, ENUMID153_VAL82_HELP},
               {83, ENUMID153_VAL83_MNEMONIC, ENUMID153_VAL83_HELP},
               {84, ENUMID153_VAL84_MNEMONIC, ENUMID153_VAL84_HELP},
               {85, ENUMID153_VAL85_MNEMONIC, ENUMID153_VAL85_HELP},
               {86, ENUMID153_VAL86_MNEMONIC, ENUMID153_VAL86_HELP},
               {87, ENUMID153_VAL87_MNEMONIC, ENUMID153_VAL87_HELP},
               {88, ENUMID153_VAL88_MNEMONIC, ENUMID153_VAL88_HELP},
               {89, ENUMID153_VAL89_MNEMONIC, ENUMID153_VAL89_HELP},
               {90, ENUMID153_VAL90_MNEMONIC, ENUMID153_VAL90_HELP},
               {91, ENUMID153_VAL91_MNEMONIC, ENUMID153_VAL91_HELP},
               {92, ENUMID153_VAL92_MNEMONIC, ENUMID153_VAL92_HELP},
               {93, ENUMID153_VAL93_MNEMONIC, ENUMID153_VAL93_HELP},
               {94, ENUMID153_VAL94_MNEMONIC, ENUMID153_VAL94_HELP},
               {95, ENUMID153_VAL95_MNEMONIC, ENUMID153_VAL95_HELP},
               {96, ENUMID153_VAL96_MNEMONIC, ENUMID153_VAL96_HELP},
               {97, ENUMID153_VAL97_MNEMONIC, ENUMID153_VAL97_HELP},
               {98, ENUMID153_VAL98_MNEMONIC, ENUMID153_VAL98_HELP},
               {99, ENUMID153_VAL99_MNEMONIC, ENUMID153_VAL99_HELP},
               {100, ENUMID153_VAL100_MNEMONIC, ENUMID153_VAL100_HELP},
               {101, ENUMID153_VAL101_MNEMONIC, ENUMID153_VAL101_HELP},
               {102, ENUMID153_VAL102_MNEMONIC, ENUMID153_VAL102_HELP},
               {103, ENUMID153_VAL103_MNEMONIC, ENUMID153_VAL103_HELP},
               {104, ENUMID153_VAL104_MNEMONIC, ENUMID153_VAL104_HELP},
               {105, ENUMID153_VAL105_MNEMONIC, ENUMID153_VAL105_HELP},
               {106, ENUMID153_VAL106_MNEMONIC, ENUMID153_VAL106_HELP},
               {107, ENUMID153_VAL107_MNEMONIC, ENUMID153_VAL107_HELP},
               {108, ENUMID153_VAL108_MNEMONIC, ENUMID153_VAL108_HELP},
               {109, ENUMID153_VAL109_MNEMONIC, ENUMID153_VAL109_HELP},
               {110, ENUMID153_VAL110_MNEMONIC, ENUMID153_VAL110_HELP},
               {111, ENUMID153_VAL111_MNEMONIC, ENUMID153_VAL111_HELP},
               {112, ENUMID153_VAL112_MNEMONIC, ENUMID153_VAL112_HELP},
               {113, ENUMID153_VAL113_MNEMONIC, ENUMID153_VAL113_HELP},
               {114, ENUMID153_VAL114_MNEMONIC, ENUMID153_VAL114_HELP},
               {115, ENUMID153_VAL115_MNEMONIC, ENUMID153_VAL115_HELP},
               {116, ENUMID153_VAL116_MNEMONIC, ENUMID153_VAL116_HELP},
               {117, ENUMID153_VAL117_MNEMONIC, ENUMID153_VAL117_HELP},
               {118, ENUMID153_VAL118_MNEMONIC, ENUMID153_VAL118_HELP},
               {119, ENUMID153_VAL119_MNEMONIC, ENUMID153_VAL119_HELP},
               {120, ENUMID153_VAL120_MNEMONIC, ENUMID153_VAL120_HELP},
               {121, ENUMID153_VAL121_MNEMONIC, ENUMID153_VAL121_HELP},
               {122, ENUMID153_VAL122_MNEMONIC, ENUMID153_VAL122_HELP},
               {123, ENUMID153_VAL123_MNEMONIC, ENUMID153_VAL123_HELP},
               {124, ENUMID153_VAL124_MNEMONIC, ENUMID153_VAL124_HELP},
               {125, ENUMID153_VAL125_MNEMONIC, ENUMID153_VAL125_HELP},
               {126, ENUMID153_VAL126_MNEMONIC, ENUMID153_VAL126_HELP},
               {127, ENUMID153_VAL127_MNEMONIC, ENUMID153_VAL127_HELP},
               {128, ENUMID153_VAL128_MNEMONIC, ENUMID153_VAL128_HELP},
               {129, ENUMID153_VAL129_MNEMONIC, ENUMID153_VAL129_HELP},
               {130, ENUMID153_VAL130_MNEMONIC, ENUMID153_VAL130_HELP},
               {131, ENUMID153_VAL131_MNEMONIC, ENUMID153_VAL131_HELP},
               {132, ENUMID153_VAL132_MNEMONIC, ENUMID153_VAL132_HELP},
               {133, ENUMID153_VAL133_MNEMONIC, ENUMID153_VAL133_HELP},
               {134, ENUMID153_VAL134_MNEMONIC, ENUMID153_VAL134_HELP},
               {135, ENUMID153_VAL135_MNEMONIC, ENUMID153_VAL135_HELP},
               {136, ENUMID153_VAL136_MNEMONIC, ENUMID153_VAL136_HELP},
               {137, ENUMID153_VAL137_MNEMONIC, ENUMID153_VAL137_HELP},
               {138, ENUMID153_VAL138_MNEMONIC, ENUMID153_VAL138_HELP},
               {139, ENUMID153_VAL139_MNEMONIC, ENUMID153_VAL139_HELP},
               {140, ENUMID153_VAL140_MNEMONIC, ENUMID153_VAL140_HELP},
               {141, ENUMID153_VAL141_MNEMONIC, ENUMID153_VAL141_HELP},
               {142, ENUMID153_VAL142_MNEMONIC, ENUMID153_VAL142_HELP},
               {143, ENUMID153_VAL143_MNEMONIC, ENUMID153_VAL143_HELP},
               {144, ENUMID153_VAL144_MNEMONIC, ENUMID153_VAL144_HELP},
               {145, ENUMID153_VAL145_MNEMONIC, ENUMID153_VAL145_HELP},
               {146, ENUMID153_VAL146_MNEMONIC, ENUMID153_VAL146_HELP},
               {147, ENUMID153_VAL147_MNEMONIC, ENUMID153_VAL147_HELP},
               {148, ENUMID153_VAL148_MNEMONIC, ENUMID153_VAL148_HELP},
               {149, ENUMID153_VAL149_MNEMONIC, ENUMID153_VAL149_HELP},
               {150, ENUMID153_VAL150_MNEMONIC, ENUMID153_VAL150_HELP},
               {151, ENUMID153_VAL151_MNEMONIC, ENUMID153_VAL151_HELP},
               {152, ENUMID153_VAL152_MNEMONIC, ENUMID153_VAL152_HELP},
               {153, ENUMID153_VAL153_MNEMONIC, ENUMID153_VAL153_HELP},
               {154, ENUMID153_VAL154_MNEMONIC, ENUMID153_VAL154_HELP},
               {155, ENUMID153_VAL155_MNEMONIC, ENUMID153_VAL155_HELP},
               {156, ENUMID153_VAL156_MNEMONIC, ENUMID153_VAL156_HELP},
               {157, ENUMID153_VAL157_MNEMONIC, ENUMID153_VAL157_HELP},
               {158, ENUMID153_VAL158_MNEMONIC, ENUMID153_VAL158_HELP},
               {159, ENUMID153_VAL159_MNEMONIC, ENUMID153_VAL159_HELP},
               {160, ENUMID153_VAL160_MNEMONIC, ENUMID153_VAL160_HELP},
               {161, ENUMID153_VAL161_MNEMONIC, ENUMID153_VAL161_HELP},
               {162, ENUMID153_VAL162_MNEMONIC, ENUMID153_VAL162_HELP},
               {163, ENUMID153_VAL163_MNEMONIC, ENUMID153_VAL163_HELP},
               {164, ENUMID153_VAL164_MNEMONIC, ENUMID153_VAL164_HELP},
               {165, ENUMID153_VAL165_MNEMONIC, ENUMID153_VAL165_HELP},
               {166, ENUMID153_VAL166_MNEMONIC, ENUMID153_VAL166_HELP},
               {167, ENUMID153_VAL167_MNEMONIC, ENUMID153_VAL167_HELP},
               {168, ENUMID153_VAL168_MNEMONIC, ENUMID153_VAL168_HELP},
               {169, ENUMID153_VAL169_MNEMONIC, ENUMID153_VAL169_HELP},
               {170, ENUMID153_VAL170_MNEMONIC, ENUMID153_VAL170_HELP},
               {171, ENUMID153_VAL171_MNEMONIC, ENUMID153_VAL171_HELP},
               {172, ENUMID153_VAL172_MNEMONIC, ENUMID153_VAL172_HELP},
               {173, ENUMID153_VAL173_MNEMONIC, ENUMID153_VAL173_HELP},
               {174, ENUMID153_VAL174_MNEMONIC, ENUMID153_VAL174_HELP},
               {175, ENUMID153_VAL175_MNEMONIC, ENUMID153_VAL175_HELP},
               {176, ENUMID153_VAL176_MNEMONIC, ENUMID153_VAL176_HELP},
               {177, ENUMID153_VAL177_MNEMONIC, ENUMID153_VAL177_HELP},
               {178, ENUMID153_VAL178_MNEMONIC, ENUMID153_VAL178_HELP},
               {179, ENUMID153_VAL179_MNEMONIC, ENUMID153_VAL179_HELP},
               {180, ENUMID153_VAL180_MNEMONIC, ENUMID153_VAL180_HELP},
               {181, ENUMID153_VAL181_MNEMONIC, ENUMID153_VAL181_HELP},
               {182, ENUMID153_VAL182_MNEMONIC, ENUMID153_VAL182_HELP},
               {183, ENUMID153_VAL183_MNEMONIC, ENUMID153_VAL183_HELP},
               {184, ENUMID153_VAL184_MNEMONIC, ENUMID153_VAL184_HELP},
               {185, ENUMID153_VAL185_MNEMONIC, ENUMID153_VAL185_HELP},
               {186, ENUMID153_VAL186_MNEMONIC, ENUMID153_VAL186_HELP},
               {187, ENUMID153_VAL187_MNEMONIC, ENUMID153_VAL187_HELP},
               {188, ENUMID153_VAL188_MNEMONIC, ENUMID153_VAL188_HELP},
               {189, ENUMID153_VAL189_MNEMONIC, ENUMID153_VAL189_HELP},
               {190, ENUMID153_VAL190_MNEMONIC, ENUMID153_VAL190_HELP},
               {191, ENUMID153_VAL191_MNEMONIC, ENUMID153_VAL191_HELP},
               {192, ENUMID153_VAL192_MNEMONIC, ENUMID153_VAL192_HELP},
               {193, ENUMID153_VAL193_MNEMONIC, ENUMID153_VAL193_HELP},
               {194, ENUMID153_VAL194_MNEMONIC, ENUMID153_VAL194_HELP},
               {195, ENUMID153_VAL195_MNEMONIC, ENUMID153_VAL195_HELP},
               {196, ENUMID153_VAL196_MNEMONIC, ENUMID153_VAL196_HELP},
               {197, ENUMID153_VAL197_MNEMONIC, ENUMID153_VAL197_HELP},
               {198, ENUMID153_VAL198_MNEMONIC, ENUMID153_VAL198_HELP},
               {199, ENUMID153_VAL199_MNEMONIC, ENUMID153_VAL199_HELP},
               {200, ENUMID153_VAL200_MNEMONIC, ENUMID153_VAL200_HELP},
               {201, ENUMID153_VAL201_MNEMONIC, ENUMID153_VAL201_HELP},
               {202, ENUMID153_VAL202_MNEMONIC, ENUMID153_VAL202_HELP},
               {203, ENUMID153_VAL203_MNEMONIC, ENUMID153_VAL203_HELP},
               {204, ENUMID153_VAL204_MNEMONIC, ENUMID153_VAL204_HELP},
               {205, ENUMID153_VAL205_MNEMONIC, ENUMID153_VAL205_HELP},
               {206, ENUMID153_VAL206_MNEMONIC, ENUMID153_VAL206_HELP},
               {207, ENUMID153_VAL207_MNEMONIC, ENUMID153_VAL207_HELP},
               {208, ENUMID153_VAL208_MNEMONIC, ENUMID153_VAL208_HELP},
               {209, ENUMID153_VAL209_MNEMONIC, ENUMID153_VAL209_HELP},
               {210, ENUMID153_VAL210_MNEMONIC, ENUMID153_VAL210_HELP},
               {211, ENUMID153_VAL211_MNEMONIC, ENUMID153_VAL211_HELP},
               {212, ENUMID153_VAL212_MNEMONIC, ENUMID153_VAL212_HELP},
               {213, ENUMID153_VAL213_MNEMONIC, ENUMID153_VAL213_HELP},
               {214, ENUMID153_VAL214_MNEMONIC, ENUMID153_VAL214_HELP},
               {215, ENUMID153_VAL215_MNEMONIC, ENUMID153_VAL215_HELP},
               {216, ENUMID153_VAL216_MNEMONIC, ENUMID153_VAL216_HELP},
               {217, ENUMID153_VAL217_MNEMONIC, ENUMID153_VAL217_HELP},
               {218, ENUMID153_VAL218_MNEMONIC, ENUMID153_VAL218_HELP},
               {219, ENUMID153_VAL219_MNEMONIC, ENUMID153_VAL219_HELP},
               {220, ENUMID153_VAL220_MNEMONIC, ENUMID153_VAL220_HELP},
               {221, ENUMID153_VAL221_MNEMONIC, ENUMID153_VAL221_HELP},
               {222, ENUMID153_VAL222_MNEMONIC, ENUMID153_VAL222_HELP},
               {223, ENUMID153_VAL223_MNEMONIC, ENUMID153_VAL223_HELP},
               {224, ENUMID153_VAL224_MNEMONIC, ENUMID153_VAL224_HELP},
               {225, ENUMID153_VAL225_MNEMONIC, ENUMID153_VAL225_HELP},
               {226, ENUMID153_VAL226_MNEMONIC, ENUMID153_VAL226_HELP},
               {227, ENUMID153_VAL227_MNEMONIC, ENUMID153_VAL227_HELP},
               {228, ENUMID153_VAL228_MNEMONIC, ENUMID153_VAL228_HELP},
               {229, ENUMID153_VAL229_MNEMONIC, ENUMID153_VAL229_HELP},
               {230, ENUMID153_VAL230_MNEMONIC, ENUMID153_VAL230_HELP},
               {231, ENUMID153_VAL231_MNEMONIC, ENUMID153_VAL231_HELP},
               {232, ENUMID153_VAL232_MNEMONIC, ENUMID153_VAL232_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P28_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B14);
               }
          }
}

VARIABLE M10_P29
{
          // Trip 9

          LABEL  M10_P29_LABEL;
          HELP  M10_P29_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID153_VAL0_MNEMONIC, ENUMID153_VAL0_HELP},
               {1, ENUMID153_VAL1_MNEMONIC, ENUMID153_VAL1_HELP},
               {2, ENUMID153_VAL2_MNEMONIC, ENUMID153_VAL2_HELP},
               {3, ENUMID153_VAL3_MNEMONIC, ENUMID153_VAL3_HELP},
               {4, ENUMID153_VAL4_MNEMONIC, ENUMID153_VAL4_HELP},
               {5, ENUMID153_VAL5_MNEMONIC, ENUMID153_VAL5_HELP},
               {6, ENUMID153_VAL6_MNEMONIC, ENUMID153_VAL6_HELP},
               {7, ENUMID153_VAL7_MNEMONIC, ENUMID153_VAL7_HELP},
               {8, ENUMID153_VAL8_MNEMONIC, ENUMID153_VAL8_HELP},
               {9, ENUMID153_VAL9_MNEMONIC, ENUMID153_VAL9_HELP},
               {10, ENUMID153_VAL10_MNEMONIC, ENUMID153_VAL10_HELP},
               {11, ENUMID153_VAL11_MNEMONIC, ENUMID153_VAL11_HELP},
               {12, ENUMID153_VAL12_MNEMONIC, ENUMID153_VAL12_HELP},
               {13, ENUMID153_VAL13_MNEMONIC, ENUMID153_VAL13_HELP},
               {14, ENUMID153_VAL14_MNEMONIC, ENUMID153_VAL14_HELP},
               {15, ENUMID153_VAL15_MNEMONIC, ENUMID153_VAL15_HELP},
               {16, ENUMID153_VAL16_MNEMONIC, ENUMID153_VAL16_HELP},
               {17, ENUMID153_VAL17_MNEMONIC, ENUMID153_VAL17_HELP},
               {18, ENUMID153_VAL18_MNEMONIC, ENUMID153_VAL18_HELP},
               {19, ENUMID153_VAL19_MNEMONIC, ENUMID153_VAL19_HELP},
               {20, ENUMID153_VAL20_MNEMONIC, ENUMID153_VAL20_HELP},
               {21, ENUMID153_VAL21_MNEMONIC, ENUMID153_VAL21_HELP},
               {22, ENUMID153_VAL22_MNEMONIC, ENUMID153_VAL22_HELP},
               {23, ENUMID153_VAL23_MNEMONIC, ENUMID153_VAL23_HELP},
               {24, ENUMID153_VAL24_MNEMONIC, ENUMID153_VAL24_HELP},
               {25, ENUMID153_VAL25_MNEMONIC, ENUMID153_VAL25_HELP},
               {26, ENUMID153_VAL26_MNEMONIC, ENUMID153_VAL26_HELP},
               {27, ENUMID153_VAL27_MNEMONIC, ENUMID153_VAL27_HELP},
               {28, ENUMID153_VAL28_MNEMONIC, ENUMID153_VAL28_HELP},
               {29, ENUMID153_VAL29_MNEMONIC, ENUMID153_VAL29_HELP},
               {30, ENUMID153_VAL30_MNEMONIC, ENUMID153_VAL30_HELP},
               {31, ENUMID153_VAL31_MNEMONIC, ENUMID153_VAL31_HELP},
               {32, ENUMID153_VAL32_MNEMONIC, ENUMID153_VAL32_HELP},
               {33, ENUMID153_VAL33_MNEMONIC, ENUMID153_VAL33_HELP},
               {34, ENUMID153_VAL34_MNEMONIC, ENUMID153_VAL34_HELP},
               {35, ENUMID153_VAL35_MNEMONIC, ENUMID153_VAL35_HELP},
               {36, ENUMID153_VAL36_MNEMONIC, ENUMID153_VAL36_HELP},
               {37, ENUMID153_VAL37_MNEMONIC, ENUMID153_VAL37_HELP},
               {38, ENUMID153_VAL38_MNEMONIC, ENUMID153_VAL38_HELP},
               {39, ENUMID153_VAL39_MNEMONIC, ENUMID153_VAL39_HELP},
               {40, ENUMID153_VAL40_MNEMONIC, ENUMID153_VAL40_HELP},
               {41, ENUMID153_VAL41_MNEMONIC, ENUMID153_VAL41_HELP},
               {42, ENUMID153_VAL42_MNEMONIC, ENUMID153_VAL42_HELP},
               {43, ENUMID153_VAL43_MNEMONIC, ENUMID153_VAL43_HELP},
               {44, ENUMID153_VAL44_MNEMONIC, ENUMID153_VAL44_HELP},
               {45, ENUMID153_VAL45_MNEMONIC, ENUMID153_VAL45_HELP},
               {46, ENUMID153_VAL46_MNEMONIC, ENUMID153_VAL46_HELP},
               {47, ENUMID153_VAL47_MNEMONIC, ENUMID153_VAL47_HELP},
               {48, ENUMID153_VAL48_MNEMONIC, ENUMID153_VAL48_HELP},
               {49, ENUMID153_VAL49_MNEMONIC, ENUMID153_VAL49_HELP},
               {50, ENUMID153_VAL50_MNEMONIC, ENUMID153_VAL50_HELP},
               {51, ENUMID153_VAL51_MNEMONIC, ENUMID153_VAL51_HELP},
               {52, ENUMID153_VAL52_MNEMONIC, ENUMID153_VAL52_HELP},
               {53, ENUMID153_VAL53_MNEMONIC, ENUMID153_VAL53_HELP},
               {54, ENUMID153_VAL54_MNEMONIC, ENUMID153_VAL54_HELP},
               {55, ENUMID153_VAL55_MNEMONIC, ENUMID153_VAL55_HELP},
               {56, ENUMID153_VAL56_MNEMONIC, ENUMID153_VAL56_HELP},
               {57, ENUMID153_VAL57_MNEMONIC, ENUMID153_VAL57_HELP},
               {58, ENUMID153_VAL58_MNEMONIC, ENUMID153_VAL58_HELP},
               {59, ENUMID153_VAL59_MNEMONIC, ENUMID153_VAL59_HELP},
               {60, ENUMID153_VAL60_MNEMONIC, ENUMID153_VAL60_HELP},
               {61, ENUMID153_VAL61_MNEMONIC, ENUMID153_VAL61_HELP},
               {62, ENUMID153_VAL62_MNEMONIC, ENUMID153_VAL62_HELP},
               {63, ENUMID153_VAL63_MNEMONIC, ENUMID153_VAL63_HELP},
               {64, ENUMID153_VAL64_MNEMONIC, ENUMID153_VAL64_HELP},
               {65, ENUMID153_VAL65_MNEMONIC, ENUMID153_VAL65_HELP},
               {66, ENUMID153_VAL66_MNEMONIC, ENUMID153_VAL66_HELP},
               {67, ENUMID153_VAL67_MNEMONIC, ENUMID153_VAL67_HELP},
               {68, ENUMID153_VAL68_MNEMONIC, ENUMID153_VAL68_HELP},
               {69, ENUMID153_VAL69_MNEMONIC, ENUMID153_VAL69_HELP},
               {70, ENUMID153_VAL70_MNEMONIC, ENUMID153_VAL70_HELP},
               {71, ENUMID153_VAL71_MNEMONIC, ENUMID153_VAL71_HELP},
               {72, ENUMID153_VAL72_MNEMONIC, ENUMID153_VAL72_HELP},
               {73, ENUMID153_VAL73_MNEMONIC, ENUMID153_VAL73_HELP},
               {74, ENUMID153_VAL74_MNEMONIC, ENUMID153_VAL74_HELP},
               {75, ENUMID153_VAL75_MNEMONIC, ENUMID153_VAL75_HELP},
               {76, ENUMID153_VAL76_MNEMONIC, ENUMID153_VAL76_HELP},
               {77, ENUMID153_VAL77_MNEMONIC, ENUMID153_VAL77_HELP},
               {78, ENUMID153_VAL78_MNEMONIC, ENUMID153_VAL78_HELP},
               {79, ENUMID153_VAL79_MNEMONIC, ENUMID153_VAL79_HELP},
               {80, ENUMID153_VAL80_MNEMONIC, ENUMID153_VAL80_HELP},
               {81, ENUMID153_VAL81_MNEMONIC, ENUMID153_VAL81_HELP},
               {82, ENUMID153_VAL82_MNEMONIC, ENUMID153_VAL82_HELP},
               {83, ENUMID153_VAL83_MNEMONIC, ENUMID153_VAL83_HELP},
               {84, ENUMID153_VAL84_MNEMONIC, ENUMID153_VAL84_HELP},
               {85, ENUMID153_VAL85_MNEMONIC, ENUMID153_VAL85_HELP},
               {86, ENUMID153_VAL86_MNEMONIC, ENUMID153_VAL86_HELP},
               {87, ENUMID153_VAL87_MNEMONIC, ENUMID153_VAL87_HELP},
               {88, ENUMID153_VAL88_MNEMONIC, ENUMID153_VAL88_HELP},
               {89, ENUMID153_VAL89_MNEMONIC, ENUMID153_VAL89_HELP},
               {90, ENUMID153_VAL90_MNEMONIC, ENUMID153_VAL90_HELP},
               {91, ENUMID153_VAL91_MNEMONIC, ENUMID153_VAL91_HELP},
               {92, ENUMID153_VAL92_MNEMONIC, ENUMID153_VAL92_HELP},
               {93, ENUMID153_VAL93_MNEMONIC, ENUMID153_VAL93_HELP},
               {94, ENUMID153_VAL94_MNEMONIC, ENUMID153_VAL94_HELP},
               {95, ENUMID153_VAL95_MNEMONIC, ENUMID153_VAL95_HELP},
               {96, ENUMID153_VAL96_MNEMONIC, ENUMID153_VAL96_HELP},
               {97, ENUMID153_VAL97_MNEMONIC, ENUMID153_VAL97_HELP},
               {98, ENUMID153_VAL98_MNEMONIC, ENUMID153_VAL98_HELP},
               {99, ENUMID153_VAL99_MNEMONIC, ENUMID153_VAL99_HELP},
               {100, ENUMID153_VAL100_MNEMONIC, ENUMID153_VAL100_HELP},
               {101, ENUMID153_VAL101_MNEMONIC, ENUMID153_VAL101_HELP},
               {102, ENUMID153_VAL102_MNEMONIC, ENUMID153_VAL102_HELP},
               {103, ENUMID153_VAL103_MNEMONIC, ENUMID153_VAL103_HELP},
               {104, ENUMID153_VAL104_MNEMONIC, ENUMID153_VAL104_HELP},
               {105, ENUMID153_VAL105_MNEMONIC, ENUMID153_VAL105_HELP},
               {106, ENUMID153_VAL106_MNEMONIC, ENUMID153_VAL106_HELP},
               {107, ENUMID153_VAL107_MNEMONIC, ENUMID153_VAL107_HELP},
               {108, ENUMID153_VAL108_MNEMONIC, ENUMID153_VAL108_HELP},
               {109, ENUMID153_VAL109_MNEMONIC, ENUMID153_VAL109_HELP},
               {110, ENUMID153_VAL110_MNEMONIC, ENUMID153_VAL110_HELP},
               {111, ENUMID153_VAL111_MNEMONIC, ENUMID153_VAL111_HELP},
               {112, ENUMID153_VAL112_MNEMONIC, ENUMID153_VAL112_HELP},
               {113, ENUMID153_VAL113_MNEMONIC, ENUMID153_VAL113_HELP},
               {114, ENUMID153_VAL114_MNEMONIC, ENUMID153_VAL114_HELP},
               {115, ENUMID153_VAL115_MNEMONIC, ENUMID153_VAL115_HELP},
               {116, ENUMID153_VAL116_MNEMONIC, ENUMID153_VAL116_HELP},
               {117, ENUMID153_VAL117_MNEMONIC, ENUMID153_VAL117_HELP},
               {118, ENUMID153_VAL118_MNEMONIC, ENUMID153_VAL118_HELP},
               {119, ENUMID153_VAL119_MNEMONIC, ENUMID153_VAL119_HELP},
               {120, ENUMID153_VAL120_MNEMONIC, ENUMID153_VAL120_HELP},
               {121, ENUMID153_VAL121_MNEMONIC, ENUMID153_VAL121_HELP},
               {122, ENUMID153_VAL122_MNEMONIC, ENUMID153_VAL122_HELP},
               {123, ENUMID153_VAL123_MNEMONIC, ENUMID153_VAL123_HELP},
               {124, ENUMID153_VAL124_MNEMONIC, ENUMID153_VAL124_HELP},
               {125, ENUMID153_VAL125_MNEMONIC, ENUMID153_VAL125_HELP},
               {126, ENUMID153_VAL126_MNEMONIC, ENUMID153_VAL126_HELP},
               {127, ENUMID153_VAL127_MNEMONIC, ENUMID153_VAL127_HELP},
               {128, ENUMID153_VAL128_MNEMONIC, ENUMID153_VAL128_HELP},
               {129, ENUMID153_VAL129_MNEMONIC, ENUMID153_VAL129_HELP},
               {130, ENUMID153_VAL130_MNEMONIC, ENUMID153_VAL130_HELP},
               {131, ENUMID153_VAL131_MNEMONIC, ENUMID153_VAL131_HELP},
               {132, ENUMID153_VAL132_MNEMONIC, ENUMID153_VAL132_HELP},
               {133, ENUMID153_VAL133_MNEMONIC, ENUMID153_VAL133_HELP},
               {134, ENUMID153_VAL134_MNEMONIC, ENUMID153_VAL134_HELP},
               {135, ENUMID153_VAL135_MNEMONIC, ENUMID153_VAL135_HELP},
               {136, ENUMID153_VAL136_MNEMONIC, ENUMID153_VAL136_HELP},
               {137, ENUMID153_VAL137_MNEMONIC, ENUMID153_VAL137_HELP},
               {138, ENUMID153_VAL138_MNEMONIC, ENUMID153_VAL138_HELP},
               {139, ENUMID153_VAL139_MNEMONIC, ENUMID153_VAL139_HELP},
               {140, ENUMID153_VAL140_MNEMONIC, ENUMID153_VAL140_HELP},
               {141, ENUMID153_VAL141_MNEMONIC, ENUMID153_VAL141_HELP},
               {142, ENUMID153_VAL142_MNEMONIC, ENUMID153_VAL142_HELP},
               {143, ENUMID153_VAL143_MNEMONIC, ENUMID153_VAL143_HELP},
               {144, ENUMID153_VAL144_MNEMONIC, ENUMID153_VAL144_HELP},
               {145, ENUMID153_VAL145_MNEMONIC, ENUMID153_VAL145_HELP},
               {146, ENUMID153_VAL146_MNEMONIC, ENUMID153_VAL146_HELP},
               {147, ENUMID153_VAL147_MNEMONIC, ENUMID153_VAL147_HELP},
               {148, ENUMID153_VAL148_MNEMONIC, ENUMID153_VAL148_HELP},
               {149, ENUMID153_VAL149_MNEMONIC, ENUMID153_VAL149_HELP},
               {150, ENUMID153_VAL150_MNEMONIC, ENUMID153_VAL150_HELP},
               {151, ENUMID153_VAL151_MNEMONIC, ENUMID153_VAL151_HELP},
               {152, ENUMID153_VAL152_MNEMONIC, ENUMID153_VAL152_HELP},
               {153, ENUMID153_VAL153_MNEMONIC, ENUMID153_VAL153_HELP},
               {154, ENUMID153_VAL154_MNEMONIC, ENUMID153_VAL154_HELP},
               {155, ENUMID153_VAL155_MNEMONIC, ENUMID153_VAL155_HELP},
               {156, ENUMID153_VAL156_MNEMONIC, ENUMID153_VAL156_HELP},
               {157, ENUMID153_VAL157_MNEMONIC, ENUMID153_VAL157_HELP},
               {158, ENUMID153_VAL158_MNEMONIC, ENUMID153_VAL158_HELP},
               {159, ENUMID153_VAL159_MNEMONIC, ENUMID153_VAL159_HELP},
               {160, ENUMID153_VAL160_MNEMONIC, ENUMID153_VAL160_HELP},
               {161, ENUMID153_VAL161_MNEMONIC, ENUMID153_VAL161_HELP},
               {162, ENUMID153_VAL162_MNEMONIC, ENUMID153_VAL162_HELP},
               {163, ENUMID153_VAL163_MNEMONIC, ENUMID153_VAL163_HELP},
               {164, ENUMID153_VAL164_MNEMONIC, ENUMID153_VAL164_HELP},
               {165, ENUMID153_VAL165_MNEMONIC, ENUMID153_VAL165_HELP},
               {166, ENUMID153_VAL166_MNEMONIC, ENUMID153_VAL166_HELP},
               {167, ENUMID153_VAL167_MNEMONIC, ENUMID153_VAL167_HELP},
               {168, ENUMID153_VAL168_MNEMONIC, ENUMID153_VAL168_HELP},
               {169, ENUMID153_VAL169_MNEMONIC, ENUMID153_VAL169_HELP},
               {170, ENUMID153_VAL170_MNEMONIC, ENUMID153_VAL170_HELP},
               {171, ENUMID153_VAL171_MNEMONIC, ENUMID153_VAL171_HELP},
               {172, ENUMID153_VAL172_MNEMONIC, ENUMID153_VAL172_HELP},
               {173, ENUMID153_VAL173_MNEMONIC, ENUMID153_VAL173_HELP},
               {174, ENUMID153_VAL174_MNEMONIC, ENUMID153_VAL174_HELP},
               {175, ENUMID153_VAL175_MNEMONIC, ENUMID153_VAL175_HELP},
               {176, ENUMID153_VAL176_MNEMONIC, ENUMID153_VAL176_HELP},
               {177, ENUMID153_VAL177_MNEMONIC, ENUMID153_VAL177_HELP},
               {178, ENUMID153_VAL178_MNEMONIC, ENUMID153_VAL178_HELP},
               {179, ENUMID153_VAL179_MNEMONIC, ENUMID153_VAL179_HELP},
               {180, ENUMID153_VAL180_MNEMONIC, ENUMID153_VAL180_HELP},
               {181, ENUMID153_VAL181_MNEMONIC, ENUMID153_VAL181_HELP},
               {182, ENUMID153_VAL182_MNEMONIC, ENUMID153_VAL182_HELP},
               {183, ENUMID153_VAL183_MNEMONIC, ENUMID153_VAL183_HELP},
               {184, ENUMID153_VAL184_MNEMONIC, ENUMID153_VAL184_HELP},
               {185, ENUMID153_VAL185_MNEMONIC, ENUMID153_VAL185_HELP},
               {186, ENUMID153_VAL186_MNEMONIC, ENUMID153_VAL186_HELP},
               {187, ENUMID153_VAL187_MNEMONIC, ENUMID153_VAL187_HELP},
               {188, ENUMID153_VAL188_MNEMONIC, ENUMID153_VAL188_HELP},
               {189, ENUMID153_VAL189_MNEMONIC, ENUMID153_VAL189_HELP},
               {190, ENUMID153_VAL190_MNEMONIC, ENUMID153_VAL190_HELP},
               {191, ENUMID153_VAL191_MNEMONIC, ENUMID153_VAL191_HELP},
               {192, ENUMID153_VAL192_MNEMONIC, ENUMID153_VAL192_HELP},
               {193, ENUMID153_VAL193_MNEMONIC, ENUMID153_VAL193_HELP},
               {194, ENUMID153_VAL194_MNEMONIC, ENUMID153_VAL194_HELP},
               {195, ENUMID153_VAL195_MNEMONIC, ENUMID153_VAL195_HELP},
               {196, ENUMID153_VAL196_MNEMONIC, ENUMID153_VAL196_HELP},
               {197, ENUMID153_VAL197_MNEMONIC, ENUMID153_VAL197_HELP},
               {198, ENUMID153_VAL198_MNEMONIC, ENUMID153_VAL198_HELP},
               {199, ENUMID153_VAL199_MNEMONIC, ENUMID153_VAL199_HELP},
               {200, ENUMID153_VAL200_MNEMONIC, ENUMID153_VAL200_HELP},
               {201, ENUMID153_VAL201_MNEMONIC, ENUMID153_VAL201_HELP},
               {202, ENUMID153_VAL202_MNEMONIC, ENUMID153_VAL202_HELP},
               {203, ENUMID153_VAL203_MNEMONIC, ENUMID153_VAL203_HELP},
               {204, ENUMID153_VAL204_MNEMONIC, ENUMID153_VAL204_HELP},
               {205, ENUMID153_VAL205_MNEMONIC, ENUMID153_VAL205_HELP},
               {206, ENUMID153_VAL206_MNEMONIC, ENUMID153_VAL206_HELP},
               {207, ENUMID153_VAL207_MNEMONIC, ENUMID153_VAL207_HELP},
               {208, ENUMID153_VAL208_MNEMONIC, ENUMID153_VAL208_HELP},
               {209, ENUMID153_VAL209_MNEMONIC, ENUMID153_VAL209_HELP},
               {210, ENUMID153_VAL210_MNEMONIC, ENUMID153_VAL210_HELP},
               {211, ENUMID153_VAL211_MNEMONIC, ENUMID153_VAL211_HELP},
               {212, ENUMID153_VAL212_MNEMONIC, ENUMID153_VAL212_HELP},
               {213, ENUMID153_VAL213_MNEMONIC, ENUMID153_VAL213_HELP},
               {214, ENUMID153_VAL214_MNEMONIC, ENUMID153_VAL214_HELP},
               {215, ENUMID153_VAL215_MNEMONIC, ENUMID153_VAL215_HELP},
               {216, ENUMID153_VAL216_MNEMONIC, ENUMID153_VAL216_HELP},
               {217, ENUMID153_VAL217_MNEMONIC, ENUMID153_VAL217_HELP},
               {218, ENUMID153_VAL218_MNEMONIC, ENUMID153_VAL218_HELP},
               {219, ENUMID153_VAL219_MNEMONIC, ENUMID153_VAL219_HELP},
               {220, ENUMID153_VAL220_MNEMONIC, ENUMID153_VAL220_HELP},
               {221, ENUMID153_VAL221_MNEMONIC, ENUMID153_VAL221_HELP},
               {222, ENUMID153_VAL222_MNEMONIC, ENUMID153_VAL222_HELP},
               {223, ENUMID153_VAL223_MNEMONIC, ENUMID153_VAL223_HELP},
               {224, ENUMID153_VAL224_MNEMONIC, ENUMID153_VAL224_HELP},
               {225, ENUMID153_VAL225_MNEMONIC, ENUMID153_VAL225_HELP},
               {226, ENUMID153_VAL226_MNEMONIC, ENUMID153_VAL226_HELP},
               {227, ENUMID153_VAL227_MNEMONIC, ENUMID153_VAL227_HELP},
               {228, ENUMID153_VAL228_MNEMONIC, ENUMID153_VAL228_HELP},
               {229, ENUMID153_VAL229_MNEMONIC, ENUMID153_VAL229_HELP},
               {230, ENUMID153_VAL230_MNEMONIC, ENUMID153_VAL230_HELP},
               {231, ENUMID153_VAL231_MNEMONIC, ENUMID153_VAL231_HELP},
               {232, ENUMID153_VAL232_MNEMONIC, ENUMID153_VAL232_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P29_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B15);
               }
          }
}

VARIABLE M10_P30
{
          // Full power braking time

          LABEL  M10_P30_LABEL;
          HELP  M10_P30_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID354;
          #define M10_P30_UNIT UNITID354

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B16);
               }
          }
}

VARIABLE M10_P31
{
          // Full power braking period

          LABEL  M10_P31_LABEL;
          HELP  M10_P31_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  15000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID354;
          #define M10_P31_UNIT UNITID354

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B17);
               }
          }
}

VARIABLE M10_P32
{
          // External trip

          LABEL  M10_P32_LABEL;
          HELP  M10_P32_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  BIT_ENUMERATED
          {
               {0x0001, M10_P32_LABEL, PROCESS}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P32_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B18);
               }
          }
}

VARIABLE M10_P33
{
          // Drive reset

          LABEL  M10_P33_LABEL;
          HELP  M10_P33_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P33_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B19);
               }
          }
}

VARIABLE M10_P34
{
          // No. of auto-reset attempts

          LABEL  M10_P34_LABEL;
          HELP  M10_P34_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  5;
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P34_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B1A);
               }
          }
}

VARIABLE M10_P35
{
          // Auto reset delay

          LABEL  M10_P35_LABEL;
          HELP  M10_P35_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID354;
          #define M10_P35_UNIT UNITID354

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B1B);
               }
          }
}

VARIABLE M10_P36
{
          // Hold drive healthy until last attempt

          LABEL  M10_P36_LABEL;
          HELP  M10_P36_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P36_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B1C);
               }
          }
}

VARIABLE M10_P37
{
          // Action on trip detection

          LABEL  M10_P37_LABEL;
          HELP  M10_P37_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  3;
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P37_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B1D);
               }
          }
}

VARIABLE M10_P38
{
          // User trip

          LABEL  M10_P38_LABEL;
          HELP  M10_P38_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  255;
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P38_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B1E);
               }
          }
}

VARIABLE M10_P39
{
          // Braking energy overload accumulator

          LABEL  M10_P39_LABEL;
          HELP  M10_P39_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M10_P39_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B1F);
               }
          }
}

VARIABLE M10_P40
{
          // Status word

          LABEL  M10_P40_LABEL;
          HELP  M10_P40_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M10_P40_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B20);
               }
          }
}

VARIABLE M11_P0
{
          // Parameter 0

          LABEL  M11_P0_LABEL;
          HELP  M11_P0_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P0_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B5C);
               }
          }
}

VARIABLE M11_P1
{
          // Parameter 61 set-up

          LABEL  M11_P1_LABEL;
          HELP  M11_P1_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M11_P1_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B5D);
               }
          }
}

VARIABLE M11_P2
{
          // Parameter 62 set-up

          LABEL  M11_P2_LABEL;
          HELP  M11_P2_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M11_P2_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B5E);
               }
          }
}

VARIABLE M11_P3
{
          // Parameter 63 set-up

          LABEL  M11_P3_LABEL;
          HELP  M11_P3_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M11_P3_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B5F);
               }
          }
}

VARIABLE M11_P4
{
          // Parameter 64 set-up

          LABEL  M11_P4_LABEL;
          HELP  M11_P4_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M11_P4_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B60);
               }
          }
}

VARIABLE M11_P5
{
          // Parameter 65 set-up

          LABEL  M11_P5_LABEL;
          HELP  M11_P5_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M11_P5_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B61);
               }
          }
}

VARIABLE M11_P6
{
          // Parameter 66 set-up

          LABEL  M11_P6_LABEL;
          HELP  M11_P6_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M11_P6_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B62);
               }
          }
}

VARIABLE M11_P7
{
          // Parameter 67 set-up

          LABEL  M11_P7_LABEL;
          HELP  M11_P7_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M11_P7_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B63);
               }
          }
}

VARIABLE M11_P8
{
          // Parameter 68 set-up

          LABEL  M11_P8_LABEL;
          HELP  M11_P8_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M11_P8_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B64);
               }
          }
}

VARIABLE M11_P9
{
          // Parameter 69 set-up

          LABEL  M11_P9_LABEL;
          HELP  M11_P9_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M11_P9_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B65);
               }
          }
}

VARIABLE M11_P10
{
          // Parameter 70 set-up

          LABEL  M11_P10_LABEL;
          HELP  M11_P10_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M11_P10_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B66);
               }
          }
}

VARIABLE M11_P21
{
          // Customer defined scaling

          LABEL  M11_P21_LABEL;
          HELP  M11_P21_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  9999;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P21_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B71);
               }
          }
}

VARIABLE M11_P22
{
          // Parameter displayed at power-up

          LABEL  M11_P22_LABEL;
          HELP  M11_P22_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P22_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B72);
               }
          }
}

VARIABLE M11_P23
{
          // Serial comms address

          LABEL  M11_P23_LABEL;
          HELP  M11_P23_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  247;
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P23_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B73);
               }
          }
}

VARIABLE M11_P24
{
          // Modbus RTU / user serial mode

          LABEL  M11_P24_LABEL;
          HELP  M11_P24_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  3;
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P24_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B74);
               }
          }
}

VARIABLE M11_P25
{
          // Serial comms baud rate

          LABEL  M11_P25_LABEL;
          HELP  M11_P25_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID152_VAL0_MNEMONIC, ENUMID152_VAL0_HELP},
               {1, ENUMID152_VAL1_MNEMONIC, ENUMID152_VAL1_HELP},
               {2, ENUMID152_VAL2_MNEMONIC, ENUMID152_VAL2_HELP},
               {3, ENUMID152_VAL3_MNEMONIC, ENUMID152_VAL3_HELP},
               {4, ENUMID152_VAL4_MNEMONIC, ENUMID152_VAL4_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P25_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B75);
               }
          }
}

VARIABLE M11_P26
{
          // Silent period extension

          LABEL  M11_P26_LABEL;
          HELP  M11_P26_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
          }
          CONSTANT_UNIT UNITID366;
          #define M11_P26_UNIT UNITID366

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B76);
               }
          }
}

VARIABLE M11_P27
{
          // Drive configuration

          LABEL  M11_P27_LABEL;
          HELP  M11_P27_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID155_VAL0_MNEMONIC, ENUMID155_VAL0_HELP},
               {1, ENUMID155_VAL1_MNEMONIC, ENUMID155_VAL1_HELP},
               {2, ENUMID155_VAL2_MNEMONIC, ENUMID155_VAL2_HELP},
               {3, ENUMID155_VAL3_MNEMONIC, ENUMID155_VAL3_HELP},
               {4, ENUMID155_VAL4_MNEMONIC, ENUMID155_VAL4_HELP},
               {5, ENUMID155_VAL5_MNEMONIC, ENUMID155_VAL5_HELP},
               {6, ENUMID155_VAL6_MNEMONIC, ENUMID155_VAL6_HELP},
               {7, ENUMID155_VAL7_MNEMONIC, ENUMID155_VAL7_HELP},
               {8, ENUMID155_VAL8_MNEMONIC, ENUMID155_VAL8_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P27_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B77);
               }
          }
}

VARIABLE M11_P29
{
          // Software version

          LABEL  M11_P29_LABEL;
          HELP  M11_P29_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  9999;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P29_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B79);
               }
          }
}

VARIABLE M11_P30
{
          // User security code

          LABEL  M11_P30_LABEL;
          HELP  M11_P30_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  999;
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P30_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B7A);
               }
          }
}

VARIABLE M11_P32
{
          // Maximum heavy duty drive current rating

          LABEL  M11_P32_LABEL;
          HELP  M11_P32_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  29000;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID365;
          #define M11_P32_UNIT UNITID365

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B7C);
               }
          }
}

VARIABLE M11_P33
{
          // Drive voltage rating

          LABEL  M11_P33_LABEL;
          HELP  M11_P33_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID88_VAL0_MNEMONIC},
               {1, ENUMID88_VAL1_MNEMONIC},
               {2, ENUMID88_VAL2_MNEMONIC},
               {3, ENUMID88_VAL3_MNEMONIC}
          }
          CONSTANT_UNIT UNITID358;
          #define M11_P33_UNIT UNITID358

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B7D);
               }
          }
}

VARIABLE M11_P34
{
          // Software sub-version

          LABEL  M11_P34_LABEL;
          HELP  M11_P34_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  99;
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P34_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B7E);
               }
          }
}

VARIABLE M11_P35
{
          // DSP software version

          LABEL  M11_P35_LABEL;
          HELP  M11_P35_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  99;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P35_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B7F);
               }
          }
}

VARIABLE M11_P41
{
          // Status mode timeout

          LABEL  M11_P41_LABEL;
          HELP  M11_P41_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
          }
          CONSTANT_UNIT UNITID354;
          #define M11_P41_UNIT UNITID354

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B85);
               }
          }
}

VARIABLE M11_P42
{
          // Parameter cloning

          LABEL  M11_P42_LABEL;
          HELP  M11_P42_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID149_VAL0_MNEMONIC},
               {1, ENUMID149_VAL1_MNEMONIC, ENUMID149_VAL1_HELP},
               {2, ENUMID149_VAL2_MNEMONIC, ENUMID149_VAL2_HELP},
               {3, ENUMID149_VAL3_MNEMONIC, ENUMID149_VAL3_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P42_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B86);
               }
          }
}

VARIABLE M11_P43
{
          // Load defaults

          LABEL  M11_P43_LABEL;
          HELP  M11_P43_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID150_VAL0_MNEMONIC},
               {1, ENUMID150_VAL1_MNEMONIC, ENUMID150_VAL1_HELP},
               {2, ENUMID150_VAL2_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P43_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B87);
               }
          }
}

VARIABLE M11_P44
{
          // Security status

          LABEL  M11_P44_LABEL;
          HELP  M11_P44_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID156_VAL0_MNEMONIC, ENUMID156_VAL0_HELP},
               {1, ENUMID156_VAL1_MNEMONIC, ENUMID156_VAL1_HELP},
               {2, ENUMID156_VAL2_MNEMONIC, ENUMID156_VAL2_HELP},
               {3, ENUMID156_VAL3_MNEMONIC, ENUMID156_VAL3_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P44_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B88);
               }
          }
}

VARIABLE M11_P45
{
          // Select motor 2 parameters

          LABEL  M11_P45_LABEL;
          HELP  M11_P45_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P45_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B89);
               }
          }
}

VARIABLE M11_P46
{
          // Defaults previously loaded

          LABEL  M11_P46_LABEL;
          HELP  M11_P46_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  2;
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P46_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B8A);
               }
          }
}

VARIABLE M11_P47
{
          // PLC ladder program enable

          LABEL  M11_P47_LABEL;
          HELP  M11_P47_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID199_VAL0_MNEMONIC, ENUMID199_VAL0_HELP},
               {1, ENUMID199_VAL1_MNEMONIC, ENUMID199_VAL1_HELP},
               {2, ENUMID199_VAL2_MNEMONIC, ENUMID199_VAL2_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P47_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B8B);
               }
          }
}

VARIABLE M11_P48
{
          // PLC ladder program status

          LABEL  M11_P48_LABEL;
          HELP  M11_P48_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER
          {
               MIN_VALUE  -127;
               MAX_VALUE  127;
          }
          CONSTANT_UNIT UNITID350;
          #define M11_P48_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B8C);
               }
          }
}

VARIABLE M11_P50
{
          // PLC ladder program maximum scan time

          LABEL  M11_P50_LABEL;
          HELP  M11_P50_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  65535;
          }
          CONSTANT_UNIT UNITID366;
          #define M11_P50_UNIT UNITID366

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2B8E);
               }
          }
}

VARIABLE M12_P0
{
          // Parameter 0

          LABEL  M12_P0_LABEL;
          HELP  M12_P0_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M12_P0_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BC0);
               }
          }
}

VARIABLE M12_P1
{
          // Threshold detector 1 output

          LABEL  M12_P1_LABEL;
          HELP  M12_P1_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M12_P1_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BC1);
               }
          }
}

VARIABLE M12_P2
{
          // Threshold detector 2 output

          LABEL  M12_P2_LABEL;
          HELP  M12_P2_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M12_P2_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BC2);
               }
          }
}

VARIABLE M12_P3
{
          // Threshold detector 1 source

          LABEL  M12_P3_LABEL;
          HELP  M12_P3_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M12_P3_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BC3);
               }
          }
}

VARIABLE M12_P4
{
          // Threshold detector 1 level

          LABEL  M12_P4_LABEL;
          HELP  M12_P4_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M12_P4_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BC4);
               }
          }
}

VARIABLE M12_P5
{
          // Threshold detector 1 hysteresis

          LABEL  M12_P5_LABEL;
          HELP  M12_P5_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M12_P5_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BC5);
               }
          }
}

VARIABLE M12_P6
{
          // Threshold detector 1 output invert

          LABEL  M12_P6_LABEL;
          HELP  M12_P6_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M12_P6_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BC6);
               }
          }
}

VARIABLE M12_P7
{
          // Threshold detector 1 destination

          LABEL  M12_P7_LABEL;
          HELP  M12_P7_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M12_P7_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BC7);
               }
          }
}

VARIABLE M12_P8
{
          // Variable selector 1 source 1

          LABEL  M12_P8_LABEL;
          HELP  M12_P8_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M12_P8_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BC8);
               }
          }
}

VARIABLE M12_P9
{
          // Variable selector 1 source 2

          LABEL  M12_P9_LABEL;
          HELP  M12_P9_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M12_P9_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BC9);
               }
          }
}

VARIABLE M12_P10
{
          // Variable selector 1 mode

          LABEL  M12_P10_LABEL;
          HELP  M12_P10_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID131_VAL0_MNEMONIC, ENUMID131_VAL0_HELP},
               {1, ENUMID131_VAL1_MNEMONIC, ENUMID131_VAL1_HELP},
               {2, ENUMID131_VAL2_MNEMONIC, ENUMID131_VAL2_HELP},
               {3, ENUMID131_VAL3_MNEMONIC, ENUMID131_VAL3_HELP},
               {4, ENUMID131_VAL4_MNEMONIC, ENUMID131_VAL4_HELP},
               {5, ENUMID131_VAL5_MNEMONIC, ENUMID131_VAL5_HELP},
               {6, ENUMID131_VAL6_MNEMONIC, ENUMID131_VAL6_HELP},
               {7, ENUMID131_VAL7_MNEMONIC, ENUMID131_VAL7_HELP},
               {8, ENUMID131_VAL8_MNEMONIC, ENUMID131_VAL8_HELP},
               {9, ENUMID131_VAL9_MNEMONIC, ENUMID131_VAL9_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M12_P10_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BCA);
               }
          }
}

VARIABLE M12_P11
{
          // Variable selector 1 destination

          LABEL  M12_P11_LABEL;
          HELP  M12_P11_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M12_P11_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BCB);
               }
          }
}

VARIABLE M12_P12
{
          // Variable selector 1 output

          LABEL  M12_P12_LABEL;
          HELP  M12_P12_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -1000;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M12_P12_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BCC);
               }
          }
}

VARIABLE M12_P13
{
          // Variable selector 1 source 1 scaling

          LABEL  M12_P13_LABEL;
          HELP  M12_P13_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -4000;
               MAX_VALUE  4000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID350;
          #define M12_P13_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BCD);
               }
          }
}

VARIABLE M12_P14
{
          // Variable selector 1 source 2 scaling

          LABEL  M12_P14_LABEL;
          HELP  M12_P14_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -4000;
               MAX_VALUE  4000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID350;
          #define M12_P14_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BCE);
               }
          }
}

VARIABLE M12_P15
{
          // Variable selector 1 control

          LABEL  M12_P15_LABEL;
          HELP  M12_P15_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  9999;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID350;
          #define M12_P15_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BCF);
               }
          }
}

VARIABLE M12_P23
{
          // Threshold detector 2 source

          LABEL  M12_P23_LABEL;
          HELP  M12_P23_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M12_P23_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BD7);
               }
          }
}

VARIABLE M12_P24
{
          // Threshold detector 2 level

          LABEL  M12_P24_LABEL;
          HELP  M12_P24_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M12_P24_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BD8);
               }
          }
}

VARIABLE M12_P25
{
          // Threshold detector 2 hysteresis

          LABEL  M12_P25_LABEL;
          HELP  M12_P25_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M12_P25_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BD9);
               }
          }
}

VARIABLE M12_P26
{
          // Threshold detector 2 output invert

          LABEL  M12_P26_LABEL;
          HELP  M12_P26_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M12_P26_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BDA);
               }
          }
}

VARIABLE M12_P27
{
          // Threshold detector 2 destination

          LABEL  M12_P27_LABEL;
          HELP  M12_P27_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M12_P27_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BDB);
               }
          }
}

VARIABLE M12_P28
{
          // Variable selector 2 source 1

          LABEL  M12_P28_LABEL;
          HELP  M12_P28_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M12_P28_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BDC);
               }
          }
}

VARIABLE M12_P29
{
          // Variable selector 2 source 2

          LABEL  M12_P29_LABEL;
          HELP  M12_P29_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M12_P29_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BDD);
               }
          }
}

VARIABLE M12_P30
{
          // Variable selector 2 mode

          LABEL  M12_P30_LABEL;
          HELP  M12_P30_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID131_VAL0_MNEMONIC, ENUMID131_VAL0_HELP},
               {1, ENUMID131_VAL1_MNEMONIC, ENUMID131_VAL1_HELP},
               {2, ENUMID131_VAL2_MNEMONIC, ENUMID131_VAL2_HELP},
               {3, ENUMID131_VAL3_MNEMONIC, ENUMID131_VAL3_HELP},
               {4, ENUMID131_VAL4_MNEMONIC, ENUMID131_VAL4_HELP},
               {5, ENUMID131_VAL5_MNEMONIC, ENUMID131_VAL5_HELP},
               {6, ENUMID131_VAL6_MNEMONIC, ENUMID131_VAL6_HELP},
               {7, ENUMID131_VAL7_MNEMONIC, ENUMID131_VAL7_HELP},
               {8, ENUMID131_VAL8_MNEMONIC, ENUMID131_VAL8_HELP},
               {9, ENUMID131_VAL9_MNEMONIC, ENUMID131_VAL9_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M12_P30_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BDE);
               }
          }
}

VARIABLE M12_P31
{
          // Variable selector 2 destination

          LABEL  M12_P31_LABEL;
          HELP  M12_P31_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M12_P31_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BDF);
               }
          }
}

VARIABLE M12_P32
{
          // Variable selector 2 output

          LABEL  M12_P32_LABEL;
          HELP  M12_P32_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -1000;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M12_P32_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BE0);
               }
          }
}

VARIABLE M12_P33
{
          // Variable selector 2 source 1 scaling

          LABEL  M12_P33_LABEL;
          HELP  M12_P33_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -4000;
               MAX_VALUE  4000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID350;
          #define M12_P33_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BE1);
               }
          }
}

VARIABLE M12_P34
{
          // Variable selector 2 source 2 scaling

          LABEL  M12_P34_LABEL;
          HELP  M12_P34_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -4000;
               MAX_VALUE  4000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID350;
          #define M12_P34_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BE2);
               }
          }
}

VARIABLE M12_P35
{
          // Variable selector 2 control

          LABEL  M12_P35_LABEL;
          HELP  M12_P35_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  9999;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID350;
          #define M12_P35_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BE3);
               }
          }
}

VARIABLE M12_P40
{
          // Brake release indicator

          LABEL  M12_P40_LABEL;
          HELP  M12_P40_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M12_P40_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BE8);
               }
          }
}

VARIABLE M12_P41
{
          // Brake controller enable

          LABEL  M12_P41_LABEL;
          HELP  M12_P41_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID125_VAL0_MNEMONIC, ENUMID125_VAL0_HELP},
               {1, ENUMID125_VAL1_MNEMONIC, ENUMID125_VAL1_HELP},
               {2, ENUMID125_VAL2_MNEMONIC, ENUMID125_VAL2_HELP},
               {3, ENUMID125_VAL3_MNEMONIC, ENUMID125_VAL3_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M12_P41_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BE9);
               }
          }
}

VARIABLE M12_P42
{
          // Brake release current threshold

          LABEL  M12_P42_LABEL;
          HELP  M12_P42_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  200;
          }
          CONSTANT_UNIT UNITID355;
          #define M12_P42_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BEA);
               }
          }
}

VARIABLE M12_P43
{
          // Brake apply current threshold

          LABEL  M12_P43_LABEL;
          HELP  M12_P43_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  200;
          }
          CONSTANT_UNIT UNITID355;
          #define M12_P43_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BEB);
               }
          }
}

VARIABLE M12_P44
{
          // Brake release frequency

          LABEL  M12_P44_LABEL;
          HELP  M12_P44_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  200;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M12_P44_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BEC);
               }
          }
}

VARIABLE M12_P45
{
          // Brake apply frequency

          LABEL  M12_P45_LABEL;
          HELP  M12_P45_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  200;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M12_P45_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BED);
               }
          }
}

VARIABLE M12_P46
{
          // Pre-brake release delay

          LABEL  M12_P46_LABEL;
          HELP  M12_P46_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID354;
          #define M12_P46_UNIT UNITID354

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BEE);
               }
          }
}

VARIABLE M12_P47
{
          // Post brake release delay

          LABEL  M12_P47_LABEL;
          HELP  M12_P47_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID354;
          #define M12_P47_UNIT UNITID354

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2BEF);
               }
          }
}

VARIABLE M14_P0
{
          // Parameter 0

          LABEL  M14_P0_LABEL;
          HELP  M14_P0_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M14_P0_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C88);
               }
          }
}

VARIABLE M14_P1
{
          // PID output

          LABEL  M14_P1_LABEL;
          HELP  M14_P1_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -1000;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M14_P1_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C89);
               }
          }
}

VARIABLE M14_P2
{
          // PID main reference source

          LABEL  M14_P2_LABEL;
          HELP  M14_P2_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M14_P2_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C8A);
               }
          }
}

VARIABLE M14_P3
{
          // PID reference source

          LABEL  M14_P3_LABEL;
          HELP  M14_P3_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M14_P3_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C8B);
               }
          }
}

VARIABLE M14_P4
{
          // PID feedback source

          LABEL  M14_P4_LABEL;
          HELP  M14_P4_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M14_P4_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C8C);
               }
          }
}

VARIABLE M14_P5
{
          // PID reference source invert

          LABEL  M14_P5_LABEL;
          HELP  M14_P5_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M14_P5_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C8D);
               }
          }
}

VARIABLE M14_P6
{
          // PID feedback source invert

          LABEL  M14_P6_LABEL;
          HELP  M14_P6_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M14_P6_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C8E);
               }
          }
}

VARIABLE M14_P7
{
          // PID reference slew rate limit

          LABEL  M14_P7_LABEL;
          HELP  M14_P7_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID354;
          #define M14_P7_UNIT UNITID354

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C8F);
               }
          }
}

VARIABLE M14_P8
{
          // PID enable

          LABEL  M14_P8_LABEL;
          HELP  M14_P8_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M14_P8_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C90);
               }
          }

          POST_WRITE_ACTIONS
          {
               DEFINITION
               {
                    PID_CONFIGURE_method;
               }
          }
}

VARIABLE M14_P9
{
          // Optional PID enable source

          LABEL  M14_P9_LABEL;
          HELP  M14_P9_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M14_P9_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C91);
               }
          }
}

VARIABLE M14_P10
{
          // PID proportional gain

          LABEL  M14_P10_LABEL;
          HELP  M14_P10_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  4000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID350;
          #define M14_P10_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C92);
               }
          }
}

VARIABLE M14_P11
{
          // PID integral gain

          LABEL  M14_P11_LABEL;
          HELP  M14_P11_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  4000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID350;
          #define M14_P11_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C93);
               }
          }
}

VARIABLE M14_P12
{
          // PID derivative gain

          LABEL  M14_P12_LABEL;
          HELP  M14_P12_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  4000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID350;
          #define M14_P12_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C94);
               }
          }
}

VARIABLE M14_P13
{
          // PID high limit

          LABEL  M14_P13_LABEL;
          HELP  M14_P13_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M14_P13_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C95);
               }
          }
}

VARIABLE M14_P14
{
          // PID lower limit

          LABEL  M14_P14_LABEL;
          HELP  M14_P14_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -1000;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M14_P14_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C96);
               }
          }
}

VARIABLE M14_P15
{
          // PID scaling

          LABEL  M14_P15_LABEL;
          HELP  M14_P15_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  4000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID350;
          #define M14_P15_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C97);
               }
          }
}

VARIABLE M14_P16
{
          // PID output destination

          LABEL  M14_P16_LABEL;
          HELP  M14_P16_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  2151;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID386;
          #define M14_P16_UNIT UNITID386

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C98);
               }
          }
}

VARIABLE M14_P17
{
          // PID hold integrator

          LABEL  M14_P17_LABEL;
          HELP  M14_P17_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M14_P17_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C99);
               }
          }
}

VARIABLE M14_P18
{
          // Select symmetrical limit on PID

          LABEL  M14_P18_LABEL;
          HELP  M14_P18_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M14_P18_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C9A);
               }
          }
}

VARIABLE M14_P19
{
          // PID main reference

          LABEL  M14_P19_LABEL;
          HELP  M14_P19_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -1000;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M14_P19_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C9B);
               }
          }
}

VARIABLE M14_P20
{
          // PID reference

          LABEL  M14_P20_LABEL;
          HELP  M14_P20_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -1000;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M14_P20_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C9C);
               }
          }
}

VARIABLE M14_P21
{
          // PID feedback

          LABEL  M14_P21_LABEL;
          HELP  M14_P21_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -1000;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M14_P21_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C9D);
               }
          }
}

VARIABLE M14_P22
{
          // PID error

          LABEL  M14_P22_LABEL;
          HELP  M14_P22_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -1000;
               MAX_VALUE  1000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M14_P22_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2C9E);
               }
          }
}

VARIABLE M18_P0
{
          // Parameter 0

          LABEL  M18_P0_LABEL;
          HELP  M18_P0_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P0_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E18);
               }
          }
}

VARIABLE M18_P1
{
          // Application menu 1 power-down saved integer

          LABEL  M18_P1_LABEL;
          HELP  M18_P1_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P1_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E19);
               }
          }
}

VARIABLE M18_P2
{
          // Application menu 1 read-only integer

          LABEL  M18_P2_LABEL;
          HELP  M18_P2_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P2_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E1A);
               }
          }
}

VARIABLE M18_P3
{
          // Application menu 1 read-only integer

          LABEL  M18_P3_LABEL;
          HELP  M18_P3_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P3_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E1B);
               }
          }
}

VARIABLE M18_P4
{
          // Application menu 1 read-only integer

          LABEL  M18_P4_LABEL;
          HELP  M18_P4_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P4_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E1C);
               }
          }
}

VARIABLE M18_P5
{
          // Application menu 1 read-only integer

          LABEL  M18_P5_LABEL;
          HELP  M18_P5_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P5_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E1D);
               }
          }
}

VARIABLE M18_P6
{
          // Application menu 1 read-only integer

          LABEL  M18_P6_LABEL;
          HELP  M18_P6_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P6_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E1E);
               }
          }
}

VARIABLE M18_P7
{
          // Application menu 1 read-only integer

          LABEL  M18_P7_LABEL;
          HELP  M18_P7_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P7_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E1F);
               }
          }
}

VARIABLE M18_P8
{
          // Application menu 1 read-only integer

          LABEL  M18_P8_LABEL;
          HELP  M18_P8_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P8_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E20);
               }
          }
}

VARIABLE M18_P9
{
          // Application menu 1 read-only integer

          LABEL  M18_P9_LABEL;
          HELP  M18_P9_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P9_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E21);
               }
          }
}

VARIABLE M18_P10
{
          // Application menu 1 read-only integer

          LABEL  M18_P10_LABEL;
          HELP  M18_P10_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P10_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E22);
               }
          }
}

VARIABLE M18_P11
{
          // Application menu 1 read-write integer

          LABEL  M18_P11_LABEL;
          HELP  M18_P11_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P11_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E23);
               }
          }
}

VARIABLE M18_P12
{
          // Application menu 1 read-write integer

          LABEL  M18_P12_LABEL;
          HELP  M18_P12_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P12_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E24);
               }
          }
}

VARIABLE M18_P13
{
          // Application menu 1 read-write integer

          LABEL  M18_P13_LABEL;
          HELP  M18_P13_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P13_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E25);
               }
          }
}

VARIABLE M18_P14
{
          // Application menu 1 read-write integer

          LABEL  M18_P14_LABEL;
          HELP  M18_P14_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P14_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E26);
               }
          }
}

VARIABLE M18_P15
{
          // Application menu 1 read-write integer

          LABEL  M18_P15_LABEL;
          HELP  M18_P15_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P15_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E27);
               }
          }
}

VARIABLE M18_P16
{
          // Application menu 1 read-write integer

          LABEL  M18_P16_LABEL;
          HELP  M18_P16_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P16_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E28);
               }
          }
}

VARIABLE M18_P17
{
          // Application menu 1 read-write integer

          LABEL  M18_P17_LABEL;
          HELP  M18_P17_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P17_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E29);
               }
          }
}

VARIABLE M18_P18
{
          // Application menu 1 read-write integer

          LABEL  M18_P18_LABEL;
          HELP  M18_P18_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P18_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E2A);
               }
          }
}

VARIABLE M18_P19
{
          // Application menu 1 read-write integer

          LABEL  M18_P19_LABEL;
          HELP  M18_P19_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P19_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E2B);
               }
          }
}

VARIABLE M18_P20
{
          // Application menu 1 read-write integer

          LABEL  M18_P20_LABEL;
          HELP  M18_P20_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P20_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E2C);
               }
          }
}

VARIABLE M18_P21
{
          // Application menu 1 read-write integer

          LABEL  M18_P21_LABEL;
          HELP  M18_P21_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P21_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E2D);
               }
          }
}

VARIABLE M18_P22
{
          // Application menu 1 read-write integer

          LABEL  M18_P22_LABEL;
          HELP  M18_P22_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P22_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E2E);
               }
          }
}

VARIABLE M18_P23
{
          // Application menu 1 read-write integer

          LABEL  M18_P23_LABEL;
          HELP  M18_P23_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P23_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E2F);
               }
          }
}

VARIABLE M18_P24
{
          // Application menu 1 read-write integer

          LABEL  M18_P24_LABEL;
          HELP  M18_P24_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P24_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E30);
               }
          }
}

VARIABLE M18_P25
{
          // Application menu 1 read-write integer

          LABEL  M18_P25_LABEL;
          HELP  M18_P25_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P25_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E31);
               }
          }
}

VARIABLE M18_P26
{
          // Application menu 1 read-write integer

          LABEL  M18_P26_LABEL;
          HELP  M18_P26_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P26_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E32);
               }
          }
}

VARIABLE M18_P27
{
          // Application menu 1 read-write integer

          LABEL  M18_P27_LABEL;
          HELP  M18_P27_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P27_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E33);
               }
          }
}

VARIABLE M18_P28
{
          // Application menu 1 read-write integer

          LABEL  M18_P28_LABEL;
          HELP  M18_P28_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P28_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E34);
               }
          }
}

VARIABLE M18_P29
{
          // Application menu 1 read-write integer

          LABEL  M18_P29_LABEL;
          HELP  M18_P29_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P29_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E35);
               }
          }
}

VARIABLE M18_P30
{
          // Application menu 1 read-write integer

          LABEL  M18_P30_LABEL;
          HELP  M18_P30_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (2)
          {
               MIN_VALUE  -32767;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P30_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E36);
               }
          }
}

VARIABLE M18_P31
{
          // Application menu 1 read-write bit

          LABEL  M18_P31_LABEL;
          HELP  M18_P31_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P31_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E37);
               }
          }
}

VARIABLE M18_P32
{
          // Application menu 1 read-write bit

          LABEL  M18_P32_LABEL;
          HELP  M18_P32_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P32_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E38);
               }
          }
}

VARIABLE M18_P33
{
          // Application menu 1 read-write bit

          LABEL  M18_P33_LABEL;
          HELP  M18_P33_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P33_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E39);
               }
          }
}

VARIABLE M18_P34
{
          // Application menu 1 read-write bit

          LABEL  M18_P34_LABEL;
          HELP  M18_P34_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P34_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E3A);
               }
          }
}

VARIABLE M18_P35
{
          // Application menu 1 read-write bit

          LABEL  M18_P35_LABEL;
          HELP  M18_P35_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P35_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E3B);
               }
          }
}

VARIABLE M18_P36
{
          // Application menu 1 read-write bit

          LABEL  M18_P36_LABEL;
          HELP  M18_P36_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P36_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E3C);
               }
          }
}

VARIABLE M18_P37
{
          // Application menu 1 read-write bit

          LABEL  M18_P37_LABEL;
          HELP  M18_P37_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P37_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E3D);
               }
          }
}

VARIABLE M18_P38
{
          // Application menu 1 read-write bit

          LABEL  M18_P38_LABEL;
          HELP  M18_P38_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P38_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E3E);
               }
          }
}

VARIABLE M18_P39
{
          // Application menu 1 read-write bit

          LABEL  M18_P39_LABEL;
          HELP  M18_P39_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P39_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E3F);
               }
          }
}

VARIABLE M18_P40
{
          // Application menu 1 read-write bit

          LABEL  M18_P40_LABEL;
          HELP  M18_P40_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P40_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E40);
               }
          }
}

VARIABLE M18_P41
{
          // Application menu 1 read-write bit

          LABEL  M18_P41_LABEL;
          HELP  M18_P41_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P41_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E41);
               }
          }
}

VARIABLE M18_P42
{
          // Application menu 1 read-write bit

          LABEL  M18_P42_LABEL;
          HELP  M18_P42_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P42_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E42);
               }
          }
}

VARIABLE M18_P43
{
          // Application menu 1 read-write bit

          LABEL  M18_P43_LABEL;
          HELP  M18_P43_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P43_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E43);
               }
          }
}

VARIABLE M18_P44
{
          // Application menu 1 read-write bit

          LABEL  M18_P44_LABEL;
          HELP  M18_P44_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P44_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E44);
               }
          }
}

VARIABLE M18_P45
{
          // Application menu 1 read-write bit

          LABEL  M18_P45_LABEL;
          HELP  M18_P45_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P45_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E45);
               }
          }
}

VARIABLE M18_P46
{
          // Application menu 1 read-write bit

          LABEL  M18_P46_LABEL;
          HELP  M18_P46_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P46_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E46);
               }
          }
}

VARIABLE M18_P47
{
          // Application menu 1 read-write bit

          LABEL  M18_P47_LABEL;
          HELP  M18_P47_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P47_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E47);
               }
          }
}

VARIABLE M18_P48
{
          // Application menu 1 read-write bit

          LABEL  M18_P48_LABEL;
          HELP  M18_P48_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P48_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E48);
               }
          }
}

VARIABLE M18_P49
{
          // Application menu 1 read-write bit

          LABEL  M18_P49_LABEL;
          HELP  M18_P49_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P49_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E49);
               }
          }
}

VARIABLE M18_P50
{
          // Application menu 1 read-write bit

          LABEL  M18_P50_LABEL;
          HELP  M18_P50_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M18_P50_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2E4A);
               }
          }
}

VARIABLE M20_P0
{
          // Parameter 0

          LABEL  M20_P0_LABEL;
          HELP  M20_P0_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M20_P0_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2EE0);
               }
          }
}

VARIABLE M20_P21
{
          // Application menu 2 read-write long integer

          LABEL  M20_P21_LABEL;
          HELP  M20_P21_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (4)
          {
               MIN_VALUE  -2147483647;
               MAX_VALUE  2147483647;
          }
          CONSTANT_UNIT UNITID350;
          #define M20_P21_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2EF5);
               }
          }
}

VARIABLE M20_P22
{
          // Application menu 2 read-write long integer

          LABEL  M20_P22_LABEL;
          HELP  M20_P22_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (4)
          {
               MIN_VALUE  -2147483647;
               MAX_VALUE  2147483647;
          }
          CONSTANT_UNIT UNITID350;
          #define M20_P22_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2EF6);
               }
          }
}

VARIABLE M20_P23
{
          // Application menu 2 read-write long integer

          LABEL  M20_P23_LABEL;
          HELP  M20_P23_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (4)
          {
               MIN_VALUE  -2147483647;
               MAX_VALUE  2147483647;
          }
          CONSTANT_UNIT UNITID350;
          #define M20_P23_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2EF7);
               }
          }
}

VARIABLE M20_P24
{
          // Application menu 2 read-write long integer

          LABEL  M20_P24_LABEL;
          HELP  M20_P24_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (4)
          {
               MIN_VALUE  -2147483647;
               MAX_VALUE  2147483647;
          }
          CONSTANT_UNIT UNITID350;
          #define M20_P24_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2EF8);
               }
          }
}

VARIABLE M20_P25
{
          // Application menu 2 read-write long integer

          LABEL  M20_P25_LABEL;
          HELP  M20_P25_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (4)
          {
               MIN_VALUE  -2147483647;
               MAX_VALUE  2147483647;
          }
          CONSTANT_UNIT UNITID350;
          #define M20_P25_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2EF9);
               }
          }
}

VARIABLE M20_P26
{
          // Application menu 2 read-write long integer

          LABEL  M20_P26_LABEL;
          HELP  M20_P26_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (4)
          {
               MIN_VALUE  -2147483647;
               MAX_VALUE  2147483647;
          }
          CONSTANT_UNIT UNITID350;
          #define M20_P26_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2EFA);
               }
          }
}

VARIABLE M20_P27
{
          // Application menu 2 read-write long integer

          LABEL  M20_P27_LABEL;
          HELP  M20_P27_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (4)
          {
               MIN_VALUE  -2147483647;
               MAX_VALUE  2147483647;
          }
          CONSTANT_UNIT UNITID350;
          #define M20_P27_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2EFB);
               }
          }
}

VARIABLE M20_P28
{
          // Application menu 2 read-write long integer

          LABEL  M20_P28_LABEL;
          HELP  M20_P28_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (4)
          {
               MIN_VALUE  -2147483647;
               MAX_VALUE  2147483647;
          }
          CONSTANT_UNIT UNITID350;
          #define M20_P28_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2EFC);
               }
          }
}

VARIABLE M20_P29
{
          // Application menu 2 read-write long integer

          LABEL  M20_P29_LABEL;
          HELP  M20_P29_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (4)
          {
               MIN_VALUE  -2147483647;
               MAX_VALUE  2147483647;
          }
          CONSTANT_UNIT UNITID350;
          #define M20_P29_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2EFD);
               }
          }
}

VARIABLE M20_P30
{
          // Application menu 2 read-write long integer

          LABEL  M20_P30_LABEL;
          HELP  M20_P30_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  INTEGER (4)
          {
               MIN_VALUE  -2147483647;
               MAX_VALUE  2147483647;
          }
          CONSTANT_UNIT UNITID350;
          #define M20_P30_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2EFE);
               }
          }
}

VARIABLE M21_P0
{
          // Parameter 0

          LABEL  M21_P0_LABEL;
          HELP  M21_P0_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32767;
          }
          CONSTANT_UNIT UNITID350;
          #define M21_P0_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F44);
               }
          }
}

VARIABLE M21_P1
{
          // Motor 2 maximum set speed

          LABEL  M21_P1_LABEL;
          HELP  M21_P1_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  15000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M21_P1_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F45);
               }
          }
}

VARIABLE M21_P2
{
          // Motor 2 minimum set speed

          LABEL  M21_P2_LABEL;
          HELP  M21_P2_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  15000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M21_P2_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F46);
               }
          }
}

VARIABLE M21_P3
{
          // Motor 2 reference selector

          LABEL  M21_P3_LABEL;
          HELP  M21_P3_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID73_VAL0_MNEMONIC, ENUMID73_VAL0_HELP},
               {1, ENUMID73_VAL1_MNEMONIC, ENUMID73_VAL1_HELP},
               {2, ENUMID73_VAL2_MNEMONIC, ENUMID73_VAL2_HELP},
               {3, ENUMID73_VAL3_MNEMONIC, ENUMID73_VAL3_HELP},
               {4, ENUMID73_VAL4_MNEMONIC, ENUMID73_VAL4_HELP},
               {5, ENUMID73_VAL5_MNEMONIC, ENUMID73_VAL5_HELP}
          }
          CONSTANT_UNIT UNITID350;
          #define M21_P3_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F47);
               }
          }
}

VARIABLE M21_P4
{
          // Motor 2 acceleration rate

          LABEL  M21_P4_LABEL;
          HELP  M21_P4_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID359;
          #define M21_P4_UNIT UNITID359

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F48);
               }
          }
}

VARIABLE M21_P5
{
          // Motor 2 deceleration rate

          LABEL  M21_P5_LABEL;
          HELP  M21_P5_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID359;
          #define M21_P5_UNIT UNITID359

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F49);
               }
          }
}

VARIABLE M21_P6
{
          // Motor 2 rated frequency

          LABEL  M21_P6_LABEL;
          HELP  M21_P6_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  15000;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID352;
          #define M21_P6_UNIT UNITID352

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F4A);
               }
          }
}

VARIABLE M21_P7
{
          // Motor 2 rated current

          LABEL  M21_P7_LABEL;
          HELP  M21_P7_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  RATED_CURRENT_MAX_SECTION
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID365;
          #define M21_P7_UNIT UNITID365

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F4B);
               }
          }
}

VARIABLE M21_P8
{
          // Motor 2 rated full load rpm

          LABEL  M21_P8_LABEL;
          HELP  M21_P8_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  9999;
          }
          CONSTANT_UNIT UNITID353;
          #define M21_P8_UNIT UNITID353

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F4C);
               }
          }
}

VARIABLE M21_P9
{
          // Motor 2 motor rated voltage

          LABEL  M21_P9_LABEL;
          HELP  M21_P9_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  AC_VOLTAGE_SET_MAX_SECTION
          }
          CONSTANT_UNIT UNITID358;
          #define M21_P9_UNIT UNITID358

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F4D);
               }
          }
}

VARIABLE M21_P10
{
          // Motor 2 motor rated power factor

          LABEL  M21_P10_LABEL;
          HELP  M21_P10_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  100;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID350;
          #define M21_P10_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F4E);
               }
          }
}

VARIABLE M21_P11
{
          // Motor 2 number of motor poles

          LABEL  M21_P11_LABEL;
          HELP  M21_P11_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID95_VAL0_MNEMONIC},
               {1, ENUMID95_VAL1_MNEMONIC},
               {2, ENUMID95_VAL2_MNEMONIC},
               {3, ENUMID95_VAL3_MNEMONIC},
               {4, ENUMID95_VAL4_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M21_P11_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F4F);
               }
          }
}

VARIABLE M21_P12
{
          // Motor 2 stator resistance

          LABEL  M21_P12_LABEL;
          HELP  M21_P12_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  65000;
               SCALING_FACTOR 0.001;
               DISPLAY_FORMAT ".3f";
          }
          CONSTANT_UNIT UNITID371;
          #define M21_P12_UNIT UNITID371

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F50);
               }
          }
}

VARIABLE M21_P13
{
          // Motor 2 voltage offset

          LABEL  M21_P13_LABEL;
          HELP  M21_P13_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID358;
          #define M21_P13_UNIT UNITID358

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F51);
               }
          }
}

VARIABLE M21_P14
{
          // Motor 2 transient inductance (sLs)

          LABEL  M21_P14_LABEL;
          HELP  M21_P14_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  32000;
               SCALING_FACTOR 0.01;
               DISPLAY_FORMAT ".2f";
          }
          CONSTANT_UNIT UNITID373;
          #define M21_P14_UNIT UNITID373

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F52);
               }
          }
}

VARIABLE M21_P15
{
          // Motor 2 active

          LABEL  M21_P15_LABEL;
          HELP  M21_P15_HELP;
          VALIDITY  TRUE;
          HANDLING  READ;
          CLASS DYNAMIC;
          TYPE  ENUMERATED (1)
          {
               {0, ENUMID164_VAL0_MNEMONIC},
               {1, ENUMID164_VAL1_MNEMONIC}
          }
          CONSTANT_UNIT UNITID350;
          #define M21_P15_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F53);
               }
          }
}

VARIABLE M21_P16
{
          // Motor 2 thermal time constant

          LABEL  M21_P16_LABEL;
          HELP  M21_P16_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER
          {
               MIN_VALUE  0;
               MAX_VALUE  250;
          }
          CONSTANT_UNIT UNITID350;
          #define M21_P16_UNIT UNITID350

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F54);
               }
          }
}

VARIABLE M21_P29
{
          // Motor 2 symmetrical current limit

          LABEL  M21_P29_LABEL;
          HELP  M21_P29_HELP;
          VALIDITY  TRUE;
          HANDLING  READ&WRITE;
          CLASS DEVICE;
          TYPE  UNSIGNED_INTEGER (2)
          {
               MIN_VALUE  0;
               MAX_VALUE  MOTOR2_CURRENT_LIMIT_MAX_SECTION
               SCALING_FACTOR 0.1;
               DISPLAY_FORMAT ".1f";
          }
          CONSTANT_UNIT UNITID355;
          #define M21_P29_UNIT UNITID355

          PRE_READ_ACTIONS
          {
               DEFINITION
               {
                    write_map_info(1, 0x2F61);
               }
          }
}

